/*===========================================================================*/
/*   (Eval/evaluate_types.scm)                                               */
/*   Bigloo (4.3e)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Dec 18 14:20:08 CET 2018        */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bigloo/bin/bigloo -srfi enable-gmp -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q -lib-dir /home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.3e -rm -copt -w -lib-dir /home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.3e -mklib -cc gcc -fsharing -q -no-hello -unsafe -safee -O4 -c Eval/evaluate_types.scm -indent -o objs/obj_u/Eval/evaluate_types.c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* runtime code modification */
#define BGL_SELF_MODIFYING_CODE 0

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_ev_exprz00_bgl
	{
		header_t header;
		obj_t widening;
	}                 *BgL_ev_exprz00_bglt;

	typedef struct BgL_ev_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		obj_t BgL_effz00;
		obj_t BgL_typez00;
	}                *BgL_ev_varz00_bglt;

	typedef struct BgL_ev_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                   *BgL_ev_globalz00_bglt;

	typedef struct BgL_ev_littz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_valuez00;
	}                 *BgL_ev_littz00_bglt;

	typedef struct BgL_ev_ifz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_pz00;
		struct BgL_ev_exprz00_bgl *BgL_tz00;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}               *BgL_ev_ifz00_bglt;

	typedef struct BgL_ev_listz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}                 *BgL_ev_listz00_bglt;

	typedef struct BgL_ev_orz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}               *BgL_ev_orz00_bglt;

	typedef struct BgL_ev_andz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}                *BgL_ev_andz00_bglt;

	typedef struct BgL_ev_prog2z00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_e1z00;
		struct BgL_ev_exprz00_bgl *BgL_e2z00;
	}                  *BgL_ev_prog2z00_bglt;

	typedef struct BgL_ev_hookz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}                 *BgL_ev_hookz00_bglt;

	typedef struct BgL_ev_trapz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}                 *BgL_ev_trapz00_bglt;

	typedef struct BgL_ev_setlocalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_varz00_bgl *BgL_vz00;
	}                     *BgL_ev_setlocalz00_bglt;

	typedef struct BgL_ev_setglobalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                      *BgL_ev_setglobalz00_bglt;

	typedef struct BgL_ev_defglobalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                      *BgL_ev_defglobalz00_bglt;

	typedef struct BgL_ev_bindzd2exitzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_varz00_bgl *BgL_varz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                        *BgL_ev_bindzd2exitzd2_bglt;

	typedef struct BgL_ev_unwindzd2protectzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                             *BgL_ev_unwindzd2protectzd2_bglt;

	typedef struct BgL_ev_withzd2handlerzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_handlerz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                           *BgL_ev_withzd2handlerzd2_bglt;

	typedef struct BgL_ev_synchroniza7eza7_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_exprz00_bgl *BgL_mutexz00;
		struct BgL_ev_exprz00_bgl *BgL_prelockz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                          *BgL_ev_synchroniza7eza7_bglt;

	typedef struct BgL_ev_binderz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_binderz00_bglt;

	typedef struct BgL_ev_letz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_letz00_bglt;

	typedef struct BgL_ev_letza2za2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                   *BgL_ev_letza2za2_bglt;

	typedef struct BgL_ev_letrecz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_letrecz00_bglt;

	typedef struct BgL_ev_labelsz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		obj_t BgL_envz00;
		obj_t BgL_stkz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                   *BgL_ev_labelsz00_bglt;

	typedef struct BgL_ev_gotoz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_varz00_bgl *BgL_labelz00;
		struct BgL_ev_labelsz00_bgl *BgL_labelsz00;
		obj_t BgL_argsz00;
	}                 *BgL_ev_gotoz00_bglt;

	typedef struct BgL_ev_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_exprz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_tailzf3zf3;
	}                *BgL_ev_appz00_bglt;

	typedef struct BgL_ev_absz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_wherez00;
		obj_t BgL_arityz00;
		obj_t BgL_varsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		int BgL_siza7eza7;
		obj_t BgL_bindz00;
		obj_t BgL_freez00;
		obj_t BgL_innerz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_absz00_bglt;


	static obj_t BGl_z62zc3anonymousza31886ze3ze1zz__evaluate_typesz00(obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1766z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1928z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1767z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1929z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol2720z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2724z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2563z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2568z00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_binderz00_bglt BGl_z62lambda1774z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t);
	static BgL_ev_appz00_bglt BGl_z62lambda1936z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static BgL_ev_binderz00_bglt BGl_z62lambda1776z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_appz00_bglt BGl_z62lambda1938z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_symbol2733z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2572z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2735z00zz__evaluate_typesz00 = BUNSPEC;
	extern obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
	static obj_t BGl_symbol2576z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda1782z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1944z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1783z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1945z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1787z62zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1949z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1788z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol2740z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2581z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2745z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda1950z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1792z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1954z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1793z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1955z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1959z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_symbol2750z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2590z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2594z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2758z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda1960z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_letrecz00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_absz00_bglt BGl_z62lambda1967z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_ev_absz00_bglt BGl_z62lambda1969z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_symbol2760z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza32039ze3ze1zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62lambda1975z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1976z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_letz00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda1980z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1981z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1985z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1986z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zz__evaluate_typesz00();
	static obj_t BGl_z62lambda1992z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1993z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1998z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1999z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza31702ze3ze1zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza31613ze3ze1zz__evaluate_typesz00(obj_t,
		obj_t);
	extern obj_t bstring_to_symbol(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_labelsz00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza31631ze3ze1zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_methodzd2initzd2zz__evaluate_typesz00();
	BGL_EXPORTED_DEF obj_t BGl_ev_absz00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza31722ze3ze1zz__evaluate_typesz00(obj_t,
		obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_ifz00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza31813ze3ze1zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62zc3anonymousza31562ze3ze1zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza31670ze3ze1zz__evaluate_typesz00(obj_t,
		obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_gotoz00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza31744ze3ze1zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_varz00_bglt BGl_z62lambda1406z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza31834ze3ze1zz__evaluate_typesz00(obj_t);
	static BgL_ev_varz00_bglt BGl_z62lambda1408z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62lambda1414z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza31940ze3ze1zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1415z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_orz00zz__evaluate_typesz00 = BUNSPEC;
	BGL_EXPORTED_DEF obj_t BGl_ev_varz00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda1420z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1421z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1428z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza31909ze3ze1zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1429z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_gczd2rootszd2initz00zz__evaluate_typesz00();
	static BgL_ev_globalz00_bglt BGl_z62lambda1437z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t);
	static BgL_ev_globalz00_bglt BGl_z62lambda1439z62zz__evaluate_typesz00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_andz00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_trapz00_bglt BGl_z62lambda1601z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62lambda1445z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1446z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_setlocalz00_bglt
		BGl_z62lambda1609z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza31587ze3ze1zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_setlocalz00_bglt
		BGl_z62lambda1611z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62lambda1451z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1452z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1456z62zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_varz00_bglt BGl_z62lambda1618z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1457z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1619z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_littz00_bglt BGl_z62lambda1463z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_littz00_bglt BGl_z62lambda1465z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_setglobalz00_bglt
		BGl_z62lambda1627z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static BgL_ev_setglobalz00_bglt
		BGl_z62lambda1629z62zz__evaluate_typesz00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_appz00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda1472z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1473z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol2434z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2436z00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_letz00_bglt BGl_z62lambda1800z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1640z62zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_letz00_bglt BGl_z62lambda1802z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62lambda1641z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_ifz00_bglt BGl_z62lambda1480z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t);
	static BgL_ev_ifz00_bglt BGl_z62lambda1482z62zz__evaluate_typesz00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_synchroniza7eza7zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda1645z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1646z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1489z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_symbol2601z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2440z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2442z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2607z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2447z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2449z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza32023ze3ze1zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62lambda1811z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1812z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1490z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1655z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1656z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1495z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza31859ze3ze1zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1496z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol2611z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2453z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2618z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2458z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza32008ze3ze1zz__evaluate_typesz00(obj_t);
	static BgL_ev_letza2za2_bglt BGl_z62lambda1821z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static BgL_ev_letza2za2_bglt BGl_z62lambda1823z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_defglobalz00_bglt
		BGl_z62lambda1666z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static BgL_ev_defglobalz00_bglt
		BGl_z62lambda1668z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_symbol2622z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2462z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2626z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2468z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda1832z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1833z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_bindzd2exitzd2_bglt
		BGl_z62lambda1676z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_bindzd2exitzd2_bglt
		BGl_z62lambda1679z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_symbol2633z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2473z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2638z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2477z00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_letrecz00_bglt BGl_z62lambda1841z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t);
	static BgL_ev_letrecz00_bglt BGl_z62lambda1843z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_varz00_bglt BGl_z62lambda1685z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1686z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol2643z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2482z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2486z00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_exprz00_bglt BGl_z62lambda1690z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1691z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_labelsz00_bglt BGl_z62lambda1854z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_defglobalz00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza31879ze3ze1zz__evaluate_typesz00(obj_t);
	static BgL_ev_labelsz00_bglt BGl_z62lambda1857z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_unwindzd2protectzd2_bglt
		BGl_z62lambda1698z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol2651z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2490z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2656z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2494z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2499z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_requirezd2initializa7ationz75zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda1864z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1865z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol2665z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda1870z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1871z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1877z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1878z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol2670z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza31422ze3ze1zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62lambda1884z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1885z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza31898ze3ze1zz__evaluate_typesz00(obj_t);
	static obj_t BGl_symbol2680z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2686z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_toplevelzd2initzd2zz__evaluate_typesz00();
	static BgL_ev_exprz00_bglt BGl_z62lambda1890z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1891z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1896z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1897z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol2690z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2697z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_genericzd2initzd2zz__evaluate_typesz00();
	BGL_EXPORTED_DEF obj_t BGl_ev_prog2z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza31441ze3ze1zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza31603ze3ze1zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza31514ze3ze1zz__evaluate_typesz00(obj_t,
		obj_t);
	extern obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t,
		bool_t, bool_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_bindzd2exitzd2zz__evaluate_typesz00 = BUNSPEC;
	BGL_EXPORTED_DEF obj_t BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00 =
		BUNSPEC;
	BGL_EXPORTED_DEF obj_t BGl_ev_letza2za2zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza31550ze3ze1zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza31535ze3ze1zz__evaluate_typesz00(obj_t,
		obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_trapz00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza31804ze3ze1zz__evaluate_typesz00(obj_t,
		obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_setglobalz00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda2006z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2007z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_hookz00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda2014z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2015z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2021z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2022z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2028z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2029z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2037z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2038z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza31468ze3ze1zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza31825ze3ze1zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza31485ze3ze1zz__evaluate_typesz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__typez00(long, char *);
	BGL_EXPORTED_DEF obj_t BGl_ev_globalz00zz__evaluate_typesz00 = BUNSPEC;
	BGL_EXPORTED_DEF obj_t BGl_ev_binderz00zz__evaluate_typesz00 = BUNSPEC;
	BGL_EXPORTED_DEF obj_t BGl_ev_listz00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza31681ze3ze1zz__evaluate_typesz00(obj_t,
		obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_littz00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza31398ze3ze1zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1500z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1501z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zz__evaluate_typesz00();
	static obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_typesz00();
	static BgL_ev_listz00_bglt BGl_z62lambda1510z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_listz00_bglt BGl_z62lambda1512z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62zc3anonymousza31845ze3ze1zz__evaluate_typesz00(obj_t,
		obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_withzd2handlerzd2zz__evaluate_typesz00 =
		BUNSPEC;
	static obj_t BGl_z62lambda1521z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1522z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_objectz00zz__objectz00;
	static BgL_ev_orz00_bglt BGl_z62lambda1530z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_orz00_bglt BGl_z62lambda1533z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_unwindzd2protectzd2_bglt
		BGl_z62lambda1700z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1706z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_andz00_bglt BGl_z62lambda1545z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1707z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_andz00_bglt BGl_z62lambda1548z62zz__evaluate_typesz00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_exprz00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2503z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2508z00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_exprz00_bglt BGl_z62lambda1711z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1712z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1394z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_prog2z00_bglt BGl_z62lambda1556z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t);
	static BgL_ev_withzd2handlerzd2_bglt
		BGl_z62lambda1718z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1396z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_prog2z00_bglt BGl_z62lambda1559z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_symbol2513z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2518z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza32030ze3ze1zz__evaluate_typesz00(obj_t);
	static BgL_ev_withzd2handlerzd2_bglt
		BGl_z62lambda1720z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62zc3anonymousza31971ze3ze1zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1726z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1727z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1568z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1569z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol2522z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2526z00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_exprz00_bglt BGl_z62lambda1731z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1732z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1575z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1576z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza31778ze3ze1zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_synchroniza7eza7_bglt
		BGl_z62lambda1739z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_symbol2531z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2538z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza32016ze3ze1zz__evaluate_typesz00(obj_t);
	static BgL_ev_synchroniza7eza7_bglt
		BGl_z62lambda1741z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_gotoz00_bglt BGl_z62lambda1905z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static BgL_ev_hookz00_bglt BGl_z62lambda1583z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_gotoz00_bglt BGl_z62lambda1907z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_hookz00_bglt BGl_z62lambda1585z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62lambda1748z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1749z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol2703z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2543z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2709z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2547z00zz__evaluate_typesz00 = BUNSPEC;
	BGL_EXPORTED_DEF obj_t BGl_ev_setlocalz00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda1913z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1914z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1592z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1754z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1593z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1755z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_varz00_bglt BGl_z62lambda1918z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1919z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_trapz00_bglt BGl_z62lambda1599z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_symbol2714z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2552z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza31410ze3ze1zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1761z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_labelsz00_bglt BGl_z62lambda1923z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1762z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1924z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_STRING(BGl_string2500z00zz__evaluate_typesz00,
		BgL_bgl_string2500za700za7za7_2762za7, "ev_if", 5);
	      DEFINE_STRING(BGl_string2504z00zz__evaluate_typesz00,
		BgL_bgl_string2504za700za7za7_2763za7, "args", 4);
	      DEFINE_STRING(BGl_string2509z00zz__evaluate_typesz00,
		BgL_bgl_string2509za700za7za7_2764za7, "ev_list", 7);
	      DEFINE_STRING(BGl_string2514z00zz__evaluate_typesz00,
		BgL_bgl_string2514za700za7za7_2765za7, "ev_or", 5);
	      DEFINE_STRING(BGl_string2519z00zz__evaluate_typesz00,
		BgL_bgl_string2519za700za7za7_2766za7, "ev_and", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2431z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72767za7,
		BGl_z62zc3anonymousza31398ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2432z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1396za7622768z00,
		BGl_z62lambda1396z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2433z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1394za7622769z00,
		BGl_z62lambda1394z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2523z00zz__evaluate_typesz00,
		BgL_bgl_string2523za700za7za7_2770za7, "e1", 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2438z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1415za7622771z00,
		BGl_z62lambda1415z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2439z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1414za7622772z00,
		BGl_z62lambda1414z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2527z00zz__evaluate_typesz00,
		BgL_bgl_string2527za700za7za7_2773za7, "e2", 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2600z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1718za7622774z00,
		BGl_z62lambda1718z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2603z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1749za7622775z00,
		BGl_z62lambda1749z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2604z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1748za7622776z00,
		BGl_z62lambda1748z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2605z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1755za7622777z00,
		BGl_z62lambda1755z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2606z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1754za7622778z00,
		BGl_z62lambda1754z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2444z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72779za7,
		BGl_z62zc3anonymousza31422ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2532z00zz__evaluate_typesz00,
		BgL_bgl_string2532za700za7za7_2780za7, "ev_prog2", 8);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2445z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1421za7622781z00,
		BGl_z62lambda1421z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2446z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1420za7622782z00,
		BGl_z62lambda1420z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2609z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1762za7622783z00,
		BGl_z62lambda1762z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2539z00zz__evaluate_typesz00,
		BgL_bgl_string2539za700za7za7_2784za7, "ev_hook", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2610z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1761za7622785z00,
		BGl_z62lambda1761z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2613z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1767za7622786z00,
		BGl_z62lambda1767z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2451z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1429za7622787z00,
		BGl_z62lambda1429z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2614z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1766za7622788z00,
		BGl_z62lambda1766z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2452z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1428za7622789z00,
		BGl_z62lambda1428z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2615z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72790za7,
		BGl_z62zc3anonymousza31744ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2616z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1741za7622791z00,
		BGl_z62lambda1741z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2704z00zz__evaluate_typesz00,
		BgL_bgl_string2704za700za7za7_2792za7, "fun", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2617z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1739za7622793z00,
		BGl_z62lambda1739z62zz__evaluate_typesz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2455z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72794za7,
		BGl_z62zc3anonymousza31410ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2456z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1408za7622795z00,
		BGl_z62lambda1408z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2544z00zz__evaluate_typesz00,
		BgL_bgl_string2544za700za7za7_2796za7, "ev_trap", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2457z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1406za7622797z00,
		BGl_z62lambda1406z62zz__evaluate_typesz00, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string2548z00zz__evaluate_typesz00,
		BgL_bgl_string2548za700za7za7_2798za7, "v", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2620z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1783za7622799z00,
		BGl_z62lambda1783z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2621z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1782za7622800z00,
		BGl_z62lambda1782z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2460z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1446za7622801z00,
		BGl_z62lambda1446z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2710z00zz__evaluate_typesz00,
		BgL_bgl_string2710za700za7za7_2802za7, "tail?", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2461z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1445za7622803z00,
		BGl_z62lambda1445z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2624z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1788za7622804z00,
		BGl_z62lambda1788z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2625z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1787za7622805z00,
		BGl_z62lambda1787z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2464z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1452za7622806z00,
		BGl_z62lambda1452z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2465z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1451za7622807z00,
		BGl_z62lambda1451z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2715z00zz__evaluate_typesz00,
		BgL_bgl_string2715za700za7za7_2808za7, "ev_app", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2628z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1793za7622809z00,
		BGl_z62lambda1793z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2553z00zz__evaluate_typesz00,
		BgL_bgl_string2553za700za7za7_2810za7, "ev_setlocal", 11);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2466z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1457za7622811z00,
		BGl_z62lambda1457z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2629z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1792za7622812z00,
		BGl_z62lambda1792z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2467z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1456za7622813z00,
		BGl_z62lambda1456z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2630z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72814za7,
		BGl_z62zc3anonymousza31778ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2631z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1776za7622815z00,
		BGl_z62lambda1776z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2632z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1774za7622816z00,
		BGl_z62lambda1774z62zz__evaluate_typesz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2470z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72817za7,
		BGl_z62zc3anonymousza31441ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2471z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1439za7622818z00,
		BGl_z62lambda1439z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2721z00zz__evaluate_typesz00,
		BgL_bgl_string2721za700za7za7_2819za7, "where", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2472z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1437za7622820z00,
		BGl_z62lambda1437z62zz__evaluate_typesz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2635z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72821za7,
		BGl_z62zc3anonymousza31813ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2636z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1812za7622822z00,
		BGl_z62lambda1812z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2637z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1811za7622823z00,
		BGl_z62lambda1811z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2475z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1473za7622824z00,
		BGl_z62lambda1473z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2725z00zz__evaluate_typesz00,
		BgL_bgl_string2725za700za7za7_2825za7, "arity", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2476z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1472za7622826z00,
		BGl_z62lambda1472z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2564z00zz__evaluate_typesz00,
		BgL_bgl_string2564za700za7za7_2827za7, "ev_setglobal", 12);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2479z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72828za7,
		BGl_z62zc3anonymousza31468ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2569z00zz__evaluate_typesz00,
		BgL_bgl_string2569za700za7za7_2829za7, "ev_defglobal", 12);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2640z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72830za7,
		BGl_z62zc3anonymousza31804ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2641z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1802za7622831z00,
		BGl_z62lambda1802z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2642z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1800za7622832z00,
		BGl_z62lambda1800z62zz__evaluate_typesz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2480z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1465za7622833z00,
		BGl_z62lambda1465z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2481z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1463za7622834z00,
		BGl_z62lambda1463z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2645z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72835za7,
		BGl_z62zc3anonymousza31834ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2646z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1833za7622836z00,
		BGl_z62lambda1833z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2484z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1490za7622837z00,
		BGl_z62lambda1490z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2734z00zz__evaluate_typesz00,
		BgL_bgl_string2734za700za7za7_2838za7, "size", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2647z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1832za7622839z00,
		BGl_z62lambda1832z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2485z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1489za7622840z00,
		BGl_z62lambda1489z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2648z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72841za7,
		BGl_z62zc3anonymousza31825ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2573z00zz__evaluate_typesz00,
		BgL_bgl_string2573za700za7za7_2842za7, "var", 3);
	      DEFINE_STRING(BGl_string2736z00zz__evaluate_typesz00,
		BgL_bgl_string2736za700za7za7_2843za7, "int", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2649z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1823za7622844z00,
		BGl_z62lambda1823z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2488z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1496za7622845z00,
		BGl_z62lambda1496z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2489z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1495za7622846z00,
		BGl_z62lambda1495z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2577z00zz__evaluate_typesz00,
		BgL_bgl_string2577za700za7za7_2847za7, "body", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2650z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1821za7622848z00,
		BGl_z62lambda1821z62zz__evaluate_typesz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2653z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72849za7,
		BGl_z62zc3anonymousza31845ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2741z00zz__evaluate_typesz00,
		BgL_bgl_string2741za700za7za7_2850za7, "bind", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2654z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1843za7622851z00,
		BGl_z62lambda1843z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2492z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1501za7622852z00,
		BGl_z62lambda1501z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2655z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1841za7622853z00,
		BGl_z62lambda1841z62zz__evaluate_typesz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2493z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1500za7622854z00,
		BGl_z62lambda1500z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2582z00zz__evaluate_typesz00,
		BgL_bgl_string2582za700za7za7_2855za7, "ev_bind-exit", 12);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2658z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1865za7622856z00,
		BGl_z62lambda1865z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2496z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72857za7,
		BGl_z62zc3anonymousza31485ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2746z00zz__evaluate_typesz00,
		BgL_bgl_string2746za700za7za7_2858za7, "free", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2659z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1864za7622859z00,
		BGl_z62lambda1864z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2497z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1482za7622860z00,
		BGl_z62lambda1482z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2498z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1480za7622861z00,
		BGl_z62lambda1480z62zz__evaluate_typesz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2660z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1871za7622862z00,
		BGl_z62lambda1871z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2661z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1870za7622863z00,
		BGl_z62lambda1870z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2662z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72864za7,
		BGl_z62zc3anonymousza31879ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2663z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1878za7622865z00,
		BGl_z62lambda1878z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2751z00zz__evaluate_typesz00,
		BgL_bgl_string2751za700za7za7_2866za7, "inner", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2664z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1877za7622867z00,
		BGl_z62lambda1877z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2591z00zz__evaluate_typesz00,
		BgL_bgl_string2591za700za7za7_2868za7, "ev_unwind-protect", 17);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2667z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72869za7,
		BGl_z62zc3anonymousza31886ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2668z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1885za7622870z00,
		BGl_z62lambda1885z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2669z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1884za7622871z00,
		BGl_z62lambda1884z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2595z00zz__evaluate_typesz00,
		BgL_bgl_string2595za700za7za7_2872za7, "handler", 7);
	      DEFINE_STRING(BGl_string2759z00zz__evaluate_typesz00,
		BgL_bgl_string2759za700za7za7_2873za7, "ev_abs", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2672z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1891za7622874z00,
		BGl_z62lambda1891z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2673z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1890za7622875z00,
		BGl_z62lambda1890z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2761z00zz__evaluate_typesz00,
		BgL_bgl_string2761za700za7za7_2876za7, "_", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2674z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72877za7,
		BGl_z62zc3anonymousza31898ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2675z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1897za7622878z00,
		BGl_z62lambda1897z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2676z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1896za7622879z00,
		BGl_z62lambda1896z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2677z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72880za7,
		BGl_z62zc3anonymousza31859ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2678z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1857za7622881z00,
		BGl_z62lambda1857z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2679z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1854za7622882z00,
		BGl_z62lambda1854z62zz__evaluate_typesz00, 0L, BUNSPEC, 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2682z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1914za7622883z00,
		BGl_z62lambda1914z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2683z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1913za7622884z00,
		BGl_z62lambda1913z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2684z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1919za7622885z00,
		BGl_z62lambda1919z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2685z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1918za7622886z00,
		BGl_z62lambda1918z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2688z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1924za7622887z00,
		BGl_z62lambda1924z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2689z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1923za7622888z00,
		BGl_z62lambda1923z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2692z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1929za7622889z00,
		BGl_z62lambda1929z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2693z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1928za7622890z00,
		BGl_z62lambda1928z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2694z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72891za7,
		BGl_z62zc3anonymousza31909ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2695z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1907za7622892z00,
		BGl_z62lambda1907z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2696z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1905za7622893z00,
		BGl_z62lambda1905z62zz__evaluate_typesz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2699z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1945za7622894z00,
		BGl_z62lambda1945z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2501z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1522za7622895z00,
		BGl_z62lambda1522z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2502z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1521za7622896z00,
		BGl_z62lambda1521z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2505z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72897za7,
		BGl_z62zc3anonymousza31514ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2506z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1512za7622898z00,
		BGl_z62lambda1512z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2507z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1510za7622899z00,
		BGl_z62lambda1510z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2435z00zz__evaluate_typesz00,
		BgL_bgl_string2435za700za7za7_2900za7, "ev_expr", 7);
	      DEFINE_STRING(BGl_string2437z00zz__evaluate_typesz00,
		BgL_bgl_string2437za700za7za7_2901za7, "__evaluate_types", 16);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2510z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72902za7,
		BGl_z62zc3anonymousza31535ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2511z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1533za7622903z00,
		BGl_z62lambda1533z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2512z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1530za7622904z00,
		BGl_z62lambda1530z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2602z00zz__evaluate_typesz00,
		BgL_bgl_string2602za700za7za7_2905za7, "ev_with-handler", 15);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2515z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72906za7,
		BGl_z62zc3anonymousza31550ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2516z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1548za7622907z00,
		BGl_z62lambda1548z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2441z00zz__evaluate_typesz00,
		BgL_bgl_string2441za700za7za7_2908za7, "name", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2517z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1545za7622909z00,
		BGl_z62lambda1545z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2443z00zz__evaluate_typesz00,
		BgL_bgl_string2443za700za7za7_2910za7, "symbol", 6);
	      DEFINE_STRING(BGl_string2608z00zz__evaluate_typesz00,
		BgL_bgl_string2608za700za7za7_2911za7, "mutex", 5);
	      DEFINE_STRING(BGl_string2448z00zz__evaluate_typesz00,
		BgL_bgl_string2448za700za7za7_2912za7, "eff", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2520z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1569za7622913z00,
		BGl_z62lambda1569z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2521z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1568za7622914z00,
		BGl_z62lambda1568z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2524z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1576za7622915z00,
		BGl_z62lambda1576z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2612z00zz__evaluate_typesz00,
		BgL_bgl_string2612za700za7za7_2916za7, "prelock", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2525z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1575za7622917z00,
		BGl_z62lambda1575z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2450z00zz__evaluate_typesz00,
		BgL_bgl_string2450za700za7za7_2918za7, "obj", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2528z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72919za7,
		BGl_z62zc3anonymousza31562ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2529z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1559za7622920z00,
		BGl_z62lambda1559z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2454z00zz__evaluate_typesz00,
		BgL_bgl_string2454za700za7za7_2921za7, "type", 4);
	      DEFINE_STRING(BGl_string2619z00zz__evaluate_typesz00,
		BgL_bgl_string2619za700za7za7_2922za7, "ev_synchronize", 14);
	      DEFINE_STRING(BGl_string2459z00zz__evaluate_typesz00,
		BgL_bgl_string2459za700za7za7_2923za7, "ev_var", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2530z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1556za7622924z00,
		BGl_z62lambda1556z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2533z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1593za7622925z00,
		BGl_z62lambda1593z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2534z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1592za7622926z00,
		BGl_z62lambda1592z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2535z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72927za7,
		BGl_z62zc3anonymousza31587ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2623z00zz__evaluate_typesz00,
		BgL_bgl_string2623za700za7za7_2928za7, "vars", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2536z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1585za7622929z00,
		BGl_z62lambda1585z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2537z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1583za7622930z00,
		BGl_z62lambda1583z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2463z00zz__evaluate_typesz00,
		BgL_bgl_string2463za700za7za7_2931za7, "loc", 3);
	      DEFINE_STRING(BGl_string2627z00zz__evaluate_typesz00,
		BgL_bgl_string2627za700za7za7_2932za7, "vals", 4);
	      DEFINE_STRING(BGl_string2469z00zz__evaluate_typesz00,
		BgL_bgl_string2469za700za7za7_2933za7, "mod", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2700z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1944za7622934z00,
		BGl_z62lambda1944z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2701z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1950za7622935z00,
		BGl_z62lambda1950z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2702z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1949za7622936z00,
		BGl_z62lambda1949z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2540z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72937za7,
		BGl_z62zc3anonymousza31603ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2541z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1601za7622938z00,
		BGl_z62lambda1601z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2542z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1599za7622939z00,
		BGl_z62lambda1599z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2705z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1955za7622940z00,
		BGl_z62lambda1955z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2706z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1954za7622941z00,
		BGl_z62lambda1954z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2707z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1960za7622942z00,
		BGl_z62lambda1960z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2545z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1619za7622943z00,
		BGl_z62lambda1619z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2708z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1959za7622944z00,
		BGl_z62lambda1959z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2546z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1618za7622945z00,
		BGl_z62lambda1618z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2634z00zz__evaluate_typesz00,
		BgL_bgl_string2634za700za7za7_2946za7, "ev_binder", 9);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2549z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72947za7,
		BGl_z62zc3anonymousza31613ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2474z00zz__evaluate_typesz00,
		BgL_bgl_string2474za700za7za7_2948za7, "ev_global", 9);
	      DEFINE_STRING(BGl_string2639z00zz__evaluate_typesz00,
		BgL_bgl_string2639za700za7za7_2949za7, "boxes", 5);
	      DEFINE_STRING(BGl_string2478z00zz__evaluate_typesz00,
		BgL_bgl_string2478za700za7za7_2950za7, "value", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2711z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72951za7,
		BGl_z62zc3anonymousza31940ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2712z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1938za7622952z00,
		BGl_z62lambda1938z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2550z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1611za7622953z00,
		BGl_z62lambda1611z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2713z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1936za7622954z00,
		BGl_z62lambda1936z62zz__evaluate_typesz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2551z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1609za7622955z00,
		BGl_z62lambda1609z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2716z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1976za7622956z00,
		BGl_z62lambda1976z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2554z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1641za7622957z00,
		BGl_z62lambda1641z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2717z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1975za7622958z00,
		BGl_z62lambda1975z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2555z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1640za7622959z00,
		BGl_z62lambda1640z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2718z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1981za7622960z00,
		BGl_z62lambda1981z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2556z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1646za7622961z00,
		BGl_z62lambda1646z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2719z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1980za7622962z00,
		BGl_z62lambda1980z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2644z00zz__evaluate_typesz00,
		BgL_bgl_string2644za700za7za7_2963za7, "ev_let", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2557z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1645za7622964z00,
		BGl_z62lambda1645z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2558z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1656za7622965z00,
		BGl_z62lambda1656z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2483z00zz__evaluate_typesz00,
		BgL_bgl_string2483za700za7za7_2966za7, "ev_litt", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2559z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1655za7622967z00,
		BGl_z62lambda1655z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2487z00zz__evaluate_typesz00,
		BgL_bgl_string2487za700za7za7_2968za7, "p", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2722z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1986za7622969z00,
		BGl_z62lambda1986z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2560z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72970za7,
		BGl_z62zc3anonymousza31631ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2723z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1985za7622971z00,
		BGl_z62lambda1985z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2561z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1629za7622972z00,
		BGl_z62lambda1629z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2562z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1627za7622973z00,
		BGl_z62lambda1627z62zz__evaluate_typesz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2726z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1993za7622974z00,
		BGl_z62lambda1993z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2727z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1992za7622975z00,
		BGl_z62lambda1992z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2652z00zz__evaluate_typesz00,
		BgL_bgl_string2652za700za7za7_2976za7, "ev_let*", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2565z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72977za7,
		BGl_z62zc3anonymousza31670ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2728z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1999za7622978z00,
		BGl_z62lambda1999z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2566z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1668za7622979z00,
		BGl_z62lambda1668z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2491z00zz__evaluate_typesz00,
		BgL_bgl_string2491za700za7za7_2980za7, "t", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2729z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1998za7622981z00,
		BGl_z62lambda1998z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2567z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1666za7622982z00,
		BGl_z62lambda1666z62zz__evaluate_typesz00, 0L, BUNSPEC, 4);
	      DEFINE_STRING(BGl_string2657z00zz__evaluate_typesz00,
		BgL_bgl_string2657za700za7za7_2983za7, "ev_letrec", 9);
	      DEFINE_STRING(BGl_string2495z00zz__evaluate_typesz00,
		BgL_bgl_string2495za700za7za7_2984za7, "e", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2730z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72985za7,
		BGl_z62zc3anonymousza32008ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2731z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2007za7622986z00,
		BGl_z62lambda2007z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2732z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2006za7622987z00,
		BGl_z62lambda2006z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2570z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1686za7622988z00,
		BGl_z62lambda1686z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2571z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1685za7622989z00,
		BGl_z62lambda1685z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2574z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1691za7622990z00,
		BGl_z62lambda1691z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2737z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72991za7,
		BGl_z62zc3anonymousza32016ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2575z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1690za7622992z00,
		BGl_z62lambda1690z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2738z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2015za7622993z00,
		BGl_z62lambda2015z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2739z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2014za7622994z00,
		BGl_z62lambda2014z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2578z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72995za7,
		BGl_z62zc3anonymousza31681ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2666z00zz__evaluate_typesz00,
		BgL_bgl_string2666za700za7za7_2996za7, "env", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2579z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1679za7622997z00,
		BGl_z62lambda1679z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2742z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72998za7,
		BGl_z62zc3anonymousza32023ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2580z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1676za7622999z00,
		BGl_z62lambda1676z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2743z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2022za7623000z00,
		BGl_z62lambda2022z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2744z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2021za7623001z00,
		BGl_z62lambda2021z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2583z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1707za7623002z00,
		BGl_z62lambda1707z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2671z00zz__evaluate_typesz00,
		BgL_bgl_string2671za700za7za7_3003za7, "stk", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2584z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1706za7623004z00,
		BGl_z62lambda1706z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2747z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza73005za7,
		BGl_z62zc3anonymousza32030ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2585z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1712za7623006z00,
		BGl_z62lambda1712z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2748z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2029za7623007z00,
		BGl_z62lambda2029z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2586z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1711za7623008z00,
		BGl_z62lambda1711z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2749z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2028za7623009z00,
		BGl_z62lambda2028z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2587z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza73010za7,
		BGl_z62zc3anonymousza31702ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2588z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1700za7623011z00,
		BGl_z62lambda1700z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2589z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1698za7623012z00,
		BGl_z62lambda1698z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2752z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza73013za7,
		BGl_z62zc3anonymousza32039ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2753z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2038za7623014z00,
		BGl_z62lambda2038z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2754z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2037za7623015z00,
		BGl_z62lambda2037z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2592z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1727za7623016z00,
		BGl_z62lambda1727z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2755z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza73017za7,
		BGl_z62zc3anonymousza31971ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2593z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1726za7623018z00,
		BGl_z62lambda1726z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2756z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1969za7623019z00,
		BGl_z62lambda1969z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2681z00zz__evaluate_typesz00,
		BgL_bgl_string2681za700za7za7_3020za7, "ev_labels", 9);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2757z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1967za7623021z00,
		BGl_z62lambda1967z62zz__evaluate_typesz00, 0L, BUNSPEC, 10);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2596z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1732za7623022z00,
		BGl_z62lambda1732z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2597z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1731za7623023z00,
		BGl_z62lambda1731z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2598z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza73024za7,
		BGl_z62zc3anonymousza31722ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2599z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1720za7623025z00,
		BGl_z62lambda1720z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2687z00zz__evaluate_typesz00,
		BgL_bgl_string2687za700za7za7_3026za7, "label", 5);
	      DEFINE_STRING(BGl_string2691z00zz__evaluate_typesz00,
		BgL_bgl_string2691za700za7za7_3027za7, "labels", 6);
	      DEFINE_STRING(BGl_string2698z00zz__evaluate_typesz00,
		BgL_bgl_string2698za700za7za7_3028za7, "ev_goto", 7);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_symbol2720z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2724z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2563z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2568z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2733z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2572z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2735z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2576z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2740z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2581z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2745z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2750z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2590z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2594z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2758z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_letrecz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2760z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_letz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_labelsz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_absz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_ifz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_gotoz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_orz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_varz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_andz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_appz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2434z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2436z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_synchroniza7eza7zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2601z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2440z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2442z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2607z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2447z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2449z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2611z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2453z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2618z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2458z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2622z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2462z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2626z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2468z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2633z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2473z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2638z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2477z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2643z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2482z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2486z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_defglobalz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2651z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2490z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2656z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2494z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2499z00zz__evaluate_typesz00));
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2665z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2670z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2680z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2686z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2690z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2697z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_prog2z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_bindzd2exitzd2zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_letza2za2zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_trapz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_setglobalz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_hookz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_globalz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_binderz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_listz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_littz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_withzd2handlerzd2zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_exprz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2503z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2508z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2513z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2518z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2522z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2526z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2531z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2538z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2703z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2543z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2709z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2547z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_setlocalz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2714z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2552z00zz__evaluate_typesz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(long
		BgL_checksumz00_4395, char *BgL_fromz00_4396)
	{
		BGL_FUNCTION_BEGIN;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__evaluate_typesz00))
				{
					BGl_requirezd2initializa7ationz75zz__evaluate_typesz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zz__evaluate_typesz00();
					BGl_cnstzd2initzd2zz__evaluate_typesz00();
					BGl_importedzd2moduleszd2initz00zz__evaluate_typesz00();
					BGl_objectzd2initzd2zz__evaluate_typesz00();
					return BGl_toplevelzd2initzd2zz__evaluate_typesz00();
				}
			else
				{
					return BUNSPEC;
				}
		}
		BGL_FUNCTION_END;
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__evaluate_typesz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 15 */
			BGl_symbol2434z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2435z00zz__evaluate_typesz00);
			BGl_symbol2436z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2437z00zz__evaluate_typesz00);
			BGl_symbol2440z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2441z00zz__evaluate_typesz00);
			BGl_symbol2442z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2443z00zz__evaluate_typesz00);
			BGl_symbol2447z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2448z00zz__evaluate_typesz00);
			BGl_symbol2449z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2450z00zz__evaluate_typesz00);
			BGl_symbol2453z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2454z00zz__evaluate_typesz00);
			BGl_symbol2458z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2459z00zz__evaluate_typesz00);
			BGl_symbol2462z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2463z00zz__evaluate_typesz00);
			BGl_symbol2468z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2469z00zz__evaluate_typesz00);
			BGl_symbol2473z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2474z00zz__evaluate_typesz00);
			BGl_symbol2477z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2478z00zz__evaluate_typesz00);
			BGl_symbol2482z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2483z00zz__evaluate_typesz00);
			BGl_symbol2486z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2487z00zz__evaluate_typesz00);
			BGl_symbol2490z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2491z00zz__evaluate_typesz00);
			BGl_symbol2494z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2495z00zz__evaluate_typesz00);
			BGl_symbol2499z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2500z00zz__evaluate_typesz00);
			BGl_symbol2503z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2504z00zz__evaluate_typesz00);
			BGl_symbol2508z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2509z00zz__evaluate_typesz00);
			BGl_symbol2513z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2514z00zz__evaluate_typesz00);
			BGl_symbol2518z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2519z00zz__evaluate_typesz00);
			BGl_symbol2522z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2523z00zz__evaluate_typesz00);
			BGl_symbol2526z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2527z00zz__evaluate_typesz00);
			BGl_symbol2531z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2532z00zz__evaluate_typesz00);
			BGl_symbol2538z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2539z00zz__evaluate_typesz00);
			BGl_symbol2543z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2544z00zz__evaluate_typesz00);
			BGl_symbol2547z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2548z00zz__evaluate_typesz00);
			BGl_symbol2552z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2553z00zz__evaluate_typesz00);
			BGl_symbol2563z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2564z00zz__evaluate_typesz00);
			BGl_symbol2568z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2569z00zz__evaluate_typesz00);
			BGl_symbol2572z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2573z00zz__evaluate_typesz00);
			BGl_symbol2576z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2577z00zz__evaluate_typesz00);
			BGl_symbol2581z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2582z00zz__evaluate_typesz00);
			BGl_symbol2590z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2591z00zz__evaluate_typesz00);
			BGl_symbol2594z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2595z00zz__evaluate_typesz00);
			BGl_symbol2601z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2602z00zz__evaluate_typesz00);
			BGl_symbol2607z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2608z00zz__evaluate_typesz00);
			BGl_symbol2611z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2612z00zz__evaluate_typesz00);
			BGl_symbol2618z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2619z00zz__evaluate_typesz00);
			BGl_symbol2622z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2623z00zz__evaluate_typesz00);
			BGl_symbol2626z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2627z00zz__evaluate_typesz00);
			BGl_symbol2633z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2634z00zz__evaluate_typesz00);
			BGl_symbol2638z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2639z00zz__evaluate_typesz00);
			BGl_symbol2643z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2644z00zz__evaluate_typesz00);
			BGl_symbol2651z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2652z00zz__evaluate_typesz00);
			BGl_symbol2656z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2657z00zz__evaluate_typesz00);
			BGl_symbol2665z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2666z00zz__evaluate_typesz00);
			BGl_symbol2670z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2671z00zz__evaluate_typesz00);
			BGl_symbol2680z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2681z00zz__evaluate_typesz00);
			BGl_symbol2686z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2687z00zz__evaluate_typesz00);
			BGl_symbol2690z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2691z00zz__evaluate_typesz00);
			BGl_symbol2697z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2698z00zz__evaluate_typesz00);
			BGl_symbol2703z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2704z00zz__evaluate_typesz00);
			BGl_symbol2709z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2710z00zz__evaluate_typesz00);
			BGl_symbol2714z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2715z00zz__evaluate_typesz00);
			BGl_symbol2720z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2721z00zz__evaluate_typesz00);
			BGl_symbol2724z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2725z00zz__evaluate_typesz00);
			BGl_symbol2733z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2734z00zz__evaluate_typesz00);
			BGl_symbol2735z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2736z00zz__evaluate_typesz00);
			BGl_symbol2740z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2741z00zz__evaluate_typesz00);
			BGl_symbol2745z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2746z00zz__evaluate_typesz00);
			BGl_symbol2750z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2751z00zz__evaluate_typesz00);
			BGl_symbol2758z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2759z00zz__evaluate_typesz00);
			return (BGl_symbol2760z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2761z00zz__evaluate_typesz00), BUNSPEC);
		}
		BGL_FUNCTION_END;
	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zz__evaluate_typesz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 15 */
			return bgl_gc_roots_register();
		}
		BGL_FUNCTION_END;
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zz__evaluate_typesz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 15 */
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zz__evaluate_typesz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 15 */
			{	/* Eval/evaluate_types.scm 49 */
				obj_t BgL_arg1392z00_1046;
				obj_t BgL_arg1393z00_1047;

				{	/* Eval/evaluate_types.scm 49 */
					obj_t BgL_v1282z00_1057;

					BgL_v1282z00_1057 = create_vector(((long) 0));
					BgL_arg1392z00_1046 = BgL_v1282z00_1057;
				}
				{	/* Eval/evaluate_types.scm 49 */
					obj_t BgL_v1283z00_1058;

					BgL_v1283z00_1058 = create_vector(((long) 0));
					BgL_arg1393z00_1047 = BgL_v1283z00_1058;
				}
				BGl_ev_exprz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2434z00zz__evaluate_typesz00,
					BGl_symbol2436z00zz__evaluate_typesz00, BGl_objectz00zz__objectz00,
					((long) 36682), BGl_proc2433z00zz__evaluate_typesz00,
					BGl_proc2432z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2431z00zz__evaluate_typesz00, BFALSE, BgL_arg1392z00_1046,
					BgL_arg1393z00_1047);
			}
			{	/* Eval/evaluate_types.scm 51 */
				obj_t BgL_arg1404z00_1065;
				obj_t BgL_arg1405z00_1066;

				{	/* Eval/evaluate_types.scm 51 */
					obj_t BgL_v1284z00_1079;

					BgL_v1284z00_1079 = create_vector(((long) 3));
					VECTOR_SET(BgL_v1284z00_1079, ((long) 0),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2440z00zz__evaluate_typesz00,
							BGl_proc2439z00zz__evaluate_typesz00,
							BGl_proc2438z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2442z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1284z00_1079, ((long) 1),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2447z00zz__evaluate_typesz00,
							BGl_proc2446z00zz__evaluate_typesz00,
							BGl_proc2445z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2444z00zz__evaluate_typesz00,
							BGl_symbol2449z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1284z00_1079, ((long) 2),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2453z00zz__evaluate_typesz00,
							BGl_proc2452z00zz__evaluate_typesz00,
							BGl_proc2451z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2449z00zz__evaluate_typesz00));
					BgL_arg1404z00_1065 = BgL_v1284z00_1079;
				}
				{	/* Eval/evaluate_types.scm 51 */
					obj_t BgL_v1285z00_1113;

					BgL_v1285z00_1113 = create_vector(((long) 0));
					BgL_arg1405z00_1066 = BgL_v1285z00_1113;
				}
				BGl_ev_varz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2458z00zz__evaluate_typesz00,
					BGl_symbol2436z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 7285),
					BGl_proc2457z00zz__evaluate_typesz00,
					BGl_proc2456z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2455z00zz__evaluate_typesz00, BFALSE, BgL_arg1404z00_1065,
					BgL_arg1405z00_1066);
			}
			{	/* Eval/evaluate_types.scm 55 */
				obj_t BgL_arg1435z00_1120;
				obj_t BgL_arg1436z00_1121;

				{	/* Eval/evaluate_types.scm 55 */
					obj_t BgL_v1286z00_1134;

					BgL_v1286z00_1134 = create_vector(((long) 3));
					VECTOR_SET(BgL_v1286z00_1134, ((long) 0),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2462z00zz__evaluate_typesz00,
							BGl_proc2461z00zz__evaluate_typesz00,
							BGl_proc2460z00zz__evaluate_typesz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2449z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1286z00_1134, ((long) 1),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2440z00zz__evaluate_typesz00,
							BGl_proc2465z00zz__evaluate_typesz00,
							BGl_proc2464z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2442z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1286z00_1134, ((long) 2),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2468z00zz__evaluate_typesz00,
							BGl_proc2467z00zz__evaluate_typesz00,
							BGl_proc2466z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2449z00zz__evaluate_typesz00));
					BgL_arg1435z00_1120 = BgL_v1286z00_1134;
				}
				{	/* Eval/evaluate_types.scm 55 */
					obj_t BgL_v1287z00_1165;

					BgL_v1287z00_1165 = create_vector(((long) 0));
					BgL_arg1436z00_1121 = BgL_v1287z00_1165;
				}
				BGl_ev_globalz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2473z00zz__evaluate_typesz00,
					BGl_symbol2436z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 59175),
					BGl_proc2472z00zz__evaluate_typesz00,
					BGl_proc2471z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2470z00zz__evaluate_typesz00, BFALSE, BgL_arg1435z00_1120,
					BgL_arg1436z00_1121);
			}
			{	/* Eval/evaluate_types.scm 60 */
				obj_t BgL_arg1461z00_1172;
				obj_t BgL_arg1462z00_1173;

				{	/* Eval/evaluate_types.scm 60 */
					obj_t BgL_v1288z00_1184;

					BgL_v1288z00_1184 = create_vector(((long) 1));
					VECTOR_SET(BgL_v1288z00_1184, ((long) 0),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2477z00zz__evaluate_typesz00,
							BGl_proc2476z00zz__evaluate_typesz00,
							BGl_proc2475z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2449z00zz__evaluate_typesz00));
					BgL_arg1461z00_1172 = BgL_v1288z00_1184;
				}
				{	/* Eval/evaluate_types.scm 60 */
					obj_t BgL_v1289z00_1195;

					BgL_v1289z00_1195 = create_vector(((long) 0));
					BgL_arg1462z00_1173 = BgL_v1289z00_1195;
				}
				BGl_ev_littz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2482z00zz__evaluate_typesz00,
					BGl_symbol2436z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 42418),
					BGl_proc2481z00zz__evaluate_typesz00,
					BGl_proc2480z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2479z00zz__evaluate_typesz00, BFALSE, BgL_arg1461z00_1172,
					BgL_arg1462z00_1173);
			}
			{	/* Eval/evaluate_types.scm 62 */
				obj_t BgL_arg1477z00_1202;
				obj_t BgL_arg1479z00_1203;

				{	/* Eval/evaluate_types.scm 62 */
					obj_t BgL_v1290z00_1216;

					BgL_v1290z00_1216 = create_vector(((long) 3));
					VECTOR_SET(BgL_v1290z00_1216, ((long) 0),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2486z00zz__evaluate_typesz00,
							BGl_proc2485z00zz__evaluate_typesz00,
							BGl_proc2484z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1290z00_1216, ((long) 1),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2490z00zz__evaluate_typesz00,
							BGl_proc2489z00zz__evaluate_typesz00,
							BGl_proc2488z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1290z00_1216, ((long) 2),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2494z00zz__evaluate_typesz00,
							BGl_proc2493z00zz__evaluate_typesz00,
							BGl_proc2492z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					BgL_arg1477z00_1202 = BgL_v1290z00_1216;
				}
				{	/* Eval/evaluate_types.scm 62 */
					obj_t BgL_v1291z00_1247;

					BgL_v1291z00_1247 = create_vector(((long) 0));
					BgL_arg1479z00_1203 = BgL_v1291z00_1247;
				}
				BGl_ev_ifz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2499z00zz__evaluate_typesz00,
					BGl_symbol2436z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 19099),
					BGl_proc2498z00zz__evaluate_typesz00,
					BGl_proc2497z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2496z00zz__evaluate_typesz00, BFALSE, BgL_arg1477z00_1202,
					BgL_arg1479z00_1203);
			}
			{	/* Eval/evaluate_types.scm 66 */
				obj_t BgL_arg1508z00_1254;
				obj_t BgL_arg1509z00_1255;

				{	/* Eval/evaluate_types.scm 66 */
					obj_t BgL_v1292z00_1266;

					BgL_v1292z00_1266 = create_vector(((long) 1));
					VECTOR_SET(BgL_v1292z00_1266, ((long) 0),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2503z00zz__evaluate_typesz00,
							BGl_proc2502z00zz__evaluate_typesz00,
							BGl_proc2501z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2449z00zz__evaluate_typesz00));
					BgL_arg1508z00_1254 = BgL_v1292z00_1266;
				}
				{	/* Eval/evaluate_types.scm 66 */
					obj_t BgL_v1293z00_1277;

					BgL_v1293z00_1277 = create_vector(((long) 0));
					BgL_arg1509z00_1255 = BgL_v1293z00_1277;
				}
				BGl_ev_listz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2508z00zz__evaluate_typesz00,
					BGl_symbol2436z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 39617),
					BGl_proc2507z00zz__evaluate_typesz00,
					BGl_proc2506z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2505z00zz__evaluate_typesz00, BFALSE, BgL_arg1508z00_1254,
					BgL_arg1509z00_1255);
			}
			{	/* Eval/evaluate_types.scm 68 */
				obj_t BgL_arg1528z00_1284;
				obj_t BgL_arg1529z00_1285;

				{	/* Eval/evaluate_types.scm 68 */
					obj_t BgL_v1294z00_1296;

					BgL_v1294z00_1296 = create_vector(((long) 0));
					BgL_arg1528z00_1284 = BgL_v1294z00_1296;
				}
				{	/* Eval/evaluate_types.scm 68 */
					obj_t BgL_v1295z00_1297;

					BgL_v1295z00_1297 = create_vector(((long) 0));
					BgL_arg1529z00_1285 = BgL_v1295z00_1297;
				}
				BGl_ev_orz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2513z00zz__evaluate_typesz00,
					BGl_symbol2436z00zz__evaluate_typesz00,
					BGl_ev_listz00zz__evaluate_typesz00, ((long) 50334),
					BGl_proc2512z00zz__evaluate_typesz00,
					BGl_proc2511z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2510z00zz__evaluate_typesz00, BFALSE, BgL_arg1528z00_1284,
					BgL_arg1529z00_1285);
			}
			{	/* Eval/evaluate_types.scm 69 */
				obj_t BgL_arg1543z00_1304;
				obj_t BgL_arg1544z00_1305;

				{	/* Eval/evaluate_types.scm 69 */
					obj_t BgL_v1296z00_1316;

					BgL_v1296z00_1316 = create_vector(((long) 0));
					BgL_arg1543z00_1304 = BgL_v1296z00_1316;
				}
				{	/* Eval/evaluate_types.scm 69 */
					obj_t BgL_v1297z00_1317;

					BgL_v1297z00_1317 = create_vector(((long) 0));
					BgL_arg1544z00_1305 = BgL_v1297z00_1317;
				}
				BGl_ev_andz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2518z00zz__evaluate_typesz00,
					BGl_symbol2436z00zz__evaluate_typesz00,
					BGl_ev_listz00zz__evaluate_typesz00, ((long) 26888),
					BGl_proc2517z00zz__evaluate_typesz00,
					BGl_proc2516z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2515z00zz__evaluate_typesz00, BFALSE, BgL_arg1543z00_1304,
					BgL_arg1544z00_1305);
			}
			{	/* Eval/evaluate_types.scm 70 */
				obj_t BgL_arg1554z00_1324;
				obj_t BgL_arg1555z00_1325;

				{	/* Eval/evaluate_types.scm 70 */
					obj_t BgL_v1298z00_1337;

					BgL_v1298z00_1337 = create_vector(((long) 2));
					VECTOR_SET(BgL_v1298z00_1337, ((long) 0),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2522z00zz__evaluate_typesz00,
							BGl_proc2521z00zz__evaluate_typesz00,
							BGl_proc2520z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1298z00_1337, ((long) 1),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2526z00zz__evaluate_typesz00,
							BGl_proc2525z00zz__evaluate_typesz00,
							BGl_proc2524z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					BgL_arg1554z00_1324 = BgL_v1298z00_1337;
				}
				{	/* Eval/evaluate_types.scm 70 */
					obj_t BgL_v1299z00_1358;

					BgL_v1299z00_1358 = create_vector(((long) 0));
					BgL_arg1555z00_1325 = BgL_v1299z00_1358;
				}
				BGl_ev_prog2z00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2531z00zz__evaluate_typesz00,
					BGl_symbol2436z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 14177),
					BGl_proc2530z00zz__evaluate_typesz00,
					BGl_proc2529z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2528z00zz__evaluate_typesz00, BFALSE, BgL_arg1554z00_1324,
					BgL_arg1555z00_1325);
			}
			{	/* Eval/evaluate_types.scm 73 */
				obj_t BgL_arg1581z00_1365;
				obj_t BgL_arg1582z00_1366;

				{	/* Eval/evaluate_types.scm 73 */
					obj_t BgL_v1300z00_1377;

					BgL_v1300z00_1377 = create_vector(((long) 1));
					VECTOR_SET(BgL_v1300z00_1377, ((long) 0),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2494z00zz__evaluate_typesz00,
							BGl_proc2534z00zz__evaluate_typesz00,
							BGl_proc2533z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					BgL_arg1581z00_1365 = BgL_v1300z00_1377;
				}
				{	/* Eval/evaluate_types.scm 73 */
					obj_t BgL_v1301z00_1388;

					BgL_v1301z00_1388 = create_vector(((long) 0));
					BgL_arg1582z00_1366 = BgL_v1301z00_1388;
				}
				BGl_ev_hookz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2538z00zz__evaluate_typesz00,
					BGl_symbol2436z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 32125),
					BGl_proc2537z00zz__evaluate_typesz00,
					BGl_proc2536z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2535z00zz__evaluate_typesz00, BFALSE, BgL_arg1581z00_1365,
					BgL_arg1582z00_1366);
			}
			{	/* Eval/evaluate_types.scm 75 */
				obj_t BgL_arg1597z00_1395;
				obj_t BgL_arg1598z00_1396;

				{	/* Eval/evaluate_types.scm 75 */
					obj_t BgL_v1302z00_1407;

					BgL_v1302z00_1407 = create_vector(((long) 0));
					BgL_arg1597z00_1395 = BgL_v1302z00_1407;
				}
				{	/* Eval/evaluate_types.scm 75 */
					obj_t BgL_v1303z00_1408;

					BgL_v1303z00_1408 = create_vector(((long) 0));
					BgL_arg1598z00_1396 = BgL_v1303z00_1408;
				}
				BGl_ev_trapz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2543z00zz__evaluate_typesz00,
					BGl_symbol2436z00zz__evaluate_typesz00,
					BGl_ev_hookz00zz__evaluate_typesz00, ((long) 24451),
					BGl_proc2542z00zz__evaluate_typesz00,
					BGl_proc2541z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2540z00zz__evaluate_typesz00, BFALSE, BgL_arg1597z00_1395,
					BgL_arg1598z00_1396);
			}
			{	/* Eval/evaluate_types.scm 76 */
				obj_t BgL_arg1607z00_1415;
				obj_t BgL_arg1608z00_1416;

				{	/* Eval/evaluate_types.scm 76 */
					obj_t BgL_v1304z00_1428;

					BgL_v1304z00_1428 = create_vector(((long) 1));
					VECTOR_SET(BgL_v1304z00_1428, ((long) 0),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2547z00zz__evaluate_typesz00,
							BGl_proc2546z00zz__evaluate_typesz00,
							BGl_proc2545z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_varz00zz__evaluate_typesz00));
					BgL_arg1607z00_1415 = BgL_v1304z00_1428;
				}
				{	/* Eval/evaluate_types.scm 76 */
					obj_t BgL_v1305z00_1439;

					BgL_v1305z00_1439 = create_vector(((long) 0));
					BgL_arg1608z00_1416 = BgL_v1305z00_1439;
				}
				BGl_ev_setlocalz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2552z00zz__evaluate_typesz00,
					BGl_symbol2436z00zz__evaluate_typesz00,
					BGl_ev_hookz00zz__evaluate_typesz00, ((long) 37950),
					BGl_proc2551z00zz__evaluate_typesz00,
					BGl_proc2550z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2549z00zz__evaluate_typesz00, BFALSE, BgL_arg1607z00_1415,
					BgL_arg1608z00_1416);
			}
			{	/* Eval/evaluate_types.scm 78 */
				obj_t BgL_arg1625z00_1446;
				obj_t BgL_arg1626z00_1447;

				{	/* Eval/evaluate_types.scm 78 */
					obj_t BgL_v1306z00_1461;

					BgL_v1306z00_1461 = create_vector(((long) 3));
					VECTOR_SET(BgL_v1306z00_1461, ((long) 0),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2462z00zz__evaluate_typesz00,
							BGl_proc2555z00zz__evaluate_typesz00,
							BGl_proc2554z00zz__evaluate_typesz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2449z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1306z00_1461, ((long) 1),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2440z00zz__evaluate_typesz00,
							BGl_proc2557z00zz__evaluate_typesz00,
							BGl_proc2556z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2442z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1306z00_1461, ((long) 2),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2468z00zz__evaluate_typesz00,
							BGl_proc2559z00zz__evaluate_typesz00,
							BGl_proc2558z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2449z00zz__evaluate_typesz00));
					BgL_arg1625z00_1446 = BgL_v1306z00_1461;
				}
				{	/* Eval/evaluate_types.scm 78 */
					obj_t BgL_v1307z00_1492;

					BgL_v1307z00_1492 = create_vector(((long) 0));
					BgL_arg1626z00_1447 = BgL_v1307z00_1492;
				}
				BGl_ev_setglobalz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2563z00zz__evaluate_typesz00,
					BGl_symbol2436z00zz__evaluate_typesz00,
					BGl_ev_hookz00zz__evaluate_typesz00, ((long) 62117),
					BGl_proc2562z00zz__evaluate_typesz00,
					BGl_proc2561z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2560z00zz__evaluate_typesz00, BFALSE, BgL_arg1625z00_1446,
					BgL_arg1626z00_1447);
			}
			{	/* Eval/evaluate_types.scm 82 */
				obj_t BgL_arg1663z00_1499;
				obj_t BgL_arg1665z00_1500;

				{	/* Eval/evaluate_types.scm 82 */
					obj_t BgL_v1308z00_1514;

					BgL_v1308z00_1514 = create_vector(((long) 0));
					BgL_arg1663z00_1499 = BgL_v1308z00_1514;
				}
				{	/* Eval/evaluate_types.scm 82 */
					obj_t BgL_v1309z00_1515;

					BgL_v1309z00_1515 = create_vector(((long) 0));
					BgL_arg1665z00_1500 = BgL_v1309z00_1515;
				}
				BGl_ev_defglobalz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2568z00zz__evaluate_typesz00,
					BGl_symbol2436z00zz__evaluate_typesz00,
					BGl_ev_setglobalz00zz__evaluate_typesz00, ((long) 36158),
					BGl_proc2567z00zz__evaluate_typesz00,
					BGl_proc2566z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2565z00zz__evaluate_typesz00, BFALSE, BgL_arg1663z00_1499,
					BgL_arg1665z00_1500);
			}
			{	/* Eval/evaluate_types.scm 83 */
				obj_t BgL_arg1674z00_1522;
				obj_t BgL_arg1675z00_1523;

				{	/* Eval/evaluate_types.scm 83 */
					obj_t BgL_v1310z00_1535;

					BgL_v1310z00_1535 = create_vector(((long) 2));
					VECTOR_SET(BgL_v1310z00_1535, ((long) 0),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2572z00zz__evaluate_typesz00,
							BGl_proc2571z00zz__evaluate_typesz00,
							BGl_proc2570z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_varz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1310z00_1535, ((long) 1),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2576z00zz__evaluate_typesz00,
							BGl_proc2575z00zz__evaluate_typesz00,
							BGl_proc2574z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					BgL_arg1674z00_1522 = BgL_v1310z00_1535;
				}
				{	/* Eval/evaluate_types.scm 83 */
					obj_t BgL_v1311z00_1556;

					BgL_v1311z00_1556 = create_vector(((long) 0));
					BgL_arg1675z00_1523 = BgL_v1311z00_1556;
				}
				BGl_ev_bindzd2exitzd2zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2581z00zz__evaluate_typesz00,
					BGl_symbol2436z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 10723),
					BGl_proc2580z00zz__evaluate_typesz00,
					BGl_proc2579z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2578z00zz__evaluate_typesz00, BFALSE, BgL_arg1674z00_1522,
					BgL_arg1675z00_1523);
			}
			{	/* Eval/evaluate_types.scm 86 */
				obj_t BgL_arg1696z00_1563;
				obj_t BgL_arg1697z00_1564;

				{	/* Eval/evaluate_types.scm 86 */
					obj_t BgL_v1312z00_1576;

					BgL_v1312z00_1576 = create_vector(((long) 2));
					VECTOR_SET(BgL_v1312z00_1576, ((long) 0),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2494z00zz__evaluate_typesz00,
							BGl_proc2584z00zz__evaluate_typesz00,
							BGl_proc2583z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1312z00_1576, ((long) 1),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2576z00zz__evaluate_typesz00,
							BGl_proc2586z00zz__evaluate_typesz00,
							BGl_proc2585z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					BgL_arg1696z00_1563 = BgL_v1312z00_1576;
				}
				{	/* Eval/evaluate_types.scm 86 */
					obj_t BgL_v1313z00_1597;

					BgL_v1313z00_1597 = create_vector(((long) 0));
					BgL_arg1697z00_1564 = BgL_v1313z00_1597;
				}
				BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2590z00zz__evaluate_typesz00,
					BGl_symbol2436z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 59644),
					BGl_proc2589z00zz__evaluate_typesz00,
					BGl_proc2588z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2587z00zz__evaluate_typesz00, BFALSE, BgL_arg1696z00_1563,
					BgL_arg1697z00_1564);
			}
			{	/* Eval/evaluate_types.scm 89 */
				obj_t BgL_arg1716z00_1604;
				obj_t BgL_arg1717z00_1605;

				{	/* Eval/evaluate_types.scm 89 */
					obj_t BgL_v1314z00_1617;

					BgL_v1314z00_1617 = create_vector(((long) 2));
					VECTOR_SET(BgL_v1314z00_1617, ((long) 0),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2594z00zz__evaluate_typesz00,
							BGl_proc2593z00zz__evaluate_typesz00,
							BGl_proc2592z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1314z00_1617, ((long) 1),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2576z00zz__evaluate_typesz00,
							BGl_proc2597z00zz__evaluate_typesz00,
							BGl_proc2596z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					BgL_arg1716z00_1604 = BgL_v1314z00_1617;
				}
				{	/* Eval/evaluate_types.scm 89 */
					obj_t BgL_v1315z00_1638;

					BgL_v1315z00_1638 = create_vector(((long) 0));
					BgL_arg1717z00_1605 = BgL_v1315z00_1638;
				}
				BGl_ev_withzd2handlerzd2zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2601z00zz__evaluate_typesz00,
					BGl_symbol2436z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 54033),
					BGl_proc2600z00zz__evaluate_typesz00,
					BGl_proc2599z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2598z00zz__evaluate_typesz00, BFALSE, BgL_arg1716z00_1604,
					BgL_arg1717z00_1605);
			}
			{	/* Eval/evaluate_types.scm 92 */
				obj_t BgL_arg1737z00_1645;
				obj_t BgL_arg1738z00_1646;

				{	/* Eval/evaluate_types.scm 92 */
					obj_t BgL_v1316z00_1660;

					BgL_v1316z00_1660 = create_vector(((long) 4));
					VECTOR_SET(BgL_v1316z00_1660, ((long) 0),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2462z00zz__evaluate_typesz00,
							BGl_proc2604z00zz__evaluate_typesz00,
							BGl_proc2603z00zz__evaluate_typesz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2449z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1316z00_1660, ((long) 1),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2607z00zz__evaluate_typesz00,
							BGl_proc2606z00zz__evaluate_typesz00,
							BGl_proc2605z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1316z00_1660, ((long) 2),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2611z00zz__evaluate_typesz00,
							BGl_proc2610z00zz__evaluate_typesz00,
							BGl_proc2609z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1316z00_1660, ((long) 3),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2576z00zz__evaluate_typesz00,
							BGl_proc2614z00zz__evaluate_typesz00,
							BGl_proc2613z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					BgL_arg1737z00_1645 = BgL_v1316z00_1660;
				}
				{	/* Eval/evaluate_types.scm 92 */
					obj_t BgL_v1317z00_1701;

					BgL_v1317z00_1701 = create_vector(((long) 0));
					BgL_arg1738z00_1646 = BgL_v1317z00_1701;
				}
				BGl_ev_synchroniza7eza7zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2618z00zz__evaluate_typesz00,
					BGl_symbol2436z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 40653),
					BGl_proc2617z00zz__evaluate_typesz00,
					BGl_proc2616z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2615z00zz__evaluate_typesz00, BFALSE, BgL_arg1737z00_1645,
					BgL_arg1738z00_1646);
			}
			{	/* Eval/evaluate_types.scm 97 */
				obj_t BgL_arg1772z00_1708;
				obj_t BgL_arg1773z00_1709;

				{	/* Eval/evaluate_types.scm 97 */
					obj_t BgL_v1318z00_1722;

					BgL_v1318z00_1722 = create_vector(((long) 3));
					VECTOR_SET(BgL_v1318z00_1722, ((long) 0),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2622z00zz__evaluate_typesz00,
							BGl_proc2621z00zz__evaluate_typesz00,
							BGl_proc2620z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2449z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1318z00_1722, ((long) 1),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2626z00zz__evaluate_typesz00,
							BGl_proc2625z00zz__evaluate_typesz00,
							BGl_proc2624z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2449z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1318z00_1722, ((long) 2),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2576z00zz__evaluate_typesz00,
							BGl_proc2629z00zz__evaluate_typesz00,
							BGl_proc2628z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					BgL_arg1772z00_1708 = BgL_v1318z00_1722;
				}
				{	/* Eval/evaluate_types.scm 97 */
					obj_t BgL_v1319z00_1753;

					BgL_v1319z00_1753 = create_vector(((long) 0));
					BgL_arg1773z00_1709 = BgL_v1319z00_1753;
				}
				BGl_ev_binderz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2633z00zz__evaluate_typesz00,
					BGl_symbol2436z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 50341),
					BGl_proc2632z00zz__evaluate_typesz00,
					BGl_proc2631z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2630z00zz__evaluate_typesz00, BFALSE, BgL_arg1772z00_1708,
					BgL_arg1773z00_1709);
			}
			{	/* Eval/evaluate_types.scm 101 */
				obj_t BgL_arg1798z00_1760;
				obj_t BgL_arg1799z00_1761;

				{	/* Eval/evaluate_types.scm 101 */
					obj_t BgL_v1320z00_1775;

					BgL_v1320z00_1775 = create_vector(((long) 1));
					VECTOR_SET(BgL_v1320z00_1775, ((long) 0),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2638z00zz__evaluate_typesz00,
							BGl_proc2637z00zz__evaluate_typesz00,
							BGl_proc2636z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2635z00zz__evaluate_typesz00,
							BGl_symbol2449z00zz__evaluate_typesz00));
					BgL_arg1798z00_1760 = BgL_v1320z00_1775;
				}
				{	/* Eval/evaluate_types.scm 101 */
					obj_t BgL_v1321z00_1789;

					BgL_v1321z00_1789 = create_vector(((long) 0));
					BgL_arg1799z00_1761 = BgL_v1321z00_1789;
				}
				BGl_ev_letz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2643z00zz__evaluate_typesz00,
					BGl_symbol2436z00zz__evaluate_typesz00,
					BGl_ev_binderz00zz__evaluate_typesz00, ((long) 20484),
					BGl_proc2642z00zz__evaluate_typesz00,
					BGl_proc2641z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2640z00zz__evaluate_typesz00, BFALSE, BgL_arg1798z00_1760,
					BgL_arg1799z00_1761);
			}
			{	/* Eval/evaluate_types.scm 103 */
				obj_t BgL_arg1819z00_1796;
				obj_t BgL_arg1820z00_1797;

				{	/* Eval/evaluate_types.scm 103 */
					obj_t BgL_v1322z00_1811;

					BgL_v1322z00_1811 = create_vector(((long) 1));
					VECTOR_SET(BgL_v1322z00_1811, ((long) 0),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2638z00zz__evaluate_typesz00,
							BGl_proc2647z00zz__evaluate_typesz00,
							BGl_proc2646z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2645z00zz__evaluate_typesz00,
							BGl_symbol2449z00zz__evaluate_typesz00));
					BgL_arg1819z00_1796 = BgL_v1322z00_1811;
				}
				{	/* Eval/evaluate_types.scm 103 */
					obj_t BgL_v1323z00_1825;

					BgL_v1323z00_1825 = create_vector(((long) 0));
					BgL_arg1820z00_1797 = BgL_v1323z00_1825;
				}
				BGl_ev_letza2za2zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2651z00zz__evaluate_typesz00,
					BGl_symbol2436z00zz__evaluate_typesz00,
					BGl_ev_binderz00zz__evaluate_typesz00, ((long) 9906),
					BGl_proc2650z00zz__evaluate_typesz00,
					BGl_proc2649z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2648z00zz__evaluate_typesz00, BFALSE, BgL_arg1819z00_1796,
					BgL_arg1820z00_1797);
			}
			{	/* Eval/evaluate_types.scm 105 */
				obj_t BgL_arg1839z00_1832;
				obj_t BgL_arg1840z00_1833;

				{	/* Eval/evaluate_types.scm 105 */
					obj_t BgL_v1324z00_1846;

					BgL_v1324z00_1846 = create_vector(((long) 0));
					BgL_arg1839z00_1832 = BgL_v1324z00_1846;
				}
				{	/* Eval/evaluate_types.scm 105 */
					obj_t BgL_v1325z00_1847;

					BgL_v1325z00_1847 = create_vector(((long) 0));
					BgL_arg1840z00_1833 = BgL_v1325z00_1847;
				}
				BGl_ev_letrecz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2656z00zz__evaluate_typesz00,
					BGl_symbol2436z00zz__evaluate_typesz00,
					BGl_ev_binderz00zz__evaluate_typesz00, ((long) 43956),
					BGl_proc2655z00zz__evaluate_typesz00,
					BGl_proc2654z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2653z00zz__evaluate_typesz00, BFALSE, BgL_arg1839z00_1832,
					BgL_arg1840z00_1833);
			}
			{	/* Eval/evaluate_types.scm 106 */
				obj_t BgL_arg1851z00_1854;
				obj_t BgL_arg1853z00_1855;

				{	/* Eval/evaluate_types.scm 106 */
					obj_t BgL_v1326z00_1871;

					BgL_v1326z00_1871 = create_vector(((long) 6));
					VECTOR_SET(BgL_v1326z00_1871, ((long) 0),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2622z00zz__evaluate_typesz00,
							BGl_proc2659z00zz__evaluate_typesz00,
							BGl_proc2658z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2449z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1326z00_1871, ((long) 1),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2626z00zz__evaluate_typesz00,
							BGl_proc2661z00zz__evaluate_typesz00,
							BGl_proc2660z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2449z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1326z00_1871, ((long) 2),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2665z00zz__evaluate_typesz00,
							BGl_proc2664z00zz__evaluate_typesz00,
							BGl_proc2663z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2662z00zz__evaluate_typesz00,
							BGl_symbol2449z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1326z00_1871, ((long) 3),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2670z00zz__evaluate_typesz00,
							BGl_proc2669z00zz__evaluate_typesz00,
							BGl_proc2668z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2667z00zz__evaluate_typesz00,
							BGl_symbol2449z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1326z00_1871, ((long) 4),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2576z00zz__evaluate_typesz00,
							BGl_proc2673z00zz__evaluate_typesz00,
							BGl_proc2672z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1326z00_1871, ((long) 5),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2638z00zz__evaluate_typesz00,
							BGl_proc2676z00zz__evaluate_typesz00,
							BGl_proc2675z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2674z00zz__evaluate_typesz00,
							BGl_symbol2449z00zz__evaluate_typesz00));
					BgL_arg1851z00_1854 = BgL_v1326z00_1871;
				}
				{	/* Eval/evaluate_types.scm 106 */
					obj_t BgL_v1327z00_1941;

					BgL_v1327z00_1941 = create_vector(((long) 0));
					BgL_arg1853z00_1855 = BgL_v1327z00_1941;
				}
				BGl_ev_labelsz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2680z00zz__evaluate_typesz00,
					BGl_symbol2436z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 51941),
					BGl_proc2679z00zz__evaluate_typesz00,
					BGl_proc2678z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2677z00zz__evaluate_typesz00, BFALSE, BgL_arg1851z00_1854,
					BgL_arg1853z00_1855);
			}
			{	/* Eval/evaluate_types.scm 114 */
				obj_t BgL_arg1902z00_1948;
				obj_t BgL_arg1904z00_1949;

				{	/* Eval/evaluate_types.scm 114 */
					obj_t BgL_v1328z00_1963;

					BgL_v1328z00_1963 = create_vector(((long) 4));
					VECTOR_SET(BgL_v1328z00_1963, ((long) 0),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2462z00zz__evaluate_typesz00,
							BGl_proc2683z00zz__evaluate_typesz00,
							BGl_proc2682z00zz__evaluate_typesz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2449z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1328z00_1963, ((long) 1),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2686z00zz__evaluate_typesz00,
							BGl_proc2685z00zz__evaluate_typesz00,
							BGl_proc2684z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_varz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1328z00_1963, ((long) 2),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2690z00zz__evaluate_typesz00,
							BGl_proc2689z00zz__evaluate_typesz00,
							BGl_proc2688z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_labelsz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1328z00_1963, ((long) 3),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2503z00zz__evaluate_typesz00,
							BGl_proc2693z00zz__evaluate_typesz00,
							BGl_proc2692z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2449z00zz__evaluate_typesz00));
					BgL_arg1902z00_1948 = BgL_v1328z00_1963;
				}
				{	/* Eval/evaluate_types.scm 114 */
					obj_t BgL_v1329z00_2004;

					BgL_v1329z00_2004 = create_vector(((long) 0));
					BgL_arg1904z00_1949 = BgL_v1329z00_2004;
				}
				BGl_ev_gotoz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2697z00zz__evaluate_typesz00,
					BGl_symbol2436z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 25746),
					BGl_proc2696z00zz__evaluate_typesz00,
					BGl_proc2695z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2694z00zz__evaluate_typesz00, BFALSE, BgL_arg1902z00_1948,
					BgL_arg1904z00_1949);
			}
			{	/* Eval/evaluate_types.scm 119 */
				obj_t BgL_arg1934z00_2011;
				obj_t BgL_arg1935z00_2012;

				{	/* Eval/evaluate_types.scm 119 */
					obj_t BgL_v1330z00_2026;

					BgL_v1330z00_2026 = create_vector(((long) 4));
					VECTOR_SET(BgL_v1330z00_2026, ((long) 0),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2462z00zz__evaluate_typesz00,
							BGl_proc2700z00zz__evaluate_typesz00,
							BGl_proc2699z00zz__evaluate_typesz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2449z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1330z00_2026, ((long) 1),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2703z00zz__evaluate_typesz00,
							BGl_proc2702z00zz__evaluate_typesz00,
							BGl_proc2701z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1330z00_2026, ((long) 2),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2503z00zz__evaluate_typesz00,
							BGl_proc2706z00zz__evaluate_typesz00,
							BGl_proc2705z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2449z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1330z00_2026, ((long) 3),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2709z00zz__evaluate_typesz00,
							BGl_proc2708z00zz__evaluate_typesz00,
							BGl_proc2707z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2449z00zz__evaluate_typesz00));
					BgL_arg1934z00_2011 = BgL_v1330z00_2026;
				}
				{	/* Eval/evaluate_types.scm 119 */
					obj_t BgL_v1331z00_2067;

					BgL_v1331z00_2067 = create_vector(((long) 0));
					BgL_arg1935z00_2012 = BgL_v1331z00_2067;
				}
				BGl_ev_appz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2714z00zz__evaluate_typesz00,
					BGl_symbol2436z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 55822),
					BGl_proc2713z00zz__evaluate_typesz00,
					BGl_proc2712z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2711z00zz__evaluate_typesz00, BFALSE, BgL_arg1934z00_2011,
					BgL_arg1935z00_2012);
			}
			{	/* Eval/evaluate_types.scm 122 */
				obj_t BgL_arg1965z00_2074;
				obj_t BgL_arg1966z00_2075;

				{	/* Eval/evaluate_types.scm 122 */
					obj_t BgL_v1332z00_2095;

					BgL_v1332z00_2095 = create_vector(((long) 10));
					VECTOR_SET(BgL_v1332z00_2095, ((long) 0),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2462z00zz__evaluate_typesz00,
							BGl_proc2717z00zz__evaluate_typesz00,
							BGl_proc2716z00zz__evaluate_typesz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2449z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1332z00_2095, ((long) 1),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2720z00zz__evaluate_typesz00,
							BGl_proc2719z00zz__evaluate_typesz00,
							BGl_proc2718z00zz__evaluate_typesz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2449z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1332z00_2095, ((long) 2),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2724z00zz__evaluate_typesz00,
							BGl_proc2723z00zz__evaluate_typesz00,
							BGl_proc2722z00zz__evaluate_typesz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2449z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1332z00_2095, ((long) 3),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2622z00zz__evaluate_typesz00,
							BGl_proc2727z00zz__evaluate_typesz00,
							BGl_proc2726z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2449z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1332z00_2095, ((long) 4),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2576z00zz__evaluate_typesz00,
							BGl_proc2729z00zz__evaluate_typesz00,
							BGl_proc2728z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1332z00_2095, ((long) 5),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2733z00zz__evaluate_typesz00,
							BGl_proc2732z00zz__evaluate_typesz00,
							BGl_proc2731z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2730z00zz__evaluate_typesz00,
							BGl_symbol2735z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1332z00_2095, ((long) 6),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2740z00zz__evaluate_typesz00,
							BGl_proc2739z00zz__evaluate_typesz00,
							BGl_proc2738z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2737z00zz__evaluate_typesz00,
							BGl_symbol2449z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1332z00_2095, ((long) 7),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2745z00zz__evaluate_typesz00,
							BGl_proc2744z00zz__evaluate_typesz00,
							BGl_proc2743z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2742z00zz__evaluate_typesz00,
							BGl_symbol2449z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1332z00_2095, ((long) 8),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2750z00zz__evaluate_typesz00,
							BGl_proc2749z00zz__evaluate_typesz00,
							BGl_proc2748z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2747z00zz__evaluate_typesz00,
							BGl_symbol2449z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1332z00_2095, ((long) 9),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2638z00zz__evaluate_typesz00,
							BGl_proc2754z00zz__evaluate_typesz00,
							BGl_proc2753z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2752z00zz__evaluate_typesz00,
							BGl_symbol2449z00zz__evaluate_typesz00));
					BgL_arg1965z00_2074 = BgL_v1332z00_2095;
				}
				{	/* Eval/evaluate_types.scm 122 */
					obj_t BgL_v1333z00_2211;

					BgL_v1333z00_2211 = create_vector(((long) 0));
					BgL_arg1966z00_2075 = BgL_v1333z00_2211;
				}
				return (BGl_ev_absz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2758z00zz__evaluate_typesz00,
						BGl_symbol2436z00zz__evaluate_typesz00,
						BGl_ev_exprz00zz__evaluate_typesz00, ((long) 22827),
						BGl_proc2757z00zz__evaluate_typesz00,
						BGl_proc2756z00zz__evaluate_typesz00, BFALSE,
						BGl_proc2755z00zz__evaluate_typesz00, BFALSE, BgL_arg1965z00_2074,
						BgL_arg1966z00_2075), BUNSPEC);
		}}
		BGL_FUNCTION_END;
	}



/* &<anonymous:1971> */
	obj_t BGl_z62zc3anonymousza31971ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3480, obj_t BgL_new1191z00_3481)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 122 */
			{
				BgL_ev_absz00_bglt BgL_new1191z00_2093;

				{
					BgL_ev_absz00_bglt BgL_auxz00_4662;

					BgL_new1191z00_2093 = ((BgL_ev_absz00_bglt) BgL_new1191z00_3481);
					((((BgL_ev_absz00_bglt) COBJECT(BgL_new1191z00_2093))->BgL_locz00) =
						((obj_t) BUNSPEC), BUNSPEC);
					((((BgL_ev_absz00_bglt) COBJECT(BgL_new1191z00_2093))->BgL_wherez00) =
						((obj_t) BUNSPEC), BUNSPEC);
					((((BgL_ev_absz00_bglt) COBJECT(BgL_new1191z00_2093))->BgL_arityz00) =
						((obj_t) BUNSPEC), BUNSPEC);
					((((BgL_ev_absz00_bglt) COBJECT(BgL_new1191z00_2093))->BgL_varsz00) =
						((obj_t) BUNSPEC), BUNSPEC);
					{
						BgL_ev_exprz00_bglt BgL_auxz00_4667;

						{	/* Eval/evaluate_types.scm 122 */
							obj_t BgL_classz00_3043;

							BgL_classz00_3043 = BGl_ev_exprz00zz__evaluate_typesz00;
							{	/* Eval/evaluate_types.scm 122 */
								obj_t BgL__ortest_1281z00_3044;

								BgL__ortest_1281z00_3044 = BGL_CLASS_NIL(BgL_classz00_3043);
								if (CBOOL(BgL__ortest_1281z00_3044))
									{	/* Eval/evaluate_types.scm 122 */
										BgL_auxz00_4667 =
											((BgL_ev_exprz00_bglt) BgL__ortest_1281z00_3044);
									}
								else
									{	/* Eval/evaluate_types.scm 122 */
										BgL_auxz00_4667 =
											((BgL_ev_exprz00_bglt)
											BGl_classzd2nilzd2initz12z12zz__objectz00
											(BgL_classz00_3043));
									}
							}
						}
						((((BgL_ev_absz00_bglt) COBJECT(BgL_new1191z00_2093))->
								BgL_bodyz00) =
							((BgL_ev_exprz00_bglt) BgL_auxz00_4667), BUNSPEC);
					}
					((((BgL_ev_absz00_bglt) COBJECT(BgL_new1191z00_2093))->
							BgL_siza7eza7) = ((int) (int) (((long) 0))), BUNSPEC);
					((((BgL_ev_absz00_bglt) COBJECT(BgL_new1191z00_2093))->BgL_bindz00) =
						((obj_t) BUNSPEC), BUNSPEC);
					((((BgL_ev_absz00_bglt) COBJECT(BgL_new1191z00_2093))->BgL_freez00) =
						((obj_t) BUNSPEC), BUNSPEC);
					((((BgL_ev_absz00_bglt) COBJECT(BgL_new1191z00_2093))->BgL_innerz00) =
						((obj_t) BUNSPEC), BUNSPEC);
					((((BgL_ev_absz00_bglt) COBJECT(BgL_new1191z00_2093))->BgL_boxesz00) =
						((obj_t) BUNSPEC), BUNSPEC);
					BgL_auxz00_4662 = BgL_new1191z00_2093;
					return ((obj_t) BgL_auxz00_4662);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1969 */
	BgL_ev_absz00_bglt BGl_z62lambda1969z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3482)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 122 */
			{	/* Eval/evaluate_types.scm 122 */
				BgL_ev_absz00_bglt BgL_new1190z00_3958;

				BgL_new1190z00_3958 =
					((BgL_ev_absz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_absz00_bgl))));
				{	/* Eval/evaluate_types.scm 122 */
					long BgL_arg1970z00_3959;

					{	/* Eval/evaluate_types.scm 122 */
						long BgL_res2382z00_3960;

						BgL_res2382z00_3960 =
							BGL_CLASS_INDEX(BGl_ev_absz00zz__evaluate_typesz00);
						BgL_arg1970z00_3959 = BgL_res2382z00_3960;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1190z00_3958), BgL_arg1970z00_3959);
				}
				return BgL_new1190z00_3958;
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1967 */
	BgL_ev_absz00_bglt BGl_z62lambda1967z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3483, obj_t BgL_loc1180z00_3484, obj_t BgL_where1181z00_3485,
		obj_t BgL_arity1182z00_3486, obj_t BgL_vars1183z00_3487,
		obj_t BgL_body1184z00_3488, obj_t BgL_siza7e1185za7_3489,
		obj_t BgL_bind1186z00_3490, obj_t BgL_free1187z00_3491,
		obj_t BgL_inner1188z00_3492, obj_t BgL_boxes1189z00_3493)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 122 */
			{	/* Eval/evaluate_types.scm 122 */
				int BgL_siza7e1185za7_3962;

				BgL_siza7e1185za7_3962 = CINT(BgL_siza7e1185za7_3489);
				{	/* Eval/evaluate_types.scm 122 */
					BgL_ev_absz00_bglt BgL_new1244z00_3963;

					{	/* Eval/evaluate_types.scm 122 */
						BgL_ev_absz00_bglt BgL_new1242z00_3964;

						BgL_new1242z00_3964 =
							((BgL_ev_absz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_ev_absz00_bgl))));
						{	/* Eval/evaluate_types.scm 122 */
							long BgL_arg1968z00_3965;

							{	/* Eval/evaluate_types.scm 122 */
								long BgL_res2381z00_3966;

								BgL_res2381z00_3966 =
									BGL_CLASS_INDEX(BGl_ev_absz00zz__evaluate_typesz00);
								BgL_arg1968z00_3965 = BgL_res2381z00_3966;
							}
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1242z00_3964),
								BgL_arg1968z00_3965);
						}
						BgL_new1244z00_3963 = BgL_new1242z00_3964;
					}
					((((BgL_ev_absz00_bglt) COBJECT(BgL_new1244z00_3963))->BgL_locz00) =
						((obj_t) BgL_loc1180z00_3484), BUNSPEC);
					((((BgL_ev_absz00_bglt) COBJECT(BgL_new1244z00_3963))->BgL_wherez00) =
						((obj_t) BgL_where1181z00_3485), BUNSPEC);
					((((BgL_ev_absz00_bglt) COBJECT(BgL_new1244z00_3963))->BgL_arityz00) =
						((obj_t) BgL_arity1182z00_3486), BUNSPEC);
					((((BgL_ev_absz00_bglt) COBJECT(BgL_new1244z00_3963))->BgL_varsz00) =
						((obj_t) BgL_vars1183z00_3487), BUNSPEC);
					((((BgL_ev_absz00_bglt) COBJECT(BgL_new1244z00_3963))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt)
								BgL_body1184z00_3488)), BUNSPEC);
					((((BgL_ev_absz00_bglt) COBJECT(BgL_new1244z00_3963))->
							BgL_siza7eza7) = ((int) BgL_siza7e1185za7_3962), BUNSPEC);
					((((BgL_ev_absz00_bglt) COBJECT(BgL_new1244z00_3963))->BgL_bindz00) =
						((obj_t) BgL_bind1186z00_3490), BUNSPEC);
					((((BgL_ev_absz00_bglt) COBJECT(BgL_new1244z00_3963))->BgL_freez00) =
						((obj_t) BgL_free1187z00_3491), BUNSPEC);
					((((BgL_ev_absz00_bglt) COBJECT(BgL_new1244z00_3963))->BgL_innerz00) =
						((obj_t) BgL_inner1188z00_3492), BUNSPEC);
					((((BgL_ev_absz00_bglt) COBJECT(BgL_new1244z00_3963))->BgL_boxesz00) =
						((obj_t) BgL_boxes1189z00_3493), BUNSPEC);
					return BgL_new1244z00_3963;
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2039> */
	obj_t BGl_z62zc3anonymousza32039ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3494)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 122 */
			return BNIL;
		}
		BGL_FUNCTION_END;
	}



/* &lambda2038 */
	obj_t BGl_z62lambda2038z62zz__evaluate_typesz00(obj_t BgL_envz00_3495,
		obj_t BgL_oz00_3496, obj_t BgL_vz00_3497)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 122 */
			return
				((((BgL_ev_absz00_bglt) COBJECT(
							((BgL_ev_absz00_bglt) BgL_oz00_3496)))->BgL_boxesz00) =
				((obj_t) BgL_vz00_3497), BUNSPEC);
		}
		BGL_FUNCTION_END;
	}



/* &lambda2037 */
	obj_t BGl_z62lambda2037z62zz__evaluate_typesz00(obj_t BgL_envz00_3498,
		obj_t BgL_oz00_3499)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 122 */
			return
				(((BgL_ev_absz00_bglt) COBJECT(
						((BgL_ev_absz00_bglt) BgL_oz00_3499)))->BgL_boxesz00);
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2030> */
	obj_t BGl_z62zc3anonymousza32030ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3500)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 122 */
			return BNIL;
		}
		BGL_FUNCTION_END;
	}



/* &lambda2029 */
	obj_t BGl_z62lambda2029z62zz__evaluate_typesz00(obj_t BgL_envz00_3501,
		obj_t BgL_oz00_3502, obj_t BgL_vz00_3503)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 122 */
			return
				((((BgL_ev_absz00_bglt) COBJECT(
							((BgL_ev_absz00_bglt) BgL_oz00_3502)))->BgL_innerz00) =
				((obj_t) BgL_vz00_3503), BUNSPEC);
		}
		BGL_FUNCTION_END;
	}



/* &lambda2028 */
	obj_t BGl_z62lambda2028z62zz__evaluate_typesz00(obj_t BgL_envz00_3504,
		obj_t BgL_oz00_3505)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 122 */
			return
				(((BgL_ev_absz00_bglt) COBJECT(
						((BgL_ev_absz00_bglt) BgL_oz00_3505)))->BgL_innerz00);
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2023> */
	obj_t BGl_z62zc3anonymousza32023ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3506)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 122 */
			return BNIL;
		}
		BGL_FUNCTION_END;
	}



/* &lambda2022 */
	obj_t BGl_z62lambda2022z62zz__evaluate_typesz00(obj_t BgL_envz00_3507,
		obj_t BgL_oz00_3508, obj_t BgL_vz00_3509)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 122 */
			return
				((((BgL_ev_absz00_bglt) COBJECT(
							((BgL_ev_absz00_bglt) BgL_oz00_3508)))->BgL_freez00) =
				((obj_t) BgL_vz00_3509), BUNSPEC);
		}
		BGL_FUNCTION_END;
	}



/* &lambda2021 */
	obj_t BGl_z62lambda2021z62zz__evaluate_typesz00(obj_t BgL_envz00_3510,
		obj_t BgL_oz00_3511)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 122 */
			return
				(((BgL_ev_absz00_bglt) COBJECT(
						((BgL_ev_absz00_bglt) BgL_oz00_3511)))->BgL_freez00);
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2016> */
	obj_t BGl_z62zc3anonymousza32016ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3512)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 122 */
			return BNIL;
		}
		BGL_FUNCTION_END;
	}



/* &lambda2015 */
	obj_t BGl_z62lambda2015z62zz__evaluate_typesz00(obj_t BgL_envz00_3513,
		obj_t BgL_oz00_3514, obj_t BgL_vz00_3515)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 122 */
			return
				((((BgL_ev_absz00_bglt) COBJECT(
							((BgL_ev_absz00_bglt) BgL_oz00_3514)))->BgL_bindz00) =
				((obj_t) BgL_vz00_3515), BUNSPEC);
		}
		BGL_FUNCTION_END;
	}



/* &lambda2014 */
	obj_t BGl_z62lambda2014z62zz__evaluate_typesz00(obj_t BgL_envz00_3516,
		obj_t BgL_oz00_3517)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 122 */
			return
				(((BgL_ev_absz00_bglt) COBJECT(
						((BgL_ev_absz00_bglt) BgL_oz00_3517)))->BgL_bindz00);
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2008> */
	obj_t BGl_z62zc3anonymousza32008ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3518)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 122 */
			return BINT(((long) 0));
		}
		BGL_FUNCTION_END;
	}



/* &lambda2007 */
	obj_t BGl_z62lambda2007z62zz__evaluate_typesz00(obj_t BgL_envz00_3519,
		obj_t BgL_oz00_3520, obj_t BgL_vz00_3521)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 122 */
			{	/* Eval/evaluate_types.scm 122 */
				int BgL_vz00_3976;

				BgL_vz00_3976 = CINT(BgL_vz00_3521);
				return
					((((BgL_ev_absz00_bglt) COBJECT(
								((BgL_ev_absz00_bglt) BgL_oz00_3520)))->BgL_siza7eza7) =
					((int) BgL_vz00_3976), BUNSPEC);
		}}
		BGL_FUNCTION_END;
	}



/* &lambda2006 */
	obj_t BGl_z62lambda2006z62zz__evaluate_typesz00(obj_t BgL_envz00_3522,
		obj_t BgL_oz00_3523)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 122 */
			return
				BINT(
				(((BgL_ev_absz00_bglt) COBJECT(
							((BgL_ev_absz00_bglt) BgL_oz00_3523)))->BgL_siza7eza7));
		}
		BGL_FUNCTION_END;
	}



/* &lambda1999 */
	obj_t BGl_z62lambda1999z62zz__evaluate_typesz00(obj_t BgL_envz00_3524,
		obj_t BgL_oz00_3525, obj_t BgL_vz00_3526)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 122 */
			return
				((((BgL_ev_absz00_bglt) COBJECT(
							((BgL_ev_absz00_bglt) BgL_oz00_3525)))->BgL_bodyz00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3526)), BUNSPEC);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1998 */
	BgL_ev_exprz00_bglt BGl_z62lambda1998z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3527, obj_t BgL_oz00_3528)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 122 */
			return
				(((BgL_ev_absz00_bglt) COBJECT(
						((BgL_ev_absz00_bglt) BgL_oz00_3528)))->BgL_bodyz00);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1993 */
	obj_t BGl_z62lambda1993z62zz__evaluate_typesz00(obj_t BgL_envz00_3529,
		obj_t BgL_oz00_3530, obj_t BgL_vz00_3531)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 122 */
			return
				((((BgL_ev_absz00_bglt) COBJECT(
							((BgL_ev_absz00_bglt) BgL_oz00_3530)))->BgL_varsz00) =
				((obj_t) BgL_vz00_3531), BUNSPEC);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1992 */
	obj_t BGl_z62lambda1992z62zz__evaluate_typesz00(obj_t BgL_envz00_3532,
		obj_t BgL_oz00_3533)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 122 */
			return
				(((BgL_ev_absz00_bglt) COBJECT(
						((BgL_ev_absz00_bglt) BgL_oz00_3533)))->BgL_varsz00);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1986 */
	obj_t BGl_z62lambda1986z62zz__evaluate_typesz00(obj_t BgL_envz00_3534,
		obj_t BgL_oz00_3535, obj_t BgL_vz00_3536)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 122 */
			return
				((((BgL_ev_absz00_bglt) COBJECT(
							((BgL_ev_absz00_bglt) BgL_oz00_3535)))->BgL_arityz00) =
				((obj_t) BgL_vz00_3536), BUNSPEC);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1985 */
	obj_t BGl_z62lambda1985z62zz__evaluate_typesz00(obj_t BgL_envz00_3537,
		obj_t BgL_oz00_3538)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 122 */
			return
				(((BgL_ev_absz00_bglt) COBJECT(
						((BgL_ev_absz00_bglt) BgL_oz00_3538)))->BgL_arityz00);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1981 */
	obj_t BGl_z62lambda1981z62zz__evaluate_typesz00(obj_t BgL_envz00_3539,
		obj_t BgL_oz00_3540, obj_t BgL_vz00_3541)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 122 */
			return
				((((BgL_ev_absz00_bglt) COBJECT(
							((BgL_ev_absz00_bglt) BgL_oz00_3540)))->BgL_wherez00) =
				((obj_t) BgL_vz00_3541), BUNSPEC);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1980 */
	obj_t BGl_z62lambda1980z62zz__evaluate_typesz00(obj_t BgL_envz00_3542,
		obj_t BgL_oz00_3543)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 122 */
			return
				(((BgL_ev_absz00_bglt) COBJECT(
						((BgL_ev_absz00_bglt) BgL_oz00_3543)))->BgL_wherez00);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1976 */
	obj_t BGl_z62lambda1976z62zz__evaluate_typesz00(obj_t BgL_envz00_3544,
		obj_t BgL_oz00_3545, obj_t BgL_vz00_3546)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 122 */
			return
				((((BgL_ev_absz00_bglt) COBJECT(
							((BgL_ev_absz00_bglt) BgL_oz00_3545)))->BgL_locz00) =
				((obj_t) BgL_vz00_3546), BUNSPEC);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1975 */
	obj_t BGl_z62lambda1975z62zz__evaluate_typesz00(obj_t BgL_envz00_3547,
		obj_t BgL_oz00_3548)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 122 */
			return
				(((BgL_ev_absz00_bglt) COBJECT(
						((BgL_ev_absz00_bglt) BgL_oz00_3548)))->BgL_locz00);
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:1940> */
	obj_t BGl_z62zc3anonymousza31940ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3549, obj_t BgL_new1178z00_3550)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 119 */
			{
				BgL_ev_appz00_bglt BgL_new1178z00_2024;

				{
					BgL_ev_appz00_bglt BgL_auxz00_4747;

					BgL_new1178z00_2024 = ((BgL_ev_appz00_bglt) BgL_new1178z00_3550);
					((((BgL_ev_appz00_bglt) COBJECT(BgL_new1178z00_2024))->BgL_locz00) =
						((obj_t) BUNSPEC), BUNSPEC);
					{
						BgL_ev_exprz00_bglt BgL_auxz00_4749;

						{	/* Eval/evaluate_types.scm 119 */
							obj_t BgL_classz00_3018;

							BgL_classz00_3018 = BGl_ev_exprz00zz__evaluate_typesz00;
							{	/* Eval/evaluate_types.scm 119 */
								obj_t BgL__ortest_1281z00_3019;

								BgL__ortest_1281z00_3019 = BGL_CLASS_NIL(BgL_classz00_3018);
								if (CBOOL(BgL__ortest_1281z00_3019))
									{	/* Eval/evaluate_types.scm 119 */
										BgL_auxz00_4749 =
											((BgL_ev_exprz00_bglt) BgL__ortest_1281z00_3019);
									}
								else
									{	/* Eval/evaluate_types.scm 119 */
										BgL_auxz00_4749 =
											((BgL_ev_exprz00_bglt)
											BGl_classzd2nilzd2initz12z12zz__objectz00
											(BgL_classz00_3018));
									}
							}
						}
						((((BgL_ev_appz00_bglt) COBJECT(BgL_new1178z00_2024))->BgL_funz00) =
							((BgL_ev_exprz00_bglt) BgL_auxz00_4749), BUNSPEC);
					}
					((((BgL_ev_appz00_bglt) COBJECT(BgL_new1178z00_2024))->BgL_argsz00) =
						((obj_t) BUNSPEC), BUNSPEC);
					((((BgL_ev_appz00_bglt) COBJECT(BgL_new1178z00_2024))->
							BgL_tailzf3zf3) = ((obj_t) BUNSPEC), BUNSPEC);
					BgL_auxz00_4747 = BgL_new1178z00_2024;
					return ((obj_t) BgL_auxz00_4747);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1938 */
	BgL_ev_appz00_bglt BGl_z62lambda1938z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3551)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 119 */
			{	/* Eval/evaluate_types.scm 119 */
				BgL_ev_appz00_bglt BgL_new1176z00_3992;

				BgL_new1176z00_3992 =
					((BgL_ev_appz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_appz00_bgl))));
				{	/* Eval/evaluate_types.scm 119 */
					long BgL_arg1939z00_3993;

					{	/* Eval/evaluate_types.scm 119 */
						long BgL_res2380z00_3994;

						BgL_res2380z00_3994 =
							BGL_CLASS_INDEX(BGl_ev_appz00zz__evaluate_typesz00);
						BgL_arg1939z00_3993 = BgL_res2380z00_3994;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1176z00_3992), BgL_arg1939z00_3993);
				}
				return BgL_new1176z00_3992;
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1936 */
	BgL_ev_appz00_bglt BGl_z62lambda1936z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3552, obj_t BgL_loc1172z00_3553, obj_t BgL_fun1173z00_3554,
		obj_t BgL_args1174z00_3555, obj_t BgL_tailzf31175zf3_3556)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 119 */
			{	/* Eval/evaluate_types.scm 119 */
				BgL_ev_appz00_bglt BgL_new1241z00_3996;

				{	/* Eval/evaluate_types.scm 119 */
					BgL_ev_appz00_bglt BgL_new1240z00_3997;

					BgL_new1240z00_3997 =
						((BgL_ev_appz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_appz00_bgl))));
					{	/* Eval/evaluate_types.scm 119 */
						long BgL_arg1937z00_3998;

						{	/* Eval/evaluate_types.scm 119 */
							long BgL_res2379z00_3999;

							BgL_res2379z00_3999 =
								BGL_CLASS_INDEX(BGl_ev_appz00zz__evaluate_typesz00);
							BgL_arg1937z00_3998 = BgL_res2379z00_3999;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1240z00_3997), BgL_arg1937z00_3998);
					}
					BgL_new1241z00_3996 = BgL_new1240z00_3997;
				}
				((((BgL_ev_appz00_bglt) COBJECT(BgL_new1241z00_3996))->BgL_locz00) =
					((obj_t) BgL_loc1172z00_3553), BUNSPEC);
				((((BgL_ev_appz00_bglt) COBJECT(BgL_new1241z00_3996))->BgL_funz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_fun1173z00_3554)),
					BUNSPEC);
				((((BgL_ev_appz00_bglt) COBJECT(BgL_new1241z00_3996))->BgL_argsz00) =
					((obj_t) BgL_args1174z00_3555), BUNSPEC);
				((((BgL_ev_appz00_bglt) COBJECT(BgL_new1241z00_3996))->BgL_tailzf3zf3) =
					((obj_t) BgL_tailzf31175zf3_3556), BUNSPEC);
				return BgL_new1241z00_3996;
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1960 */
	obj_t BGl_z62lambda1960z62zz__evaluate_typesz00(obj_t BgL_envz00_3557,
		obj_t BgL_oz00_3558, obj_t BgL_vz00_3559)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 119 */
			return
				((((BgL_ev_appz00_bglt) COBJECT(
							((BgL_ev_appz00_bglt) BgL_oz00_3558)))->BgL_tailzf3zf3) =
				((obj_t) BgL_vz00_3559), BUNSPEC);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1959 */
	obj_t BGl_z62lambda1959z62zz__evaluate_typesz00(obj_t BgL_envz00_3560,
		obj_t BgL_oz00_3561)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 119 */
			return
				(((BgL_ev_appz00_bglt) COBJECT(
						((BgL_ev_appz00_bglt) BgL_oz00_3561)))->BgL_tailzf3zf3);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1955 */
	obj_t BGl_z62lambda1955z62zz__evaluate_typesz00(obj_t BgL_envz00_3562,
		obj_t BgL_oz00_3563, obj_t BgL_vz00_3564)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 119 */
			return
				((((BgL_ev_appz00_bglt) COBJECT(
							((BgL_ev_appz00_bglt) BgL_oz00_3563)))->BgL_argsz00) =
				((obj_t) BgL_vz00_3564), BUNSPEC);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1954 */
	obj_t BGl_z62lambda1954z62zz__evaluate_typesz00(obj_t BgL_envz00_3565,
		obj_t BgL_oz00_3566)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 119 */
			return
				(((BgL_ev_appz00_bglt) COBJECT(
						((BgL_ev_appz00_bglt) BgL_oz00_3566)))->BgL_argsz00);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1950 */
	obj_t BGl_z62lambda1950z62zz__evaluate_typesz00(obj_t BgL_envz00_3567,
		obj_t BgL_oz00_3568, obj_t BgL_vz00_3569)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 119 */
			return
				((((BgL_ev_appz00_bglt) COBJECT(
							((BgL_ev_appz00_bglt) BgL_oz00_3568)))->BgL_funz00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3569)), BUNSPEC);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1949 */
	BgL_ev_exprz00_bglt BGl_z62lambda1949z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3570, obj_t BgL_oz00_3571)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 119 */
			return
				(((BgL_ev_appz00_bglt) COBJECT(
						((BgL_ev_appz00_bglt) BgL_oz00_3571)))->BgL_funz00);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1945 */
	obj_t BGl_z62lambda1945z62zz__evaluate_typesz00(obj_t BgL_envz00_3572,
		obj_t BgL_oz00_3573, obj_t BgL_vz00_3574)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 119 */
			return
				((((BgL_ev_appz00_bglt) COBJECT(
							((BgL_ev_appz00_bglt) BgL_oz00_3573)))->BgL_locz00) =
				((obj_t) BgL_vz00_3574), BUNSPEC);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1944 */
	obj_t BGl_z62lambda1944z62zz__evaluate_typesz00(obj_t BgL_envz00_3575,
		obj_t BgL_oz00_3576)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 119 */
			return
				(((BgL_ev_appz00_bglt) COBJECT(
						((BgL_ev_appz00_bglt) BgL_oz00_3576)))->BgL_locz00);
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:1909> */
	obj_t BGl_z62zc3anonymousza31909ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3577, obj_t BgL_new1170z00_3578)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 114 */
			{
				BgL_ev_gotoz00_bglt BgL_new1170z00_1961;

				{
					BgL_ev_gotoz00_bglt BgL_auxz00_4791;

					BgL_new1170z00_1961 = ((BgL_ev_gotoz00_bglt) BgL_new1170z00_3578);
					((((BgL_ev_gotoz00_bglt) COBJECT(BgL_new1170z00_1961))->BgL_locz00) =
						((obj_t) BUNSPEC), BUNSPEC);
					{
						BgL_ev_varz00_bglt BgL_auxz00_4793;

						{	/* Eval/evaluate_types.scm 114 */
							obj_t BgL_classz00_2997;

							BgL_classz00_2997 = BGl_ev_varz00zz__evaluate_typesz00;
							{	/* Eval/evaluate_types.scm 114 */
								obj_t BgL__ortest_1281z00_2998;

								BgL__ortest_1281z00_2998 = BGL_CLASS_NIL(BgL_classz00_2997);
								if (CBOOL(BgL__ortest_1281z00_2998))
									{	/* Eval/evaluate_types.scm 114 */
										BgL_auxz00_4793 =
											((BgL_ev_varz00_bglt) BgL__ortest_1281z00_2998);
									}
								else
									{	/* Eval/evaluate_types.scm 114 */
										BgL_auxz00_4793 =
											((BgL_ev_varz00_bglt)
											BGl_classzd2nilzd2initz12z12zz__objectz00
											(BgL_classz00_2997));
									}
							}
						}
						((((BgL_ev_gotoz00_bglt) COBJECT(BgL_new1170z00_1961))->
								BgL_labelz00) =
							((BgL_ev_varz00_bglt) BgL_auxz00_4793), BUNSPEC);
					}
					{
						BgL_ev_labelsz00_bglt BgL_auxz00_4801;

						{	/* Eval/evaluate_types.scm 114 */
							obj_t BgL_classz00_2999;

							BgL_classz00_2999 = BGl_ev_labelsz00zz__evaluate_typesz00;
							{	/* Eval/evaluate_types.scm 114 */
								obj_t BgL__ortest_1281z00_3000;

								BgL__ortest_1281z00_3000 = BGL_CLASS_NIL(BgL_classz00_2999);
								if (CBOOL(BgL__ortest_1281z00_3000))
									{	/* Eval/evaluate_types.scm 114 */
										BgL_auxz00_4801 =
											((BgL_ev_labelsz00_bglt) BgL__ortest_1281z00_3000);
									}
								else
									{	/* Eval/evaluate_types.scm 114 */
										BgL_auxz00_4801 =
											((BgL_ev_labelsz00_bglt)
											BGl_classzd2nilzd2initz12z12zz__objectz00
											(BgL_classz00_2999));
									}
							}
						}
						((((BgL_ev_gotoz00_bglt) COBJECT(BgL_new1170z00_1961))->
								BgL_labelsz00) =
							((BgL_ev_labelsz00_bglt) BgL_auxz00_4801), BUNSPEC);
					}
					((((BgL_ev_gotoz00_bglt) COBJECT(BgL_new1170z00_1961))->BgL_argsz00) =
						((obj_t) BUNSPEC), BUNSPEC);
					BgL_auxz00_4791 = BgL_new1170z00_1961;
					return ((obj_t) BgL_auxz00_4791);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1907 */
	BgL_ev_gotoz00_bglt BGl_z62lambda1907z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3579)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 114 */
			{	/* Eval/evaluate_types.scm 114 */
				BgL_ev_gotoz00_bglt BgL_new1169z00_4014;

				BgL_new1169z00_4014 =
					((BgL_ev_gotoz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_gotoz00_bgl))));
				{	/* Eval/evaluate_types.scm 114 */
					long BgL_arg1908z00_4015;

					{	/* Eval/evaluate_types.scm 114 */
						long BgL_res2378z00_4016;

						BgL_res2378z00_4016 =
							BGL_CLASS_INDEX(BGl_ev_gotoz00zz__evaluate_typesz00);
						BgL_arg1908z00_4015 = BgL_res2378z00_4016;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1169z00_4014), BgL_arg1908z00_4015);
				}
				return BgL_new1169z00_4014;
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1905 */
	BgL_ev_gotoz00_bglt BGl_z62lambda1905z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3580, obj_t BgL_loc1165z00_3581, obj_t BgL_label1166z00_3582,
		obj_t BgL_labels1167z00_3583, obj_t BgL_args1168z00_3584)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 114 */
			{	/* Eval/evaluate_types.scm 114 */
				BgL_ev_gotoz00_bglt BgL_new1239z00_4019;

				{	/* Eval/evaluate_types.scm 114 */
					BgL_ev_gotoz00_bglt BgL_new1238z00_4020;

					BgL_new1238z00_4020 =
						((BgL_ev_gotoz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_gotoz00_bgl))));
					{	/* Eval/evaluate_types.scm 114 */
						long BgL_arg1906z00_4021;

						{	/* Eval/evaluate_types.scm 114 */
							long BgL_res2377z00_4022;

							BgL_res2377z00_4022 =
								BGL_CLASS_INDEX(BGl_ev_gotoz00zz__evaluate_typesz00);
							BgL_arg1906z00_4021 = BgL_res2377z00_4022;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1238z00_4020), BgL_arg1906z00_4021);
					}
					BgL_new1239z00_4019 = BgL_new1238z00_4020;
				}
				((((BgL_ev_gotoz00_bglt) COBJECT(BgL_new1239z00_4019))->BgL_locz00) =
					((obj_t) BgL_loc1165z00_3581), BUNSPEC);
				((((BgL_ev_gotoz00_bglt) COBJECT(BgL_new1239z00_4019))->BgL_labelz00) =
					((BgL_ev_varz00_bglt) ((BgL_ev_varz00_bglt) BgL_label1166z00_3582)),
					BUNSPEC);
				((((BgL_ev_gotoz00_bglt) COBJECT(BgL_new1239z00_4019))->BgL_labelsz00) =
					((BgL_ev_labelsz00_bglt) ((BgL_ev_labelsz00_bglt)
							BgL_labels1167z00_3583)), BUNSPEC);
				((((BgL_ev_gotoz00_bglt) COBJECT(BgL_new1239z00_4019))->BgL_argsz00) =
					((obj_t) BgL_args1168z00_3584), BUNSPEC);
				return BgL_new1239z00_4019;
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1929 */
	obj_t BGl_z62lambda1929z62zz__evaluate_typesz00(obj_t BgL_envz00_3585,
		obj_t BgL_oz00_3586, obj_t BgL_vz00_3587)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 114 */
			return
				((((BgL_ev_gotoz00_bglt) COBJECT(
							((BgL_ev_gotoz00_bglt) BgL_oz00_3586)))->BgL_argsz00) =
				((obj_t) BgL_vz00_3587), BUNSPEC);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1928 */
	obj_t BGl_z62lambda1928z62zz__evaluate_typesz00(obj_t BgL_envz00_3588,
		obj_t BgL_oz00_3589)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 114 */
			return
				(((BgL_ev_gotoz00_bglt) COBJECT(
						((BgL_ev_gotoz00_bglt) BgL_oz00_3589)))->BgL_argsz00);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1924 */
	obj_t BGl_z62lambda1924z62zz__evaluate_typesz00(obj_t BgL_envz00_3590,
		obj_t BgL_oz00_3591, obj_t BgL_vz00_3592)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 114 */
			return
				((((BgL_ev_gotoz00_bglt) COBJECT(
							((BgL_ev_gotoz00_bglt) BgL_oz00_3591)))->BgL_labelsz00) =
				((BgL_ev_labelsz00_bglt) ((BgL_ev_labelsz00_bglt) BgL_vz00_3592)),
				BUNSPEC);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1923 */
	BgL_ev_labelsz00_bglt BGl_z62lambda1923z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3593, obj_t BgL_oz00_3594)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 114 */
			return
				(((BgL_ev_gotoz00_bglt) COBJECT(
						((BgL_ev_gotoz00_bglt) BgL_oz00_3594)))->BgL_labelsz00);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1919 */
	obj_t BGl_z62lambda1919z62zz__evaluate_typesz00(obj_t BgL_envz00_3595,
		obj_t BgL_oz00_3596, obj_t BgL_vz00_3597)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 114 */
			return
				((((BgL_ev_gotoz00_bglt) COBJECT(
							((BgL_ev_gotoz00_bglt) BgL_oz00_3596)))->BgL_labelz00) =
				((BgL_ev_varz00_bglt) ((BgL_ev_varz00_bglt) BgL_vz00_3597)), BUNSPEC);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1918 */
	BgL_ev_varz00_bglt BGl_z62lambda1918z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3598, obj_t BgL_oz00_3599)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 114 */
			return
				(((BgL_ev_gotoz00_bglt) COBJECT(
						((BgL_ev_gotoz00_bglt) BgL_oz00_3599)))->BgL_labelz00);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1914 */
	obj_t BGl_z62lambda1914z62zz__evaluate_typesz00(obj_t BgL_envz00_3600,
		obj_t BgL_oz00_3601, obj_t BgL_vz00_3602)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 114 */
			return
				((((BgL_ev_gotoz00_bglt) COBJECT(
							((BgL_ev_gotoz00_bglt) BgL_oz00_3601)))->BgL_locz00) =
				((obj_t) BgL_vz00_3602), BUNSPEC);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1913 */
	obj_t BGl_z62lambda1913z62zz__evaluate_typesz00(obj_t BgL_envz00_3603,
		obj_t BgL_oz00_3604)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 114 */
			return
				(((BgL_ev_gotoz00_bglt) COBJECT(
						((BgL_ev_gotoz00_bglt) BgL_oz00_3604)))->BgL_locz00);
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:1859> */
	obj_t BGl_z62zc3anonymousza31859ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3605, obj_t BgL_new1163z00_3606)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 106 */
			{
				BgL_ev_labelsz00_bglt BgL_new1163z00_1869;

				{
					BgL_ev_labelsz00_bglt BgL_auxz00_4844;

					BgL_new1163z00_1869 = ((BgL_ev_labelsz00_bglt) BgL_new1163z00_3606);
					((((BgL_ev_labelsz00_bglt) COBJECT(BgL_new1163z00_1869))->
							BgL_varsz00) = ((obj_t) BUNSPEC), BUNSPEC);
					((((BgL_ev_labelsz00_bglt) COBJECT(BgL_new1163z00_1869))->
							BgL_valsz00) = ((obj_t) BUNSPEC), BUNSPEC);
					((((BgL_ev_labelsz00_bglt) COBJECT(BgL_new1163z00_1869))->
							BgL_envz00) = ((obj_t) BUNSPEC), BUNSPEC);
					((((BgL_ev_labelsz00_bglt) COBJECT(BgL_new1163z00_1869))->
							BgL_stkz00) = ((obj_t) BUNSPEC), BUNSPEC);
					{
						BgL_ev_exprz00_bglt BgL_auxz00_4849;

						{	/* Eval/evaluate_types.scm 106 */
							obj_t BgL_classz00_2978;

							BgL_classz00_2978 = BGl_ev_exprz00zz__evaluate_typesz00;
							{	/* Eval/evaluate_types.scm 106 */
								obj_t BgL__ortest_1281z00_2979;

								BgL__ortest_1281z00_2979 = BGL_CLASS_NIL(BgL_classz00_2978);
								if (CBOOL(BgL__ortest_1281z00_2979))
									{	/* Eval/evaluate_types.scm 106 */
										BgL_auxz00_4849 =
											((BgL_ev_exprz00_bglt) BgL__ortest_1281z00_2979);
									}
								else
									{	/* Eval/evaluate_types.scm 106 */
										BgL_auxz00_4849 =
											((BgL_ev_exprz00_bglt)
											BGl_classzd2nilzd2initz12z12zz__objectz00
											(BgL_classz00_2978));
									}
							}
						}
						((((BgL_ev_labelsz00_bglt) COBJECT(BgL_new1163z00_1869))->
								BgL_bodyz00) =
							((BgL_ev_exprz00_bglt) BgL_auxz00_4849), BUNSPEC);
					}
					((((BgL_ev_labelsz00_bglt) COBJECT(BgL_new1163z00_1869))->
							BgL_boxesz00) = ((obj_t) BUNSPEC), BUNSPEC);
					BgL_auxz00_4844 = BgL_new1163z00_1869;
					return ((obj_t) BgL_auxz00_4844);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1857 */
	BgL_ev_labelsz00_bglt BGl_z62lambda1857z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3607)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 106 */
			{	/* Eval/evaluate_types.scm 106 */
				BgL_ev_labelsz00_bglt BgL_new1162z00_4036;

				BgL_new1162z00_4036 =
					((BgL_ev_labelsz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_labelsz00_bgl))));
				{	/* Eval/evaluate_types.scm 106 */
					long BgL_arg1858z00_4037;

					{	/* Eval/evaluate_types.scm 106 */
						long BgL_res2376z00_4038;

						BgL_res2376z00_4038 =
							BGL_CLASS_INDEX(BGl_ev_labelsz00zz__evaluate_typesz00);
						BgL_arg1858z00_4037 = BgL_res2376z00_4038;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1162z00_4036), BgL_arg1858z00_4037);
				}
				return BgL_new1162z00_4036;
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1854 */
	BgL_ev_labelsz00_bglt BGl_z62lambda1854z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3608, obj_t BgL_vars1156z00_3609, obj_t BgL_vals1157z00_3610,
		obj_t BgL_env1158z00_3611, obj_t BgL_stk1159z00_3612,
		obj_t BgL_body1160z00_3613, obj_t BgL_boxes1161z00_3614)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 106 */
			{	/* Eval/evaluate_types.scm 106 */
				BgL_ev_labelsz00_bglt BgL_new1237z00_4040;

				{	/* Eval/evaluate_types.scm 106 */
					BgL_ev_labelsz00_bglt BgL_new1236z00_4041;

					BgL_new1236z00_4041 =
						((BgL_ev_labelsz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_labelsz00_bgl))));
					{	/* Eval/evaluate_types.scm 106 */
						long BgL_arg1856z00_4042;

						{	/* Eval/evaluate_types.scm 106 */
							long BgL_res2375z00_4043;

							BgL_res2375z00_4043 =
								BGL_CLASS_INDEX(BGl_ev_labelsz00zz__evaluate_typesz00);
							BgL_arg1856z00_4042 = BgL_res2375z00_4043;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1236z00_4041), BgL_arg1856z00_4042);
					}
					BgL_new1237z00_4040 = BgL_new1236z00_4041;
				}
				((((BgL_ev_labelsz00_bglt) COBJECT(BgL_new1237z00_4040))->BgL_varsz00) =
					((obj_t) BgL_vars1156z00_3609), BUNSPEC);
				((((BgL_ev_labelsz00_bglt) COBJECT(BgL_new1237z00_4040))->BgL_valsz00) =
					((obj_t) BgL_vals1157z00_3610), BUNSPEC);
				((((BgL_ev_labelsz00_bglt) COBJECT(BgL_new1237z00_4040))->BgL_envz00) =
					((obj_t) BgL_env1158z00_3611), BUNSPEC);
				((((BgL_ev_labelsz00_bglt) COBJECT(BgL_new1237z00_4040))->BgL_stkz00) =
					((obj_t) BgL_stk1159z00_3612), BUNSPEC);
				((((BgL_ev_labelsz00_bglt) COBJECT(BgL_new1237z00_4040))->BgL_bodyz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_body1160z00_3613)),
					BUNSPEC);
				((((BgL_ev_labelsz00_bglt) COBJECT(BgL_new1237z00_4040))->
						BgL_boxesz00) = ((obj_t) BgL_boxes1161z00_3614), BUNSPEC);
				return BgL_new1237z00_4040;
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:1898> */
	obj_t BGl_z62zc3anonymousza31898ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3615)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 106 */
			return BNIL;
		}
		BGL_FUNCTION_END;
	}



/* &lambda1897 */
	obj_t BGl_z62lambda1897z62zz__evaluate_typesz00(obj_t BgL_envz00_3616,
		obj_t BgL_oz00_3617, obj_t BgL_vz00_3618)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 106 */
			return
				((((BgL_ev_labelsz00_bglt) COBJECT(
							((BgL_ev_labelsz00_bglt) BgL_oz00_3617)))->BgL_boxesz00) =
				((obj_t) BgL_vz00_3618), BUNSPEC);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1896 */
	obj_t BGl_z62lambda1896z62zz__evaluate_typesz00(obj_t BgL_envz00_3619,
		obj_t BgL_oz00_3620)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 106 */
			return
				(((BgL_ev_labelsz00_bglt) COBJECT(
						((BgL_ev_labelsz00_bglt) BgL_oz00_3620)))->BgL_boxesz00);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1891 */
	obj_t BGl_z62lambda1891z62zz__evaluate_typesz00(obj_t BgL_envz00_3621,
		obj_t BgL_oz00_3622, obj_t BgL_vz00_3623)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 106 */
			return
				((((BgL_ev_labelsz00_bglt) COBJECT(
							((BgL_ev_labelsz00_bglt) BgL_oz00_3622)))->BgL_bodyz00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3623)), BUNSPEC);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1890 */
	BgL_ev_exprz00_bglt BGl_z62lambda1890z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3624, obj_t BgL_oz00_3625)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 106 */
			return
				(((BgL_ev_labelsz00_bglt) COBJECT(
						((BgL_ev_labelsz00_bglt) BgL_oz00_3625)))->BgL_bodyz00);
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:1886> */
	obj_t BGl_z62zc3anonymousza31886ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3626)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 106 */
			return BNIL;
		}
		BGL_FUNCTION_END;
	}



/* &lambda1885 */
	obj_t BGl_z62lambda1885z62zz__evaluate_typesz00(obj_t BgL_envz00_3627,
		obj_t BgL_oz00_3628, obj_t BgL_vz00_3629)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 106 */
			return
				((((BgL_ev_labelsz00_bglt) COBJECT(
							((BgL_ev_labelsz00_bglt) BgL_oz00_3628)))->BgL_stkz00) =
				((obj_t) BgL_vz00_3629), BUNSPEC);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1884 */
	obj_t BGl_z62lambda1884z62zz__evaluate_typesz00(obj_t BgL_envz00_3630,
		obj_t BgL_oz00_3631)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 106 */
			return
				(((BgL_ev_labelsz00_bglt) COBJECT(
						((BgL_ev_labelsz00_bglt) BgL_oz00_3631)))->BgL_stkz00);
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:1879> */
	obj_t BGl_z62zc3anonymousza31879ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3632)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 106 */
			return BNIL;
		}
		BGL_FUNCTION_END;
	}



/* &lambda1878 */
	obj_t BGl_z62lambda1878z62zz__evaluate_typesz00(obj_t BgL_envz00_3633,
		obj_t BgL_oz00_3634, obj_t BgL_vz00_3635)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 106 */
			return
				((((BgL_ev_labelsz00_bglt) COBJECT(
							((BgL_ev_labelsz00_bglt) BgL_oz00_3634)))->BgL_envz00) =
				((obj_t) BgL_vz00_3635), BUNSPEC);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1877 */
	obj_t BGl_z62lambda1877z62zz__evaluate_typesz00(obj_t BgL_envz00_3636,
		obj_t BgL_oz00_3637)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 106 */
			return
				(((BgL_ev_labelsz00_bglt) COBJECT(
						((BgL_ev_labelsz00_bglt) BgL_oz00_3637)))->BgL_envz00);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1871 */
	obj_t BGl_z62lambda1871z62zz__evaluate_typesz00(obj_t BgL_envz00_3638,
		obj_t BgL_oz00_3639, obj_t BgL_vz00_3640)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 106 */
			return
				((((BgL_ev_labelsz00_bglt) COBJECT(
							((BgL_ev_labelsz00_bglt) BgL_oz00_3639)))->BgL_valsz00) =
				((obj_t) BgL_vz00_3640), BUNSPEC);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1870 */
	obj_t BGl_z62lambda1870z62zz__evaluate_typesz00(obj_t BgL_envz00_3641,
		obj_t BgL_oz00_3642)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 106 */
			return
				(((BgL_ev_labelsz00_bglt) COBJECT(
						((BgL_ev_labelsz00_bglt) BgL_oz00_3642)))->BgL_valsz00);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1865 */
	obj_t BGl_z62lambda1865z62zz__evaluate_typesz00(obj_t BgL_envz00_3643,
		obj_t BgL_oz00_3644, obj_t BgL_vz00_3645)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 106 */
			return
				((((BgL_ev_labelsz00_bglt) COBJECT(
							((BgL_ev_labelsz00_bglt) BgL_oz00_3644)))->BgL_varsz00) =
				((obj_t) BgL_vz00_3645), BUNSPEC);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1864 */
	obj_t BGl_z62lambda1864z62zz__evaluate_typesz00(obj_t BgL_envz00_3646,
		obj_t BgL_oz00_3647)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 106 */
			return
				(((BgL_ev_labelsz00_bglt) COBJECT(
						((BgL_ev_labelsz00_bglt) BgL_oz00_3647)))->BgL_varsz00);
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:1845> */
	obj_t BGl_z62zc3anonymousza31845ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3648, obj_t BgL_new1154z00_3649)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 105 */
			{
				BgL_ev_letrecz00_bglt BgL_new1154z00_1844;

				{
					BgL_ev_letrecz00_bglt BgL_auxz00_4900;

					BgL_new1154z00_1844 = ((BgL_ev_letrecz00_bglt) BgL_new1154z00_3649);
					((((BgL_ev_binderz00_bglt) COBJECT(
									((BgL_ev_binderz00_bglt) BgL_new1154z00_1844)))->
							BgL_varsz00) = ((obj_t) BUNSPEC), BUNSPEC);
					((((BgL_ev_binderz00_bglt) COBJECT(((BgL_ev_binderz00_bglt)
										BgL_new1154z00_1844)))->BgL_valsz00) =
						((obj_t) BUNSPEC), BUNSPEC);
					{
						BgL_ev_exprz00_bglt BgL_auxz00_4905;

						{	/* Eval/evaluate_types.scm 105 */
							obj_t BgL_classz00_2957;

							BgL_classz00_2957 = BGl_ev_exprz00zz__evaluate_typesz00;
							{	/* Eval/evaluate_types.scm 105 */
								obj_t BgL__ortest_1281z00_2958;

								BgL__ortest_1281z00_2958 = BGL_CLASS_NIL(BgL_classz00_2957);
								if (CBOOL(BgL__ortest_1281z00_2958))
									{	/* Eval/evaluate_types.scm 105 */
										BgL_auxz00_4905 =
											((BgL_ev_exprz00_bglt) BgL__ortest_1281z00_2958);
									}
								else
									{	/* Eval/evaluate_types.scm 105 */
										BgL_auxz00_4905 =
											((BgL_ev_exprz00_bglt)
											BGl_classzd2nilzd2initz12z12zz__objectz00
											(BgL_classz00_2957));
									}
							}
						}
						((((BgL_ev_binderz00_bglt) COBJECT(
										((BgL_ev_binderz00_bglt) BgL_new1154z00_1844)))->
								BgL_bodyz00) =
							((BgL_ev_exprz00_bglt) BgL_auxz00_4905), BUNSPEC);
					}
					BgL_auxz00_4900 = BgL_new1154z00_1844;
					return ((obj_t) BgL_auxz00_4900);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1843 */
	BgL_ev_letrecz00_bglt BGl_z62lambda1843z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3650)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 105 */
			{	/* Eval/evaluate_types.scm 105 */
				BgL_ev_letrecz00_bglt BgL_new1153z00_4060;

				BgL_new1153z00_4060 =
					((BgL_ev_letrecz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_letrecz00_bgl))));
				{	/* Eval/evaluate_types.scm 105 */
					long BgL_arg1844z00_4061;

					{	/* Eval/evaluate_types.scm 105 */
						long BgL_res2374z00_4062;

						BgL_res2374z00_4062 =
							BGL_CLASS_INDEX(BGl_ev_letrecz00zz__evaluate_typesz00);
						BgL_arg1844z00_4061 = BgL_res2374z00_4062;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1153z00_4060), BgL_arg1844z00_4061);
				}
				return BgL_new1153z00_4060;
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1841 */
	BgL_ev_letrecz00_bglt BGl_z62lambda1841z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3651, obj_t BgL_vars1150z00_3652, obj_t BgL_vals1151z00_3653,
		obj_t BgL_body1152z00_3654)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 105 */
			{	/* Eval/evaluate_types.scm 105 */
				BgL_ev_letrecz00_bglt BgL_new1235z00_4064;

				{	/* Eval/evaluate_types.scm 105 */
					BgL_ev_letrecz00_bglt BgL_new1234z00_4065;

					BgL_new1234z00_4065 =
						((BgL_ev_letrecz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_letrecz00_bgl))));
					{	/* Eval/evaluate_types.scm 105 */
						long BgL_arg1842z00_4066;

						{	/* Eval/evaluate_types.scm 105 */
							long BgL_res2373z00_4067;

							BgL_res2373z00_4067 =
								BGL_CLASS_INDEX(BGl_ev_letrecz00zz__evaluate_typesz00);
							BgL_arg1842z00_4066 = BgL_res2373z00_4067;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1234z00_4065), BgL_arg1842z00_4066);
					}
					BgL_new1235z00_4064 = BgL_new1234z00_4065;
				}
				((((BgL_ev_binderz00_bglt) COBJECT(
								((BgL_ev_binderz00_bglt) BgL_new1235z00_4064)))->BgL_varsz00) =
					((obj_t) BgL_vars1150z00_3652), BUNSPEC);
				((((BgL_ev_binderz00_bglt) COBJECT(((BgL_ev_binderz00_bglt)
									BgL_new1235z00_4064)))->BgL_valsz00) =
					((obj_t) BgL_vals1151z00_3653), BUNSPEC);
				((((BgL_ev_binderz00_bglt) COBJECT(((BgL_ev_binderz00_bglt)
									BgL_new1235z00_4064)))->BgL_bodyz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_body1152z00_3654)),
					BUNSPEC);
				return BgL_new1235z00_4064;
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:1825> */
	obj_t BGl_z62zc3anonymousza31825ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3655, obj_t BgL_new1148z00_3656)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 103 */
			{
				BgL_ev_letza2za2_bglt BgL_new1148z00_1809;

				{
					BgL_ev_letza2za2_bglt BgL_auxz00_4931;

					BgL_new1148z00_1809 = ((BgL_ev_letza2za2_bglt) BgL_new1148z00_3656);
					((((BgL_ev_binderz00_bglt) COBJECT(
									((BgL_ev_binderz00_bglt) BgL_new1148z00_1809)))->
							BgL_varsz00) = ((obj_t) BUNSPEC), BUNSPEC);
					((((BgL_ev_binderz00_bglt) COBJECT(((BgL_ev_binderz00_bglt)
										BgL_new1148z00_1809)))->BgL_valsz00) =
						((obj_t) BUNSPEC), BUNSPEC);
					{
						BgL_ev_exprz00_bglt BgL_auxz00_4936;

						{	/* Eval/evaluate_types.scm 103 */
							obj_t BgL_classz00_2942;

							BgL_classz00_2942 = BGl_ev_exprz00zz__evaluate_typesz00;
							{	/* Eval/evaluate_types.scm 103 */
								obj_t BgL__ortest_1281z00_2943;

								BgL__ortest_1281z00_2943 = BGL_CLASS_NIL(BgL_classz00_2942);
								if (CBOOL(BgL__ortest_1281z00_2943))
									{	/* Eval/evaluate_types.scm 103 */
										BgL_auxz00_4936 =
											((BgL_ev_exprz00_bglt) BgL__ortest_1281z00_2943);
									}
								else
									{	/* Eval/evaluate_types.scm 103 */
										BgL_auxz00_4936 =
											((BgL_ev_exprz00_bglt)
											BGl_classzd2nilzd2initz12z12zz__objectz00
											(BgL_classz00_2942));
									}
							}
						}
						((((BgL_ev_binderz00_bglt) COBJECT(
										((BgL_ev_binderz00_bglt) BgL_new1148z00_1809)))->
								BgL_bodyz00) =
							((BgL_ev_exprz00_bglt) BgL_auxz00_4936), BUNSPEC);
					}
					((((BgL_ev_letza2za2_bglt) COBJECT(BgL_new1148z00_1809))->
							BgL_boxesz00) = ((obj_t) BUNSPEC), BUNSPEC);
					BgL_auxz00_4931 = BgL_new1148z00_1809;
					return ((obj_t) BgL_auxz00_4931);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1823 */
	BgL_ev_letza2za2_bglt BGl_z62lambda1823z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3657)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 103 */
			{	/* Eval/evaluate_types.scm 103 */
				BgL_ev_letza2za2_bglt BgL_new1147z00_4071;

				BgL_new1147z00_4071 =
					((BgL_ev_letza2za2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_letza2za2_bgl))));
				{	/* Eval/evaluate_types.scm 103 */
					long BgL_arg1824z00_4072;

					{	/* Eval/evaluate_types.scm 103 */
						long BgL_res2372z00_4073;

						BgL_res2372z00_4073 =
							BGL_CLASS_INDEX(BGl_ev_letza2za2zz__evaluate_typesz00);
						BgL_arg1824z00_4072 = BgL_res2372z00_4073;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1147z00_4071), BgL_arg1824z00_4072);
				}
				return BgL_new1147z00_4071;
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1821 */
	BgL_ev_letza2za2_bglt BGl_z62lambda1821z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3658, obj_t BgL_vars1143z00_3659, obj_t BgL_vals1144z00_3660,
		obj_t BgL_body1145z00_3661, obj_t BgL_boxes1146z00_3662)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 103 */
			{	/* Eval/evaluate_types.scm 103 */
				BgL_ev_letza2za2_bglt BgL_new1233z00_4075;

				{	/* Eval/evaluate_types.scm 103 */
					BgL_ev_letza2za2_bglt BgL_new1232z00_4076;

					BgL_new1232z00_4076 =
						((BgL_ev_letza2za2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_letza2za2_bgl))));
					{	/* Eval/evaluate_types.scm 103 */
						long BgL_arg1822z00_4077;

						{	/* Eval/evaluate_types.scm 103 */
							long BgL_res2371z00_4078;

							BgL_res2371z00_4078 =
								BGL_CLASS_INDEX(BGl_ev_letza2za2zz__evaluate_typesz00);
							BgL_arg1822z00_4077 = BgL_res2371z00_4078;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1232z00_4076), BgL_arg1822z00_4077);
					}
					BgL_new1233z00_4075 = BgL_new1232z00_4076;
				}
				((((BgL_ev_binderz00_bglt) COBJECT(
								((BgL_ev_binderz00_bglt) BgL_new1233z00_4075)))->BgL_varsz00) =
					((obj_t) BgL_vars1143z00_3659), BUNSPEC);
				((((BgL_ev_binderz00_bglt) COBJECT(((BgL_ev_binderz00_bglt)
									BgL_new1233z00_4075)))->BgL_valsz00) =
					((obj_t) BgL_vals1144z00_3660), BUNSPEC);
				((((BgL_ev_binderz00_bglt) COBJECT(((BgL_ev_binderz00_bglt)
									BgL_new1233z00_4075)))->BgL_bodyz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_body1145z00_3661)),
					BUNSPEC);
				((((BgL_ev_letza2za2_bglt) COBJECT(BgL_new1233z00_4075))->
						BgL_boxesz00) = ((obj_t) BgL_boxes1146z00_3662), BUNSPEC);
				return BgL_new1233z00_4075;
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:1834> */
	obj_t BGl_z62zc3anonymousza31834ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3663)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 103 */
			return BNIL;
		}
		BGL_FUNCTION_END;
	}



/* &lambda1833 */
	obj_t BGl_z62lambda1833z62zz__evaluate_typesz00(obj_t BgL_envz00_3664,
		obj_t BgL_oz00_3665, obj_t BgL_vz00_3666)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 103 */
			return
				((((BgL_ev_letza2za2_bglt) COBJECT(
							((BgL_ev_letza2za2_bglt) BgL_oz00_3665)))->BgL_boxesz00) =
				((obj_t) BgL_vz00_3666), BUNSPEC);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1832 */
	obj_t BGl_z62lambda1832z62zz__evaluate_typesz00(obj_t BgL_envz00_3667,
		obj_t BgL_oz00_3668)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 103 */
			return
				(((BgL_ev_letza2za2_bglt) COBJECT(
						((BgL_ev_letza2za2_bglt) BgL_oz00_3668)))->BgL_boxesz00);
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:1804> */
	obj_t BGl_z62zc3anonymousza31804ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3669, obj_t BgL_new1141z00_3670)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 101 */
			{
				BgL_ev_letz00_bglt BgL_new1141z00_1773;

				{
					BgL_ev_letz00_bglt BgL_auxz00_4968;

					BgL_new1141z00_1773 = ((BgL_ev_letz00_bglt) BgL_new1141z00_3670);
					((((BgL_ev_binderz00_bglt) COBJECT(
									((BgL_ev_binderz00_bglt) BgL_new1141z00_1773)))->
							BgL_varsz00) = ((obj_t) BUNSPEC), BUNSPEC);
					((((BgL_ev_binderz00_bglt) COBJECT(((BgL_ev_binderz00_bglt)
										BgL_new1141z00_1773)))->BgL_valsz00) =
						((obj_t) BUNSPEC), BUNSPEC);
					{
						BgL_ev_exprz00_bglt BgL_auxz00_4973;

						{	/* Eval/evaluate_types.scm 101 */
							obj_t BgL_classz00_2926;

							BgL_classz00_2926 = BGl_ev_exprz00zz__evaluate_typesz00;
							{	/* Eval/evaluate_types.scm 101 */
								obj_t BgL__ortest_1281z00_2927;

								BgL__ortest_1281z00_2927 = BGL_CLASS_NIL(BgL_classz00_2926);
								if (CBOOL(BgL__ortest_1281z00_2927))
									{	/* Eval/evaluate_types.scm 101 */
										BgL_auxz00_4973 =
											((BgL_ev_exprz00_bglt) BgL__ortest_1281z00_2927);
									}
								else
									{	/* Eval/evaluate_types.scm 101 */
										BgL_auxz00_4973 =
											((BgL_ev_exprz00_bglt)
											BGl_classzd2nilzd2initz12z12zz__objectz00
											(BgL_classz00_2926));
									}
							}
						}
						((((BgL_ev_binderz00_bglt) COBJECT(
										((BgL_ev_binderz00_bglt) BgL_new1141z00_1773)))->
								BgL_bodyz00) =
							((BgL_ev_exprz00_bglt) BgL_auxz00_4973), BUNSPEC);
					}
					((((BgL_ev_letz00_bglt) COBJECT(BgL_new1141z00_1773))->BgL_boxesz00) =
						((obj_t) BUNSPEC), BUNSPEC);
					BgL_auxz00_4968 = BgL_new1141z00_1773;
					return ((obj_t) BgL_auxz00_4968);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1802 */
	BgL_ev_letz00_bglt BGl_z62lambda1802z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3671)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 101 */
			{	/* Eval/evaluate_types.scm 101 */
				BgL_ev_letz00_bglt BgL_new1140z00_4084;

				BgL_new1140z00_4084 =
					((BgL_ev_letz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_letz00_bgl))));
				{	/* Eval/evaluate_types.scm 101 */
					long BgL_arg1803z00_4085;

					{	/* Eval/evaluate_types.scm 101 */
						long BgL_res2370z00_4086;

						BgL_res2370z00_4086 =
							BGL_CLASS_INDEX(BGl_ev_letz00zz__evaluate_typesz00);
						BgL_arg1803z00_4085 = BgL_res2370z00_4086;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1140z00_4084), BgL_arg1803z00_4085);
				}
				return BgL_new1140z00_4084;
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1800 */
	BgL_ev_letz00_bglt BGl_z62lambda1800z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3672, obj_t BgL_vars1136z00_3673, obj_t BgL_vals1137z00_3674,
		obj_t BgL_body1138z00_3675, obj_t BgL_boxes1139z00_3676)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 101 */
			{	/* Eval/evaluate_types.scm 101 */
				BgL_ev_letz00_bglt BgL_new1231z00_4088;

				{	/* Eval/evaluate_types.scm 101 */
					BgL_ev_letz00_bglt BgL_new1230z00_4089;

					BgL_new1230z00_4089 =
						((BgL_ev_letz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_letz00_bgl))));
					{	/* Eval/evaluate_types.scm 101 */
						long BgL_arg1801z00_4090;

						{	/* Eval/evaluate_types.scm 101 */
							long BgL_res2369z00_4091;

							BgL_res2369z00_4091 =
								BGL_CLASS_INDEX(BGl_ev_letz00zz__evaluate_typesz00);
							BgL_arg1801z00_4090 = BgL_res2369z00_4091;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1230z00_4089), BgL_arg1801z00_4090);
					}
					BgL_new1231z00_4088 = BgL_new1230z00_4089;
				}
				((((BgL_ev_binderz00_bglt) COBJECT(
								((BgL_ev_binderz00_bglt) BgL_new1231z00_4088)))->BgL_varsz00) =
					((obj_t) BgL_vars1136z00_3673), BUNSPEC);
				((((BgL_ev_binderz00_bglt) COBJECT(((BgL_ev_binderz00_bglt)
									BgL_new1231z00_4088)))->BgL_valsz00) =
					((obj_t) BgL_vals1137z00_3674), BUNSPEC);
				((((BgL_ev_binderz00_bglt) COBJECT(((BgL_ev_binderz00_bglt)
									BgL_new1231z00_4088)))->BgL_bodyz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_body1138z00_3675)),
					BUNSPEC);
				((((BgL_ev_letz00_bglt) COBJECT(BgL_new1231z00_4088))->BgL_boxesz00) =
					((obj_t) BgL_boxes1139z00_3676), BUNSPEC);
				return BgL_new1231z00_4088;
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:1813> */
	obj_t BGl_z62zc3anonymousza31813ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3677)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 101 */
			return BNIL;
		}
		BGL_FUNCTION_END;
	}



/* &lambda1812 */
	obj_t BGl_z62lambda1812z62zz__evaluate_typesz00(obj_t BgL_envz00_3678,
		obj_t BgL_oz00_3679, obj_t BgL_vz00_3680)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 101 */
			return
				((((BgL_ev_letz00_bglt) COBJECT(
							((BgL_ev_letz00_bglt) BgL_oz00_3679)))->BgL_boxesz00) =
				((obj_t) BgL_vz00_3680), BUNSPEC);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1811 */
	obj_t BGl_z62lambda1811z62zz__evaluate_typesz00(obj_t BgL_envz00_3681,
		obj_t BgL_oz00_3682)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 101 */
			return
				(((BgL_ev_letz00_bglt) COBJECT(
						((BgL_ev_letz00_bglt) BgL_oz00_3682)))->BgL_boxesz00);
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:1778> */
	obj_t BGl_z62zc3anonymousza31778ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3683, obj_t BgL_new1134z00_3684)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 97 */
			{
				BgL_ev_binderz00_bglt BgL_new1134z00_1720;

				{
					BgL_ev_binderz00_bglt BgL_auxz00_5005;

					BgL_new1134z00_1720 = ((BgL_ev_binderz00_bglt) BgL_new1134z00_3684);
					((((BgL_ev_binderz00_bglt) COBJECT(BgL_new1134z00_1720))->
							BgL_varsz00) = ((obj_t) BUNSPEC), BUNSPEC);
					((((BgL_ev_binderz00_bglt) COBJECT(BgL_new1134z00_1720))->
							BgL_valsz00) = ((obj_t) BUNSPEC), BUNSPEC);
					{
						BgL_ev_exprz00_bglt BgL_auxz00_5008;

						{	/* Eval/evaluate_types.scm 97 */
							obj_t BgL_classz00_2910;

							BgL_classz00_2910 = BGl_ev_exprz00zz__evaluate_typesz00;
							{	/* Eval/evaluate_types.scm 97 */
								obj_t BgL__ortest_1281z00_2911;

								BgL__ortest_1281z00_2911 = BGL_CLASS_NIL(BgL_classz00_2910);
								if (CBOOL(BgL__ortest_1281z00_2911))
									{	/* Eval/evaluate_types.scm 97 */
										BgL_auxz00_5008 =
											((BgL_ev_exprz00_bglt) BgL__ortest_1281z00_2911);
									}
								else
									{	/* Eval/evaluate_types.scm 97 */
										BgL_auxz00_5008 =
											((BgL_ev_exprz00_bglt)
											BGl_classzd2nilzd2initz12z12zz__objectz00
											(BgL_classz00_2910));
									}
							}
						}
						((((BgL_ev_binderz00_bglt) COBJECT(BgL_new1134z00_1720))->
								BgL_bodyz00) =
							((BgL_ev_exprz00_bglt) BgL_auxz00_5008), BUNSPEC);
					}
					BgL_auxz00_5005 = BgL_new1134z00_1720;
					return ((obj_t) BgL_auxz00_5005);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1776 */
	BgL_ev_binderz00_bglt BGl_z62lambda1776z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3685)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 97 */
			{	/* Eval/evaluate_types.scm 97 */
				BgL_ev_binderz00_bglt BgL_new1133z00_4097;

				BgL_new1133z00_4097 =
					((BgL_ev_binderz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_binderz00_bgl))));
				{	/* Eval/evaluate_types.scm 97 */
					long BgL_arg1777z00_4098;

					{	/* Eval/evaluate_types.scm 97 */
						long BgL_res2368z00_4099;

						BgL_res2368z00_4099 =
							BGL_CLASS_INDEX(BGl_ev_binderz00zz__evaluate_typesz00);
						BgL_arg1777z00_4098 = BgL_res2368z00_4099;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1133z00_4097), BgL_arg1777z00_4098);
				}
				return BgL_new1133z00_4097;
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1774 */
	BgL_ev_binderz00_bglt BGl_z62lambda1774z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3686, obj_t BgL_vars1130z00_3687, obj_t BgL_vals1131z00_3688,
		obj_t BgL_body1132z00_3689)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 97 */
			{	/* Eval/evaluate_types.scm 97 */
				BgL_ev_binderz00_bglt BgL_new1229z00_4101;

				{	/* Eval/evaluate_types.scm 97 */
					BgL_ev_binderz00_bglt BgL_new1228z00_4102;

					BgL_new1228z00_4102 =
						((BgL_ev_binderz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_binderz00_bgl))));
					{	/* Eval/evaluate_types.scm 97 */
						long BgL_arg1775z00_4103;

						{	/* Eval/evaluate_types.scm 97 */
							long BgL_res2367z00_4104;

							BgL_res2367z00_4104 =
								BGL_CLASS_INDEX(BGl_ev_binderz00zz__evaluate_typesz00);
							BgL_arg1775z00_4103 = BgL_res2367z00_4104;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1228z00_4102), BgL_arg1775z00_4103);
					}
					BgL_new1229z00_4101 = BgL_new1228z00_4102;
				}
				((((BgL_ev_binderz00_bglt) COBJECT(BgL_new1229z00_4101))->BgL_varsz00) =
					((obj_t) BgL_vars1130z00_3687), BUNSPEC);
				((((BgL_ev_binderz00_bglt) COBJECT(BgL_new1229z00_4101))->BgL_valsz00) =
					((obj_t) BgL_vals1131z00_3688), BUNSPEC);
				((((BgL_ev_binderz00_bglt) COBJECT(BgL_new1229z00_4101))->BgL_bodyz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_body1132z00_3689)),
					BUNSPEC);
				return BgL_new1229z00_4101;
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1793 */
	obj_t BGl_z62lambda1793z62zz__evaluate_typesz00(obj_t BgL_envz00_3690,
		obj_t BgL_oz00_3691, obj_t BgL_vz00_3692)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 97 */
			return
				((((BgL_ev_binderz00_bglt) COBJECT(
							((BgL_ev_binderz00_bglt) BgL_oz00_3691)))->BgL_bodyz00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3692)), BUNSPEC);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1792 */
	BgL_ev_exprz00_bglt BGl_z62lambda1792z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3693, obj_t BgL_oz00_3694)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 97 */
			return
				(((BgL_ev_binderz00_bglt) COBJECT(
						((BgL_ev_binderz00_bglt) BgL_oz00_3694)))->BgL_bodyz00);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1788 */
	obj_t BGl_z62lambda1788z62zz__evaluate_typesz00(obj_t BgL_envz00_3695,
		obj_t BgL_oz00_3696, obj_t BgL_vz00_3697)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 97 */
			return
				((((BgL_ev_binderz00_bglt) COBJECT(
							((BgL_ev_binderz00_bglt) BgL_oz00_3696)))->BgL_valsz00) =
				((obj_t) BgL_vz00_3697), BUNSPEC);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1787 */
	obj_t BGl_z62lambda1787z62zz__evaluate_typesz00(obj_t BgL_envz00_3698,
		obj_t BgL_oz00_3699)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 97 */
			return
				(((BgL_ev_binderz00_bglt) COBJECT(
						((BgL_ev_binderz00_bglt) BgL_oz00_3699)))->BgL_valsz00);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1783 */
	obj_t BGl_z62lambda1783z62zz__evaluate_typesz00(obj_t BgL_envz00_3700,
		obj_t BgL_oz00_3701, obj_t BgL_vz00_3702)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 97 */
			return
				((((BgL_ev_binderz00_bglt) COBJECT(
							((BgL_ev_binderz00_bglt) BgL_oz00_3701)))->BgL_varsz00) =
				((obj_t) BgL_vz00_3702), BUNSPEC);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1782 */
	obj_t BGl_z62lambda1782z62zz__evaluate_typesz00(obj_t BgL_envz00_3703,
		obj_t BgL_oz00_3704)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 97 */
			return
				(((BgL_ev_binderz00_bglt) COBJECT(
						((BgL_ev_binderz00_bglt) BgL_oz00_3704)))->BgL_varsz00);
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:1744> */
	obj_t BGl_z62zc3anonymousza31744ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3705, obj_t BgL_new1128z00_3706)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 92 */
			{
				BgL_ev_synchroniza7eza7_bglt BgL_new1128z00_1658;

				{
					BgL_ev_synchroniza7eza7_bglt BgL_auxz00_5043;

					BgL_new1128z00_1658 =
						((BgL_ev_synchroniza7eza7_bglt) BgL_new1128z00_3706);
					((((BgL_ev_synchroniza7eza7_bglt) COBJECT(BgL_new1128z00_1658))->
							BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
					{
						BgL_ev_exprz00_bglt BgL_auxz00_5045;

						{	/* Eval/evaluate_types.scm 92 */
							obj_t BgL_classz00_2888;

							BgL_classz00_2888 = BGl_ev_exprz00zz__evaluate_typesz00;
							{	/* Eval/evaluate_types.scm 92 */
								obj_t BgL__ortest_1281z00_2889;

								BgL__ortest_1281z00_2889 = BGL_CLASS_NIL(BgL_classz00_2888);
								if (CBOOL(BgL__ortest_1281z00_2889))
									{	/* Eval/evaluate_types.scm 92 */
										BgL_auxz00_5045 =
											((BgL_ev_exprz00_bglt) BgL__ortest_1281z00_2889);
									}
								else
									{	/* Eval/evaluate_types.scm 92 */
										BgL_auxz00_5045 =
											((BgL_ev_exprz00_bglt)
											BGl_classzd2nilzd2initz12z12zz__objectz00
											(BgL_classz00_2888));
									}
							}
						}
						((((BgL_ev_synchroniza7eza7_bglt) COBJECT(BgL_new1128z00_1658))->
								BgL_mutexz00) =
							((BgL_ev_exprz00_bglt) BgL_auxz00_5045), BUNSPEC);
					}
					{
						BgL_ev_exprz00_bglt BgL_auxz00_5053;

						{	/* Eval/evaluate_types.scm 92 */
							obj_t BgL_classz00_2890;

							BgL_classz00_2890 = BGl_ev_exprz00zz__evaluate_typesz00;
							{	/* Eval/evaluate_types.scm 92 */
								obj_t BgL__ortest_1281z00_2891;

								BgL__ortest_1281z00_2891 = BGL_CLASS_NIL(BgL_classz00_2890);
								if (CBOOL(BgL__ortest_1281z00_2891))
									{	/* Eval/evaluate_types.scm 92 */
										BgL_auxz00_5053 =
											((BgL_ev_exprz00_bglt) BgL__ortest_1281z00_2891);
									}
								else
									{	/* Eval/evaluate_types.scm 92 */
										BgL_auxz00_5053 =
											((BgL_ev_exprz00_bglt)
											BGl_classzd2nilzd2initz12z12zz__objectz00
											(BgL_classz00_2890));
									}
							}
						}
						((((BgL_ev_synchroniza7eza7_bglt) COBJECT(BgL_new1128z00_1658))->
								BgL_prelockz00) =
							((BgL_ev_exprz00_bglt) BgL_auxz00_5053), BUNSPEC);
					}
					{
						BgL_ev_exprz00_bglt BgL_auxz00_5061;

						{	/* Eval/evaluate_types.scm 92 */
							obj_t BgL_classz00_2892;

							BgL_classz00_2892 = BGl_ev_exprz00zz__evaluate_typesz00;
							{	/* Eval/evaluate_types.scm 92 */
								obj_t BgL__ortest_1281z00_2893;

								BgL__ortest_1281z00_2893 = BGL_CLASS_NIL(BgL_classz00_2892);
								if (CBOOL(BgL__ortest_1281z00_2893))
									{	/* Eval/evaluate_types.scm 92 */
										BgL_auxz00_5061 =
											((BgL_ev_exprz00_bglt) BgL__ortest_1281z00_2893);
									}
								else
									{	/* Eval/evaluate_types.scm 92 */
										BgL_auxz00_5061 =
											((BgL_ev_exprz00_bglt)
											BGl_classzd2nilzd2initz12z12zz__objectz00
											(BgL_classz00_2892));
									}
							}
						}
						((((BgL_ev_synchroniza7eza7_bglt) COBJECT(BgL_new1128z00_1658))->
								BgL_bodyz00) =
							((BgL_ev_exprz00_bglt) BgL_auxz00_5061), BUNSPEC);
					}
					BgL_auxz00_5043 = BgL_new1128z00_1658;
					return ((obj_t) BgL_auxz00_5043);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1741 */
	BgL_ev_synchroniza7eza7_bglt BGl_z62lambda1741z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3707)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 92 */
			{	/* Eval/evaluate_types.scm 92 */
				BgL_ev_synchroniza7eza7_bglt BgL_new1126z00_4119;

				BgL_new1126z00_4119 =
					((BgL_ev_synchroniza7eza7_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_synchroniza7eza7_bgl))));
				{	/* Eval/evaluate_types.scm 92 */
					long BgL_arg1743z00_4120;

					{	/* Eval/evaluate_types.scm 92 */
						long BgL_res2366z00_4121;

						BgL_res2366z00_4121 =
							BGL_CLASS_INDEX(BGl_ev_synchroniza7eza7zz__evaluate_typesz00);
						BgL_arg1743z00_4120 = BgL_res2366z00_4121;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1126z00_4119), BgL_arg1743z00_4120);
				}
				return BgL_new1126z00_4119;
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1739 */
	BgL_ev_synchroniza7eza7_bglt BGl_z62lambda1739z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3708, obj_t BgL_loc1122z00_3709, obj_t BgL_mutex1123z00_3710,
		obj_t BgL_prelock1124z00_3711, obj_t BgL_body1125z00_3712)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 92 */
			{	/* Eval/evaluate_types.scm 92 */
				BgL_ev_synchroniza7eza7_bglt BgL_new1227z00_4125;

				{	/* Eval/evaluate_types.scm 92 */
					BgL_ev_synchroniza7eza7_bglt BgL_new1226z00_4126;

					BgL_new1226z00_4126 =
						((BgL_ev_synchroniza7eza7_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_synchroniza7eza7_bgl))));
					{	/* Eval/evaluate_types.scm 92 */
						long BgL_arg1740z00_4127;

						{	/* Eval/evaluate_types.scm 92 */
							long BgL_res2365z00_4128;

							BgL_res2365z00_4128 =
								BGL_CLASS_INDEX(BGl_ev_synchroniza7eza7zz__evaluate_typesz00);
							BgL_arg1740z00_4127 = BgL_res2365z00_4128;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1226z00_4126), BgL_arg1740z00_4127);
					}
					BgL_new1227z00_4125 = BgL_new1226z00_4126;
				}
				((((BgL_ev_synchroniza7eza7_bglt) COBJECT(BgL_new1227z00_4125))->
						BgL_locz00) = ((obj_t) BgL_loc1122z00_3709), BUNSPEC);
				((((BgL_ev_synchroniza7eza7_bglt) COBJECT(BgL_new1227z00_4125))->
						BgL_mutexz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_mutex1123z00_3710)),
					BUNSPEC);
				((((BgL_ev_synchroniza7eza7_bglt) COBJECT(BgL_new1227z00_4125))->
						BgL_prelockz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt)
							BgL_prelock1124z00_3711)), BUNSPEC);
				((((BgL_ev_synchroniza7eza7_bglt) COBJECT(BgL_new1227z00_4125))->
						BgL_bodyz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_body1125z00_3712)),
					BUNSPEC);
				return BgL_new1227z00_4125;
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1767 */
	obj_t BGl_z62lambda1767z62zz__evaluate_typesz00(obj_t BgL_envz00_3713,
		obj_t BgL_oz00_3714, obj_t BgL_vz00_3715)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 92 */
			return
				((((BgL_ev_synchroniza7eza7_bglt) COBJECT(
							((BgL_ev_synchroniza7eza7_bglt) BgL_oz00_3714)))->BgL_bodyz00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3715)), BUNSPEC);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1766 */
	BgL_ev_exprz00_bglt BGl_z62lambda1766z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3716, obj_t BgL_oz00_3717)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 92 */
			return
				(((BgL_ev_synchroniza7eza7_bglt) COBJECT(
						((BgL_ev_synchroniza7eza7_bglt) BgL_oz00_3717)))->BgL_bodyz00);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1762 */
	obj_t BGl_z62lambda1762z62zz__evaluate_typesz00(obj_t BgL_envz00_3718,
		obj_t BgL_oz00_3719, obj_t BgL_vz00_3720)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 92 */
			return
				((((BgL_ev_synchroniza7eza7_bglt) COBJECT(
							((BgL_ev_synchroniza7eza7_bglt) BgL_oz00_3719)))->
					BgL_prelockz00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3720)), BUNSPEC);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1761 */
	BgL_ev_exprz00_bglt BGl_z62lambda1761z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3721, obj_t BgL_oz00_3722)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 92 */
			return
				(((BgL_ev_synchroniza7eza7_bglt) COBJECT(
						((BgL_ev_synchroniza7eza7_bglt) BgL_oz00_3722)))->BgL_prelockz00);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1755 */
	obj_t BGl_z62lambda1755z62zz__evaluate_typesz00(obj_t BgL_envz00_3723,
		obj_t BgL_oz00_3724, obj_t BgL_vz00_3725)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 92 */
			return
				((((BgL_ev_synchroniza7eza7_bglt) COBJECT(
							((BgL_ev_synchroniza7eza7_bglt) BgL_oz00_3724)))->BgL_mutexz00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3725)), BUNSPEC);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1754 */
	BgL_ev_exprz00_bglt BGl_z62lambda1754z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3726, obj_t BgL_oz00_3727)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 92 */
			return
				(((BgL_ev_synchroniza7eza7_bglt) COBJECT(
						((BgL_ev_synchroniza7eza7_bglt) BgL_oz00_3727)))->BgL_mutexz00);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1749 */
	obj_t BGl_z62lambda1749z62zz__evaluate_typesz00(obj_t BgL_envz00_3728,
		obj_t BgL_oz00_3729, obj_t BgL_vz00_3730)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 92 */
			return
				((((BgL_ev_synchroniza7eza7_bglt) COBJECT(
							((BgL_ev_synchroniza7eza7_bglt) BgL_oz00_3729)))->BgL_locz00) =
				((obj_t) BgL_vz00_3730), BUNSPEC);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1748 */
	obj_t BGl_z62lambda1748z62zz__evaluate_typesz00(obj_t BgL_envz00_3731,
		obj_t BgL_oz00_3732)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 92 */
			return
				(((BgL_ev_synchroniza7eza7_bglt) COBJECT(
						((BgL_ev_synchroniza7eza7_bglt) BgL_oz00_3732)))->BgL_locz00);
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:1722> */
	obj_t BGl_z62zc3anonymousza31722ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3733, obj_t BgL_new1120z00_3734)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 89 */
			{
				BgL_ev_withzd2handlerzd2_bglt BgL_new1120z00_1615;

				{
					BgL_ev_withzd2handlerzd2_bglt BgL_auxz00_5105;

					BgL_new1120z00_1615 =
						((BgL_ev_withzd2handlerzd2_bglt) BgL_new1120z00_3734);
					{
						BgL_ev_exprz00_bglt BgL_auxz00_5106;

						{	/* Eval/evaluate_types.scm 89 */
							obj_t BgL_classz00_2867;

							BgL_classz00_2867 = BGl_ev_exprz00zz__evaluate_typesz00;
							{	/* Eval/evaluate_types.scm 89 */
								obj_t BgL__ortest_1281z00_2868;

								BgL__ortest_1281z00_2868 = BGL_CLASS_NIL(BgL_classz00_2867);
								if (CBOOL(BgL__ortest_1281z00_2868))
									{	/* Eval/evaluate_types.scm 89 */
										BgL_auxz00_5106 =
											((BgL_ev_exprz00_bglt) BgL__ortest_1281z00_2868);
									}
								else
									{	/* Eval/evaluate_types.scm 89 */
										BgL_auxz00_5106 =
											((BgL_ev_exprz00_bglt)
											BGl_classzd2nilzd2initz12z12zz__objectz00
											(BgL_classz00_2867));
									}
							}
						}
						((((BgL_ev_withzd2handlerzd2_bglt) COBJECT(BgL_new1120z00_1615))->
								BgL_handlerz00) =
							((BgL_ev_exprz00_bglt) BgL_auxz00_5106), BUNSPEC);
					}
					{
						BgL_ev_exprz00_bglt BgL_auxz00_5114;

						{	/* Eval/evaluate_types.scm 89 */
							obj_t BgL_classz00_2869;

							BgL_classz00_2869 = BGl_ev_exprz00zz__evaluate_typesz00;
							{	/* Eval/evaluate_types.scm 89 */
								obj_t BgL__ortest_1281z00_2870;

								BgL__ortest_1281z00_2870 = BGL_CLASS_NIL(BgL_classz00_2869);
								if (CBOOL(BgL__ortest_1281z00_2870))
									{	/* Eval/evaluate_types.scm 89 */
										BgL_auxz00_5114 =
											((BgL_ev_exprz00_bglt) BgL__ortest_1281z00_2870);
									}
								else
									{	/* Eval/evaluate_types.scm 89 */
										BgL_auxz00_5114 =
											((BgL_ev_exprz00_bglt)
											BGl_classzd2nilzd2initz12z12zz__objectz00
											(BgL_classz00_2869));
									}
							}
						}
						((((BgL_ev_withzd2handlerzd2_bglt) COBJECT(BgL_new1120z00_1615))->
								BgL_bodyz00) =
							((BgL_ev_exprz00_bglt) BgL_auxz00_5114), BUNSPEC);
					}
					BgL_auxz00_5105 = BgL_new1120z00_1615;
					return ((obj_t) BgL_auxz00_5105);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1720 */
	BgL_ev_withzd2handlerzd2_bglt BGl_z62lambda1720z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3735)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 89 */
			{	/* Eval/evaluate_types.scm 89 */
				BgL_ev_withzd2handlerzd2_bglt BgL_new1119z00_4145;

				BgL_new1119z00_4145 =
					((BgL_ev_withzd2handlerzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_withzd2handlerzd2_bgl))));
				{	/* Eval/evaluate_types.scm 89 */
					long BgL_arg1721z00_4146;

					{	/* Eval/evaluate_types.scm 89 */
						long BgL_res2364z00_4147;

						BgL_res2364z00_4147 =
							BGL_CLASS_INDEX(BGl_ev_withzd2handlerzd2zz__evaluate_typesz00);
						BgL_arg1721z00_4146 = BgL_res2364z00_4147;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1119z00_4145), BgL_arg1721z00_4146);
				}
				return BgL_new1119z00_4145;
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1718 */
	BgL_ev_withzd2handlerzd2_bglt BGl_z62lambda1718z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3736, obj_t BgL_handler1117z00_3737, obj_t BgL_body1118z00_3738)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 89 */
			{	/* Eval/evaluate_types.scm 89 */
				BgL_ev_withzd2handlerzd2_bglt BgL_new1225z00_4150;

				{	/* Eval/evaluate_types.scm 89 */
					BgL_ev_withzd2handlerzd2_bglt BgL_new1224z00_4151;

					BgL_new1224z00_4151 =
						((BgL_ev_withzd2handlerzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_withzd2handlerzd2_bgl))));
					{	/* Eval/evaluate_types.scm 89 */
						long BgL_arg1719z00_4152;

						{	/* Eval/evaluate_types.scm 89 */
							long BgL_res2363z00_4153;

							BgL_res2363z00_4153 =
								BGL_CLASS_INDEX(BGl_ev_withzd2handlerzd2zz__evaluate_typesz00);
							BgL_arg1719z00_4152 = BgL_res2363z00_4153;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1224z00_4151), BgL_arg1719z00_4152);
					}
					BgL_new1225z00_4150 = BgL_new1224z00_4151;
				}
				((((BgL_ev_withzd2handlerzd2_bglt) COBJECT(BgL_new1225z00_4150))->
						BgL_handlerz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt)
							BgL_handler1117z00_3737)), BUNSPEC);
				((((BgL_ev_withzd2handlerzd2_bglt) COBJECT(BgL_new1225z00_4150))->
						BgL_bodyz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_body1118z00_3738)),
					BUNSPEC);
				return BgL_new1225z00_4150;
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1732 */
	obj_t BGl_z62lambda1732z62zz__evaluate_typesz00(obj_t BgL_envz00_3739,
		obj_t BgL_oz00_3740, obj_t BgL_vz00_3741)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 89 */
			return
				((((BgL_ev_withzd2handlerzd2_bglt) COBJECT(
							((BgL_ev_withzd2handlerzd2_bglt) BgL_oz00_3740)))->BgL_bodyz00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3741)), BUNSPEC);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1731 */
	BgL_ev_exprz00_bglt BGl_z62lambda1731z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3742, obj_t BgL_oz00_3743)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 89 */
			return
				(((BgL_ev_withzd2handlerzd2_bglt) COBJECT(
						((BgL_ev_withzd2handlerzd2_bglt) BgL_oz00_3743)))->BgL_bodyz00);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1727 */
	obj_t BGl_z62lambda1727z62zz__evaluate_typesz00(obj_t BgL_envz00_3744,
		obj_t BgL_oz00_3745, obj_t BgL_vz00_3746)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 89 */
			return
				((((BgL_ev_withzd2handlerzd2_bglt) COBJECT(
							((BgL_ev_withzd2handlerzd2_bglt) BgL_oz00_3745)))->
					BgL_handlerz00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3746)), BUNSPEC);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1726 */
	BgL_ev_exprz00_bglt BGl_z62lambda1726z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3747, obj_t BgL_oz00_3748)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 89 */
			return
				(((BgL_ev_withzd2handlerzd2_bglt) COBJECT(
						((BgL_ev_withzd2handlerzd2_bglt) BgL_oz00_3748)))->BgL_handlerz00);
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:1702> */
	obj_t BGl_z62zc3anonymousza31702ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3749, obj_t BgL_new1115z00_3750)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 86 */
			{
				BgL_ev_unwindzd2protectzd2_bglt BgL_new1115z00_1574;

				{
					BgL_ev_unwindzd2protectzd2_bglt BgL_auxz00_5146;

					BgL_new1115z00_1574 =
						((BgL_ev_unwindzd2protectzd2_bglt) BgL_new1115z00_3750);
					{
						BgL_ev_exprz00_bglt BgL_auxz00_5147;

						{	/* Eval/evaluate_types.scm 86 */
							obj_t BgL_classz00_2848;

							BgL_classz00_2848 = BGl_ev_exprz00zz__evaluate_typesz00;
							{	/* Eval/evaluate_types.scm 86 */
								obj_t BgL__ortest_1281z00_2849;

								BgL__ortest_1281z00_2849 = BGL_CLASS_NIL(BgL_classz00_2848);
								if (CBOOL(BgL__ortest_1281z00_2849))
									{	/* Eval/evaluate_types.scm 86 */
										BgL_auxz00_5147 =
											((BgL_ev_exprz00_bglt) BgL__ortest_1281z00_2849);
									}
								else
									{	/* Eval/evaluate_types.scm 86 */
										BgL_auxz00_5147 =
											((BgL_ev_exprz00_bglt)
											BGl_classzd2nilzd2initz12z12zz__objectz00
											(BgL_classz00_2848));
									}
							}
						}
						((((BgL_ev_unwindzd2protectzd2_bglt) COBJECT(BgL_new1115z00_1574))->
								BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5147), BUNSPEC);
					}
					{
						BgL_ev_exprz00_bglt BgL_auxz00_5155;

						{	/* Eval/evaluate_types.scm 86 */
							obj_t BgL_classz00_2850;

							BgL_classz00_2850 = BGl_ev_exprz00zz__evaluate_typesz00;
							{	/* Eval/evaluate_types.scm 86 */
								obj_t BgL__ortest_1281z00_2851;

								BgL__ortest_1281z00_2851 = BGL_CLASS_NIL(BgL_classz00_2850);
								if (CBOOL(BgL__ortest_1281z00_2851))
									{	/* Eval/evaluate_types.scm 86 */
										BgL_auxz00_5155 =
											((BgL_ev_exprz00_bglt) BgL__ortest_1281z00_2851);
									}
								else
									{	/* Eval/evaluate_types.scm 86 */
										BgL_auxz00_5155 =
											((BgL_ev_exprz00_bglt)
											BGl_classzd2nilzd2initz12z12zz__objectz00
											(BgL_classz00_2850));
									}
							}
						}
						((((BgL_ev_unwindzd2protectzd2_bglt) COBJECT(BgL_new1115z00_1574))->
								BgL_bodyz00) =
							((BgL_ev_exprz00_bglt) BgL_auxz00_5155), BUNSPEC);
					}
					BgL_auxz00_5146 = BgL_new1115z00_1574;
					return ((obj_t) BgL_auxz00_5146);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1700 */
	BgL_ev_unwindzd2protectzd2_bglt
		BGl_z62lambda1700z62zz__evaluate_typesz00(obj_t BgL_envz00_3751)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 86 */
			{	/* Eval/evaluate_types.scm 86 */
				BgL_ev_unwindzd2protectzd2_bglt BgL_new1114z00_4165;

				BgL_new1114z00_4165 =
					((BgL_ev_unwindzd2protectzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_unwindzd2protectzd2_bgl))));
				{	/* Eval/evaluate_types.scm 86 */
					long BgL_arg1701z00_4166;

					{	/* Eval/evaluate_types.scm 86 */
						long BgL_res2362z00_4167;

						BgL_res2362z00_4167 =
							BGL_CLASS_INDEX(BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00);
						BgL_arg1701z00_4166 = BgL_res2362z00_4167;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1114z00_4165), BgL_arg1701z00_4166);
				}
				return BgL_new1114z00_4165;
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1698 */
	BgL_ev_unwindzd2protectzd2_bglt
		BGl_z62lambda1698z62zz__evaluate_typesz00(obj_t BgL_envz00_3752,
		obj_t BgL_e1112z00_3753, obj_t BgL_body1113z00_3754)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 86 */
			{	/* Eval/evaluate_types.scm 86 */
				BgL_ev_unwindzd2protectzd2_bglt BgL_new1223z00_4170;

				{	/* Eval/evaluate_types.scm 86 */
					BgL_ev_unwindzd2protectzd2_bglt BgL_new1222z00_4171;

					BgL_new1222z00_4171 =
						((BgL_ev_unwindzd2protectzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_unwindzd2protectzd2_bgl))));
					{	/* Eval/evaluate_types.scm 86 */
						long BgL_arg1699z00_4172;

						{	/* Eval/evaluate_types.scm 86 */
							long BgL_res2361z00_4173;

							BgL_res2361z00_4173 =
								BGL_CLASS_INDEX
								(BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00);
							BgL_arg1699z00_4172 = BgL_res2361z00_4173;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1222z00_4171), BgL_arg1699z00_4172);
					}
					BgL_new1223z00_4170 = BgL_new1222z00_4171;
				}
				((((BgL_ev_unwindzd2protectzd2_bglt) COBJECT(BgL_new1223z00_4170))->
						BgL_ez00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_e1112z00_3753)),
					BUNSPEC);
				((((BgL_ev_unwindzd2protectzd2_bglt) COBJECT(BgL_new1223z00_4170))->
						BgL_bodyz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_body1113z00_3754)),
					BUNSPEC);
				return BgL_new1223z00_4170;
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1712 */
	obj_t BGl_z62lambda1712z62zz__evaluate_typesz00(obj_t BgL_envz00_3755,
		obj_t BgL_oz00_3756, obj_t BgL_vz00_3757)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 86 */
			return
				((((BgL_ev_unwindzd2protectzd2_bglt) COBJECT(
							((BgL_ev_unwindzd2protectzd2_bglt) BgL_oz00_3756)))->
					BgL_bodyz00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3757)), BUNSPEC);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1711 */
	BgL_ev_exprz00_bglt BGl_z62lambda1711z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3758, obj_t BgL_oz00_3759)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 86 */
			return
				(((BgL_ev_unwindzd2protectzd2_bglt) COBJECT(
						((BgL_ev_unwindzd2protectzd2_bglt) BgL_oz00_3759)))->BgL_bodyz00);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1707 */
	obj_t BGl_z62lambda1707z62zz__evaluate_typesz00(obj_t BgL_envz00_3760,
		obj_t BgL_oz00_3761, obj_t BgL_vz00_3762)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 86 */
			return
				((((BgL_ev_unwindzd2protectzd2_bglt) COBJECT(
							((BgL_ev_unwindzd2protectzd2_bglt) BgL_oz00_3761)))->BgL_ez00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3762)), BUNSPEC);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1706 */
	BgL_ev_exprz00_bglt BGl_z62lambda1706z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3763, obj_t BgL_oz00_3764)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 86 */
			return
				(((BgL_ev_unwindzd2protectzd2_bglt) COBJECT(
						((BgL_ev_unwindzd2protectzd2_bglt) BgL_oz00_3764)))->BgL_ez00);
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:1681> */
	obj_t BGl_z62zc3anonymousza31681ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3765, obj_t BgL_new1110z00_3766)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 83 */
			{
				BgL_ev_bindzd2exitzd2_bglt BgL_new1110z00_1533;

				{
					BgL_ev_bindzd2exitzd2_bglt BgL_auxz00_5187;

					BgL_new1110z00_1533 =
						((BgL_ev_bindzd2exitzd2_bglt) BgL_new1110z00_3766);
					{
						BgL_ev_varz00_bglt BgL_auxz00_5188;

						{	/* Eval/evaluate_types.scm 83 */
							obj_t BgL_classz00_2829;

							BgL_classz00_2829 = BGl_ev_varz00zz__evaluate_typesz00;
							{	/* Eval/evaluate_types.scm 83 */
								obj_t BgL__ortest_1281z00_2830;

								BgL__ortest_1281z00_2830 = BGL_CLASS_NIL(BgL_classz00_2829);
								if (CBOOL(BgL__ortest_1281z00_2830))
									{	/* Eval/evaluate_types.scm 83 */
										BgL_auxz00_5188 =
											((BgL_ev_varz00_bglt) BgL__ortest_1281z00_2830);
									}
								else
									{	/* Eval/evaluate_types.scm 83 */
										BgL_auxz00_5188 =
											((BgL_ev_varz00_bglt)
											BGl_classzd2nilzd2initz12z12zz__objectz00
											(BgL_classz00_2829));
									}
							}
						}
						((((BgL_ev_bindzd2exitzd2_bglt) COBJECT(BgL_new1110z00_1533))->
								BgL_varz00) = ((BgL_ev_varz00_bglt) BgL_auxz00_5188), BUNSPEC);
					}
					{
						BgL_ev_exprz00_bglt BgL_auxz00_5196;

						{	/* Eval/evaluate_types.scm 83 */
							obj_t BgL_classz00_2831;

							BgL_classz00_2831 = BGl_ev_exprz00zz__evaluate_typesz00;
							{	/* Eval/evaluate_types.scm 83 */
								obj_t BgL__ortest_1281z00_2832;

								BgL__ortest_1281z00_2832 = BGL_CLASS_NIL(BgL_classz00_2831);
								if (CBOOL(BgL__ortest_1281z00_2832))
									{	/* Eval/evaluate_types.scm 83 */
										BgL_auxz00_5196 =
											((BgL_ev_exprz00_bglt) BgL__ortest_1281z00_2832);
									}
								else
									{	/* Eval/evaluate_types.scm 83 */
										BgL_auxz00_5196 =
											((BgL_ev_exprz00_bglt)
											BGl_classzd2nilzd2initz12z12zz__objectz00
											(BgL_classz00_2831));
									}
							}
						}
						((((BgL_ev_bindzd2exitzd2_bglt) COBJECT(BgL_new1110z00_1533))->
								BgL_bodyz00) =
							((BgL_ev_exprz00_bglt) BgL_auxz00_5196), BUNSPEC);
					}
					BgL_auxz00_5187 = BgL_new1110z00_1533;
					return ((obj_t) BgL_auxz00_5187);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1679 */
	BgL_ev_bindzd2exitzd2_bglt BGl_z62lambda1679z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3767)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 83 */
			{	/* Eval/evaluate_types.scm 83 */
				BgL_ev_bindzd2exitzd2_bglt BgL_new1109z00_4185;

				BgL_new1109z00_4185 =
					((BgL_ev_bindzd2exitzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_bindzd2exitzd2_bgl))));
				{	/* Eval/evaluate_types.scm 83 */
					long BgL_arg1680z00_4186;

					{	/* Eval/evaluate_types.scm 83 */
						long BgL_res2360z00_4187;

						BgL_res2360z00_4187 =
							BGL_CLASS_INDEX(BGl_ev_bindzd2exitzd2zz__evaluate_typesz00);
						BgL_arg1680z00_4186 = BgL_res2360z00_4187;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1109z00_4185), BgL_arg1680z00_4186);
				}
				return BgL_new1109z00_4185;
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1676 */
	BgL_ev_bindzd2exitzd2_bglt BGl_z62lambda1676z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3768, obj_t BgL_var1107z00_3769, obj_t BgL_body1108z00_3770)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 83 */
			{	/* Eval/evaluate_types.scm 83 */
				BgL_ev_bindzd2exitzd2_bglt BgL_new1221z00_4190;

				{	/* Eval/evaluate_types.scm 83 */
					BgL_ev_bindzd2exitzd2_bglt BgL_new1220z00_4191;

					BgL_new1220z00_4191 =
						((BgL_ev_bindzd2exitzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_bindzd2exitzd2_bgl))));
					{	/* Eval/evaluate_types.scm 83 */
						long BgL_arg1678z00_4192;

						{	/* Eval/evaluate_types.scm 83 */
							long BgL_res2359z00_4193;

							BgL_res2359z00_4193 =
								BGL_CLASS_INDEX(BGl_ev_bindzd2exitzd2zz__evaluate_typesz00);
							BgL_arg1678z00_4192 = BgL_res2359z00_4193;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1220z00_4191), BgL_arg1678z00_4192);
					}
					BgL_new1221z00_4190 = BgL_new1220z00_4191;
				}
				((((BgL_ev_bindzd2exitzd2_bglt) COBJECT(BgL_new1221z00_4190))->
						BgL_varz00) =
					((BgL_ev_varz00_bglt) ((BgL_ev_varz00_bglt) BgL_var1107z00_3769)),
					BUNSPEC);
				((((BgL_ev_bindzd2exitzd2_bglt) COBJECT(BgL_new1221z00_4190))->
						BgL_bodyz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_body1108z00_3770)),
					BUNSPEC);
				return BgL_new1221z00_4190;
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1691 */
	obj_t BGl_z62lambda1691z62zz__evaluate_typesz00(obj_t BgL_envz00_3771,
		obj_t BgL_oz00_3772, obj_t BgL_vz00_3773)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 83 */
			return
				((((BgL_ev_bindzd2exitzd2_bglt) COBJECT(
							((BgL_ev_bindzd2exitzd2_bglt) BgL_oz00_3772)))->BgL_bodyz00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3773)), BUNSPEC);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1690 */
	BgL_ev_exprz00_bglt BGl_z62lambda1690z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3774, obj_t BgL_oz00_3775)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 83 */
			return
				(((BgL_ev_bindzd2exitzd2_bglt) COBJECT(
						((BgL_ev_bindzd2exitzd2_bglt) BgL_oz00_3775)))->BgL_bodyz00);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1686 */
	obj_t BGl_z62lambda1686z62zz__evaluate_typesz00(obj_t BgL_envz00_3776,
		obj_t BgL_oz00_3777, obj_t BgL_vz00_3778)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 83 */
			return
				((((BgL_ev_bindzd2exitzd2_bglt) COBJECT(
							((BgL_ev_bindzd2exitzd2_bglt) BgL_oz00_3777)))->BgL_varz00) =
				((BgL_ev_varz00_bglt) ((BgL_ev_varz00_bglt) BgL_vz00_3778)), BUNSPEC);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1685 */
	BgL_ev_varz00_bglt BGl_z62lambda1685z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3779, obj_t BgL_oz00_3780)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 83 */
			return
				(((BgL_ev_bindzd2exitzd2_bglt) COBJECT(
						((BgL_ev_bindzd2exitzd2_bglt) BgL_oz00_3780)))->BgL_varz00);
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:1670> */
	obj_t BGl_z62zc3anonymousza31670ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3781, obj_t BgL_new1105z00_3782)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 82 */
			{
				BgL_ev_defglobalz00_bglt BgL_new1105z00_1512;

				{
					BgL_ev_defglobalz00_bglt BgL_auxz00_5228;

					BgL_new1105z00_1512 =
						((BgL_ev_defglobalz00_bglt) BgL_new1105z00_3782);
					{
						BgL_ev_exprz00_bglt BgL_auxz00_5229;

						{	/* Eval/evaluate_types.scm 82 */
							obj_t BgL_classz00_2812;

							BgL_classz00_2812 = BGl_ev_exprz00zz__evaluate_typesz00;
							{	/* Eval/evaluate_types.scm 82 */
								obj_t BgL__ortest_1281z00_2813;

								BgL__ortest_1281z00_2813 = BGL_CLASS_NIL(BgL_classz00_2812);
								if (CBOOL(BgL__ortest_1281z00_2813))
									{	/* Eval/evaluate_types.scm 82 */
										BgL_auxz00_5229 =
											((BgL_ev_exprz00_bglt) BgL__ortest_1281z00_2813);
									}
								else
									{	/* Eval/evaluate_types.scm 82 */
										BgL_auxz00_5229 =
											((BgL_ev_exprz00_bglt)
											BGl_classzd2nilzd2initz12z12zz__objectz00
											(BgL_classz00_2812));
									}
							}
						}
						((((BgL_ev_hookz00_bglt) COBJECT(
										((BgL_ev_hookz00_bglt) BgL_new1105z00_1512)))->BgL_ez00) =
							((BgL_ev_exprz00_bglt) BgL_auxz00_5229), BUNSPEC);
					}
					((((BgL_ev_setglobalz00_bglt) COBJECT(
									((BgL_ev_setglobalz00_bglt) BgL_new1105z00_1512)))->
							BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
					((((BgL_ev_setglobalz00_bglt) COBJECT(((BgL_ev_setglobalz00_bglt)
										BgL_new1105z00_1512)))->BgL_namez00) =
						((obj_t) BGl_symbol2760z00zz__evaluate_typesz00), BUNSPEC);
					((((BgL_ev_setglobalz00_bglt) COBJECT(((BgL_ev_setglobalz00_bglt)
										BgL_new1105z00_1512)))->BgL_modz00) =
						((obj_t) BUNSPEC), BUNSPEC);
					BgL_auxz00_5228 = BgL_new1105z00_1512;
					return ((obj_t) BgL_auxz00_5228);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1668 */
	BgL_ev_defglobalz00_bglt BGl_z62lambda1668z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3783)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 82 */
			{	/* Eval/evaluate_types.scm 82 */
				BgL_ev_defglobalz00_bglt BgL_new1104z00_4203;

				BgL_new1104z00_4203 =
					((BgL_ev_defglobalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_defglobalz00_bgl))));
				{	/* Eval/evaluate_types.scm 82 */
					long BgL_arg1669z00_4204;

					{	/* Eval/evaluate_types.scm 82 */
						long BgL_res2358z00_4205;

						BgL_res2358z00_4205 =
							BGL_CLASS_INDEX(BGl_ev_defglobalz00zz__evaluate_typesz00);
						BgL_arg1669z00_4204 = BgL_res2358z00_4205;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1104z00_4203), BgL_arg1669z00_4204);
				}
				return BgL_new1104z00_4203;
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1666 */
	BgL_ev_defglobalz00_bglt BGl_z62lambda1666z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3784, obj_t BgL_e1100z00_3785, obj_t BgL_loc1101z00_3786,
		obj_t BgL_name1102z00_3787, obj_t BgL_mod1103z00_3788)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 82 */
			{	/* Eval/evaluate_types.scm 82 */
				BgL_ev_defglobalz00_bglt BgL_new1219z00_4208;

				{	/* Eval/evaluate_types.scm 82 */
					BgL_ev_defglobalz00_bglt BgL_new1218z00_4209;

					BgL_new1218z00_4209 =
						((BgL_ev_defglobalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_defglobalz00_bgl))));
					{	/* Eval/evaluate_types.scm 82 */
						long BgL_arg1667z00_4210;

						{	/* Eval/evaluate_types.scm 82 */
							long BgL_res2357z00_4211;

							BgL_res2357z00_4211 =
								BGL_CLASS_INDEX(BGl_ev_defglobalz00zz__evaluate_typesz00);
							BgL_arg1667z00_4210 = BgL_res2357z00_4211;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1218z00_4209), BgL_arg1667z00_4210);
					}
					BgL_new1219z00_4208 = BgL_new1218z00_4209;
				}
				((((BgL_ev_hookz00_bglt) COBJECT(
								((BgL_ev_hookz00_bglt) BgL_new1219z00_4208)))->BgL_ez00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_e1100z00_3785)),
					BUNSPEC);
				((((BgL_ev_setglobalz00_bglt) COBJECT(((BgL_ev_setglobalz00_bglt)
									BgL_new1219z00_4208)))->BgL_locz00) =
					((obj_t) BgL_loc1101z00_3786), BUNSPEC);
				((((BgL_ev_setglobalz00_bglt) COBJECT(((BgL_ev_setglobalz00_bglt)
									BgL_new1219z00_4208)))->BgL_namez00) =
					((obj_t) ((obj_t) BgL_name1102z00_3787)), BUNSPEC);
				((((BgL_ev_setglobalz00_bglt) COBJECT(((BgL_ev_setglobalz00_bglt)
									BgL_new1219z00_4208)))->BgL_modz00) =
					((obj_t) BgL_mod1103z00_3788), BUNSPEC);
				return BgL_new1219z00_4208;
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:1631> */
	obj_t BGl_z62zc3anonymousza31631ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3789, obj_t BgL_new1098z00_3790)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 78 */
			{
				BgL_ev_setglobalz00_bglt BgL_new1098z00_1459;

				{
					BgL_ev_setglobalz00_bglt BgL_auxz00_5264;

					BgL_new1098z00_1459 =
						((BgL_ev_setglobalz00_bglt) BgL_new1098z00_3790);
					{
						BgL_ev_exprz00_bglt BgL_auxz00_5265;

						{	/* Eval/evaluate_types.scm 78 */
							obj_t BgL_classz00_2797;

							BgL_classz00_2797 = BGl_ev_exprz00zz__evaluate_typesz00;
							{	/* Eval/evaluate_types.scm 78 */
								obj_t BgL__ortest_1281z00_2798;

								BgL__ortest_1281z00_2798 = BGL_CLASS_NIL(BgL_classz00_2797);
								if (CBOOL(BgL__ortest_1281z00_2798))
									{	/* Eval/evaluate_types.scm 78 */
										BgL_auxz00_5265 =
											((BgL_ev_exprz00_bglt) BgL__ortest_1281z00_2798);
									}
								else
									{	/* Eval/evaluate_types.scm 78 */
										BgL_auxz00_5265 =
											((BgL_ev_exprz00_bglt)
											BGl_classzd2nilzd2initz12z12zz__objectz00
											(BgL_classz00_2797));
									}
							}
						}
						((((BgL_ev_hookz00_bglt) COBJECT(
										((BgL_ev_hookz00_bglt) BgL_new1098z00_1459)))->BgL_ez00) =
							((BgL_ev_exprz00_bglt) BgL_auxz00_5265), BUNSPEC);
					}
					((((BgL_ev_setglobalz00_bglt) COBJECT(BgL_new1098z00_1459))->
							BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
					((((BgL_ev_setglobalz00_bglt) COBJECT(BgL_new1098z00_1459))->
							BgL_namez00) =
						((obj_t) BGl_symbol2760z00zz__evaluate_typesz00), BUNSPEC);
					((((BgL_ev_setglobalz00_bglt) COBJECT(BgL_new1098z00_1459))->
							BgL_modz00) = ((obj_t) BUNSPEC), BUNSPEC);
					BgL_auxz00_5264 = BgL_new1098z00_1459;
					return ((obj_t) BgL_auxz00_5264);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1629 */
	BgL_ev_setglobalz00_bglt BGl_z62lambda1629z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3791)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 78 */
			{	/* Eval/evaluate_types.scm 78 */
				BgL_ev_setglobalz00_bglt BgL_new1097z00_4215;

				BgL_new1097z00_4215 =
					((BgL_ev_setglobalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_setglobalz00_bgl))));
				{	/* Eval/evaluate_types.scm 78 */
					long BgL_arg1630z00_4216;

					{	/* Eval/evaluate_types.scm 78 */
						long BgL_res2356z00_4217;

						BgL_res2356z00_4217 =
							BGL_CLASS_INDEX(BGl_ev_setglobalz00zz__evaluate_typesz00);
						BgL_arg1630z00_4216 = BgL_res2356z00_4217;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1097z00_4215), BgL_arg1630z00_4216);
				}
				return BgL_new1097z00_4215;
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1627 */
	BgL_ev_setglobalz00_bglt BGl_z62lambda1627z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3792, obj_t BgL_e1093z00_3793, obj_t BgL_loc1094z00_3794,
		obj_t BgL_name1095z00_3795, obj_t BgL_mod1096z00_3796)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 78 */
			{	/* Eval/evaluate_types.scm 78 */
				BgL_ev_setglobalz00_bglt BgL_new1217z00_4220;

				{	/* Eval/evaluate_types.scm 78 */
					BgL_ev_setglobalz00_bglt BgL_new1216z00_4221;

					BgL_new1216z00_4221 =
						((BgL_ev_setglobalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_setglobalz00_bgl))));
					{	/* Eval/evaluate_types.scm 78 */
						long BgL_arg1628z00_4222;

						{	/* Eval/evaluate_types.scm 78 */
							long BgL_res2355z00_4223;

							BgL_res2355z00_4223 =
								BGL_CLASS_INDEX(BGl_ev_setglobalz00zz__evaluate_typesz00);
							BgL_arg1628z00_4222 = BgL_res2355z00_4223;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1216z00_4221), BgL_arg1628z00_4222);
					}
					BgL_new1217z00_4220 = BgL_new1216z00_4221;
				}
				((((BgL_ev_hookz00_bglt) COBJECT(
								((BgL_ev_hookz00_bglt) BgL_new1217z00_4220)))->BgL_ez00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_e1093z00_3793)),
					BUNSPEC);
				((((BgL_ev_setglobalz00_bglt) COBJECT(BgL_new1217z00_4220))->
						BgL_locz00) = ((obj_t) BgL_loc1094z00_3794), BUNSPEC);
				((((BgL_ev_setglobalz00_bglt) COBJECT(BgL_new1217z00_4220))->
						BgL_namez00) = ((obj_t) ((obj_t) BgL_name1095z00_3795)), BUNSPEC);
				((((BgL_ev_setglobalz00_bglt) COBJECT(BgL_new1217z00_4220))->
						BgL_modz00) = ((obj_t) BgL_mod1096z00_3796), BUNSPEC);
				return BgL_new1217z00_4220;
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1656 */
	obj_t BGl_z62lambda1656z62zz__evaluate_typesz00(obj_t BgL_envz00_3797,
		obj_t BgL_oz00_3798, obj_t BgL_vz00_3799)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 78 */
			return
				((((BgL_ev_setglobalz00_bglt) COBJECT(
							((BgL_ev_setglobalz00_bglt) BgL_oz00_3798)))->BgL_modz00) =
				((obj_t) BgL_vz00_3799), BUNSPEC);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1655 */
	obj_t BGl_z62lambda1655z62zz__evaluate_typesz00(obj_t BgL_envz00_3800,
		obj_t BgL_oz00_3801)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 78 */
			return
				(((BgL_ev_setglobalz00_bglt) COBJECT(
						((BgL_ev_setglobalz00_bglt) BgL_oz00_3801)))->BgL_modz00);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1646 */
	obj_t BGl_z62lambda1646z62zz__evaluate_typesz00(obj_t BgL_envz00_3802,
		obj_t BgL_oz00_3803, obj_t BgL_vz00_3804)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 78 */
			return
				((((BgL_ev_setglobalz00_bglt) COBJECT(
							((BgL_ev_setglobalz00_bglt) BgL_oz00_3803)))->BgL_namez00) =
				((obj_t) ((obj_t) BgL_vz00_3804)), BUNSPEC);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1645 */
	obj_t BGl_z62lambda1645z62zz__evaluate_typesz00(obj_t BgL_envz00_3805,
		obj_t BgL_oz00_3806)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 78 */
			return
				(((BgL_ev_setglobalz00_bglt) COBJECT(
						((BgL_ev_setglobalz00_bglt) BgL_oz00_3806)))->BgL_namez00);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1641 */
	obj_t BGl_z62lambda1641z62zz__evaluate_typesz00(obj_t BgL_envz00_3807,
		obj_t BgL_oz00_3808, obj_t BgL_vz00_3809)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 78 */
			return
				((((BgL_ev_setglobalz00_bglt) COBJECT(
							((BgL_ev_setglobalz00_bglt) BgL_oz00_3808)))->BgL_locz00) =
				((obj_t) BgL_vz00_3809), BUNSPEC);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1640 */
	obj_t BGl_z62lambda1640z62zz__evaluate_typesz00(obj_t BgL_envz00_3810,
		obj_t BgL_oz00_3811)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 78 */
			return
				(((BgL_ev_setglobalz00_bglt) COBJECT(
						((BgL_ev_setglobalz00_bglt) BgL_oz00_3811)))->BgL_locz00);
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:1613> */
	obj_t BGl_z62zc3anonymousza31613ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3812, obj_t BgL_new1091z00_3813)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 76 */
			{
				BgL_ev_setlocalz00_bglt BgL_new1091z00_1426;

				{
					BgL_ev_setlocalz00_bglt BgL_auxz00_5307;

					BgL_new1091z00_1426 = ((BgL_ev_setlocalz00_bglt) BgL_new1091z00_3813);
					{
						BgL_ev_exprz00_bglt BgL_auxz00_5308;

						{	/* Eval/evaluate_types.scm 76 */
							obj_t BgL_classz00_2777;

							BgL_classz00_2777 = BGl_ev_exprz00zz__evaluate_typesz00;
							{	/* Eval/evaluate_types.scm 76 */
								obj_t BgL__ortest_1281z00_2778;

								BgL__ortest_1281z00_2778 = BGL_CLASS_NIL(BgL_classz00_2777);
								if (CBOOL(BgL__ortest_1281z00_2778))
									{	/* Eval/evaluate_types.scm 76 */
										BgL_auxz00_5308 =
											((BgL_ev_exprz00_bglt) BgL__ortest_1281z00_2778);
									}
								else
									{	/* Eval/evaluate_types.scm 76 */
										BgL_auxz00_5308 =
											((BgL_ev_exprz00_bglt)
											BGl_classzd2nilzd2initz12z12zz__objectz00
											(BgL_classz00_2777));
									}
							}
						}
						((((BgL_ev_hookz00_bglt) COBJECT(
										((BgL_ev_hookz00_bglt) BgL_new1091z00_1426)))->BgL_ez00) =
							((BgL_ev_exprz00_bglt) BgL_auxz00_5308), BUNSPEC);
					}
					{
						BgL_ev_varz00_bglt BgL_auxz00_5317;

						{	/* Eval/evaluate_types.scm 76 */
							obj_t BgL_classz00_2779;

							BgL_classz00_2779 = BGl_ev_varz00zz__evaluate_typesz00;
							{	/* Eval/evaluate_types.scm 76 */
								obj_t BgL__ortest_1281z00_2780;

								BgL__ortest_1281z00_2780 = BGL_CLASS_NIL(BgL_classz00_2779);
								if (CBOOL(BgL__ortest_1281z00_2780))
									{	/* Eval/evaluate_types.scm 76 */
										BgL_auxz00_5317 =
											((BgL_ev_varz00_bglt) BgL__ortest_1281z00_2780);
									}
								else
									{	/* Eval/evaluate_types.scm 76 */
										BgL_auxz00_5317 =
											((BgL_ev_varz00_bglt)
											BGl_classzd2nilzd2initz12z12zz__objectz00
											(BgL_classz00_2779));
									}
							}
						}
						((((BgL_ev_setlocalz00_bglt) COBJECT(BgL_new1091z00_1426))->
								BgL_vz00) = ((BgL_ev_varz00_bglt) BgL_auxz00_5317), BUNSPEC);
					}
					BgL_auxz00_5307 = BgL_new1091z00_1426;
					return ((obj_t) BgL_auxz00_5307);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1611 */
	BgL_ev_setlocalz00_bglt BGl_z62lambda1611z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3814)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 76 */
			{	/* Eval/evaluate_types.scm 76 */
				BgL_ev_setlocalz00_bglt BgL_new1090z00_4236;

				BgL_new1090z00_4236 =
					((BgL_ev_setlocalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_setlocalz00_bgl))));
				{	/* Eval/evaluate_types.scm 76 */
					long BgL_arg1612z00_4237;

					{	/* Eval/evaluate_types.scm 76 */
						long BgL_res2354z00_4238;

						BgL_res2354z00_4238 =
							BGL_CLASS_INDEX(BGl_ev_setlocalz00zz__evaluate_typesz00);
						BgL_arg1612z00_4237 = BgL_res2354z00_4238;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1090z00_4236), BgL_arg1612z00_4237);
				}
				return BgL_new1090z00_4236;
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1609 */
	BgL_ev_setlocalz00_bglt BGl_z62lambda1609z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3815, obj_t BgL_e1088z00_3816, obj_t BgL_v1089z00_3817)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 76 */
			{	/* Eval/evaluate_types.scm 76 */
				BgL_ev_setlocalz00_bglt BgL_new1215z00_4241;

				{	/* Eval/evaluate_types.scm 76 */
					BgL_ev_setlocalz00_bglt BgL_new1214z00_4242;

					BgL_new1214z00_4242 =
						((BgL_ev_setlocalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_setlocalz00_bgl))));
					{	/* Eval/evaluate_types.scm 76 */
						long BgL_arg1610z00_4243;

						{	/* Eval/evaluate_types.scm 76 */
							long BgL_res2353z00_4244;

							BgL_res2353z00_4244 =
								BGL_CLASS_INDEX(BGl_ev_setlocalz00zz__evaluate_typesz00);
							BgL_arg1610z00_4243 = BgL_res2353z00_4244;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1214z00_4242), BgL_arg1610z00_4243);
					}
					BgL_new1215z00_4241 = BgL_new1214z00_4242;
				}
				((((BgL_ev_hookz00_bglt) COBJECT(
								((BgL_ev_hookz00_bglt) BgL_new1215z00_4241)))->BgL_ez00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_e1088z00_3816)),
					BUNSPEC);
				((((BgL_ev_setlocalz00_bglt) COBJECT(BgL_new1215z00_4241))->BgL_vz00) =
					((BgL_ev_varz00_bglt) ((BgL_ev_varz00_bglt) BgL_v1089z00_3817)),
					BUNSPEC);
				return BgL_new1215z00_4241;
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1619 */
	obj_t BGl_z62lambda1619z62zz__evaluate_typesz00(obj_t BgL_envz00_3818,
		obj_t BgL_oz00_3819, obj_t BgL_vz00_3820)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 76 */
			return
				((((BgL_ev_setlocalz00_bglt) COBJECT(
							((BgL_ev_setlocalz00_bglt) BgL_oz00_3819)))->BgL_vz00) =
				((BgL_ev_varz00_bglt) ((BgL_ev_varz00_bglt) BgL_vz00_3820)), BUNSPEC);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1618 */
	BgL_ev_varz00_bglt BGl_z62lambda1618z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3821, obj_t BgL_oz00_3822)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 76 */
			return
				(((BgL_ev_setlocalz00_bglt) COBJECT(
						((BgL_ev_setlocalz00_bglt) BgL_oz00_3822)))->BgL_vz00);
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:1603> */
	obj_t BGl_z62zc3anonymousza31603ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3823, obj_t BgL_new1086z00_3824)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 75 */
			{
				BgL_ev_trapz00_bglt BgL_new1086z00_1405;

				{
					BgL_ev_trapz00_bglt BgL_auxz00_5345;

					BgL_new1086z00_1405 = ((BgL_ev_trapz00_bglt) BgL_new1086z00_3824);
					{
						BgL_ev_exprz00_bglt BgL_auxz00_5346;

						{	/* Eval/evaluate_types.scm 75 */
							obj_t BgL_classz00_2761;

							BgL_classz00_2761 = BGl_ev_exprz00zz__evaluate_typesz00;
							{	/* Eval/evaluate_types.scm 75 */
								obj_t BgL__ortest_1281z00_2762;

								BgL__ortest_1281z00_2762 = BGL_CLASS_NIL(BgL_classz00_2761);
								if (CBOOL(BgL__ortest_1281z00_2762))
									{	/* Eval/evaluate_types.scm 75 */
										BgL_auxz00_5346 =
											((BgL_ev_exprz00_bglt) BgL__ortest_1281z00_2762);
									}
								else
									{	/* Eval/evaluate_types.scm 75 */
										BgL_auxz00_5346 =
											((BgL_ev_exprz00_bglt)
											BGl_classzd2nilzd2initz12z12zz__objectz00
											(BgL_classz00_2761));
									}
							}
						}
						((((BgL_ev_hookz00_bglt) COBJECT(
										((BgL_ev_hookz00_bglt) BgL_new1086z00_1405)))->BgL_ez00) =
							((BgL_ev_exprz00_bglt) BgL_auxz00_5346), BUNSPEC);
					}
					BgL_auxz00_5345 = BgL_new1086z00_1405;
					return ((obj_t) BgL_auxz00_5345);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1601 */
	BgL_ev_trapz00_bglt BGl_z62lambda1601z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3825)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 75 */
			{	/* Eval/evaluate_types.scm 75 */
				BgL_ev_trapz00_bglt BgL_new1085z00_4251;

				BgL_new1085z00_4251 =
					((BgL_ev_trapz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_trapz00_bgl))));
				{	/* Eval/evaluate_types.scm 75 */
					long BgL_arg1602z00_4252;

					{	/* Eval/evaluate_types.scm 75 */
						long BgL_res2352z00_4253;

						BgL_res2352z00_4253 =
							BGL_CLASS_INDEX(BGl_ev_trapz00zz__evaluate_typesz00);
						BgL_arg1602z00_4252 = BgL_res2352z00_4253;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1085z00_4251), BgL_arg1602z00_4252);
				}
				return BgL_new1085z00_4251;
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1599 */
	BgL_ev_trapz00_bglt BGl_z62lambda1599z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3826, obj_t BgL_e1084z00_3827)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 75 */
			{	/* Eval/evaluate_types.scm 75 */
				BgL_ev_trapz00_bglt BgL_new1213z00_4255;

				{	/* Eval/evaluate_types.scm 75 */
					BgL_ev_trapz00_bglt BgL_new1212z00_4256;

					BgL_new1212z00_4256 =
						((BgL_ev_trapz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_trapz00_bgl))));
					{	/* Eval/evaluate_types.scm 75 */
						long BgL_arg1600z00_4257;

						{	/* Eval/evaluate_types.scm 75 */
							long BgL_res2351z00_4258;

							BgL_res2351z00_4258 =
								BGL_CLASS_INDEX(BGl_ev_trapz00zz__evaluate_typesz00);
							BgL_arg1600z00_4257 = BgL_res2351z00_4258;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1212z00_4256), BgL_arg1600z00_4257);
					}
					BgL_new1213z00_4255 = BgL_new1212z00_4256;
				}
				((((BgL_ev_hookz00_bglt) COBJECT(
								((BgL_ev_hookz00_bglt) BgL_new1213z00_4255)))->BgL_ez00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_e1084z00_3827)),
					BUNSPEC);
				return BgL_new1213z00_4255;
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:1587> */
	obj_t BGl_z62zc3anonymousza31587ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3828, obj_t BgL_new1082z00_3829)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 73 */
			{
				BgL_ev_hookz00_bglt BgL_new1082z00_1375;

				{
					BgL_ev_hookz00_bglt BgL_auxz00_5368;

					BgL_new1082z00_1375 = ((BgL_ev_hookz00_bglt) BgL_new1082z00_3829);
					{
						BgL_ev_exprz00_bglt BgL_auxz00_5369;

						{	/* Eval/evaluate_types.scm 73 */
							obj_t BgL_classz00_2746;

							BgL_classz00_2746 = BGl_ev_exprz00zz__evaluate_typesz00;
							{	/* Eval/evaluate_types.scm 73 */
								obj_t BgL__ortest_1281z00_2747;

								BgL__ortest_1281z00_2747 = BGL_CLASS_NIL(BgL_classz00_2746);
								if (CBOOL(BgL__ortest_1281z00_2747))
									{	/* Eval/evaluate_types.scm 73 */
										BgL_auxz00_5369 =
											((BgL_ev_exprz00_bglt) BgL__ortest_1281z00_2747);
									}
								else
									{	/* Eval/evaluate_types.scm 73 */
										BgL_auxz00_5369 =
											((BgL_ev_exprz00_bglt)
											BGl_classzd2nilzd2initz12z12zz__objectz00
											(BgL_classz00_2746));
									}
							}
						}
						((((BgL_ev_hookz00_bglt) COBJECT(BgL_new1082z00_1375))->BgL_ez00) =
							((BgL_ev_exprz00_bglt) BgL_auxz00_5369), BUNSPEC);
					}
					BgL_auxz00_5368 = BgL_new1082z00_1375;
					return ((obj_t) BgL_auxz00_5368);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1585 */
	BgL_ev_hookz00_bglt BGl_z62lambda1585z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3830)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 73 */
			{	/* Eval/evaluate_types.scm 73 */
				BgL_ev_hookz00_bglt BgL_new1081z00_4262;

				BgL_new1081z00_4262 =
					((BgL_ev_hookz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_hookz00_bgl))));
				{	/* Eval/evaluate_types.scm 73 */
					long BgL_arg1586z00_4263;

					{	/* Eval/evaluate_types.scm 73 */
						long BgL_res2350z00_4264;

						BgL_res2350z00_4264 =
							BGL_CLASS_INDEX(BGl_ev_hookz00zz__evaluate_typesz00);
						BgL_arg1586z00_4263 = BgL_res2350z00_4264;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1081z00_4262), BgL_arg1586z00_4263);
				}
				return BgL_new1081z00_4262;
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1583 */
	BgL_ev_hookz00_bglt BGl_z62lambda1583z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3831, obj_t BgL_e1080z00_3832)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 73 */
			{	/* Eval/evaluate_types.scm 73 */
				BgL_ev_hookz00_bglt BgL_new1211z00_4266;

				{	/* Eval/evaluate_types.scm 73 */
					BgL_ev_hookz00_bglt BgL_new1210z00_4267;

					BgL_new1210z00_4267 =
						((BgL_ev_hookz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_hookz00_bgl))));
					{	/* Eval/evaluate_types.scm 73 */
						long BgL_arg1584z00_4268;

						{	/* Eval/evaluate_types.scm 73 */
							long BgL_res2349z00_4269;

							BgL_res2349z00_4269 =
								BGL_CLASS_INDEX(BGl_ev_hookz00zz__evaluate_typesz00);
							BgL_arg1584z00_4268 = BgL_res2349z00_4269;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1210z00_4267), BgL_arg1584z00_4268);
					}
					BgL_new1211z00_4266 = BgL_new1210z00_4267;
				}
				((((BgL_ev_hookz00_bglt) COBJECT(BgL_new1211z00_4266))->BgL_ez00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_e1080z00_3832)),
					BUNSPEC);
				return BgL_new1211z00_4266;
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1593 */
	obj_t BGl_z62lambda1593z62zz__evaluate_typesz00(obj_t BgL_envz00_3833,
		obj_t BgL_oz00_3834, obj_t BgL_vz00_3835)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 73 */
			return
				((((BgL_ev_hookz00_bglt) COBJECT(
							((BgL_ev_hookz00_bglt) BgL_oz00_3834)))->BgL_ez00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3835)), BUNSPEC);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1592 */
	BgL_ev_exprz00_bglt BGl_z62lambda1592z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3836, obj_t BgL_oz00_3837)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 73 */
			return
				(((BgL_ev_hookz00_bglt) COBJECT(
						((BgL_ev_hookz00_bglt) BgL_oz00_3837)))->BgL_ez00);
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:1562> */
	obj_t BGl_z62zc3anonymousza31562ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3838, obj_t BgL_new1078z00_3839)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 70 */
			{
				BgL_ev_prog2z00_bglt BgL_new1078z00_1335;

				{
					BgL_ev_prog2z00_bglt BgL_auxz00_5394;

					BgL_new1078z00_1335 = ((BgL_ev_prog2z00_bglt) BgL_new1078z00_3839);
					{
						BgL_ev_exprz00_bglt BgL_auxz00_5395;

						{	/* Eval/evaluate_types.scm 70 */
							obj_t BgL_classz00_2728;

							BgL_classz00_2728 = BGl_ev_exprz00zz__evaluate_typesz00;
							{	/* Eval/evaluate_types.scm 70 */
								obj_t BgL__ortest_1281z00_2729;

								BgL__ortest_1281z00_2729 = BGL_CLASS_NIL(BgL_classz00_2728);
								if (CBOOL(BgL__ortest_1281z00_2729))
									{	/* Eval/evaluate_types.scm 70 */
										BgL_auxz00_5395 =
											((BgL_ev_exprz00_bglt) BgL__ortest_1281z00_2729);
									}
								else
									{	/* Eval/evaluate_types.scm 70 */
										BgL_auxz00_5395 =
											((BgL_ev_exprz00_bglt)
											BGl_classzd2nilzd2initz12z12zz__objectz00
											(BgL_classz00_2728));
									}
							}
						}
						((((BgL_ev_prog2z00_bglt) COBJECT(BgL_new1078z00_1335))->
								BgL_e1z00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5395), BUNSPEC);
					}
					{
						BgL_ev_exprz00_bglt BgL_auxz00_5403;

						{	/* Eval/evaluate_types.scm 70 */
							obj_t BgL_classz00_2730;

							BgL_classz00_2730 = BGl_ev_exprz00zz__evaluate_typesz00;
							{	/* Eval/evaluate_types.scm 70 */
								obj_t BgL__ortest_1281z00_2731;

								BgL__ortest_1281z00_2731 = BGL_CLASS_NIL(BgL_classz00_2730);
								if (CBOOL(BgL__ortest_1281z00_2731))
									{	/* Eval/evaluate_types.scm 70 */
										BgL_auxz00_5403 =
											((BgL_ev_exprz00_bglt) BgL__ortest_1281z00_2731);
									}
								else
									{	/* Eval/evaluate_types.scm 70 */
										BgL_auxz00_5403 =
											((BgL_ev_exprz00_bglt)
											BGl_classzd2nilzd2initz12z12zz__objectz00
											(BgL_classz00_2730));
									}
							}
						}
						((((BgL_ev_prog2z00_bglt) COBJECT(BgL_new1078z00_1335))->
								BgL_e2z00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5403), BUNSPEC);
					}
					BgL_auxz00_5394 = BgL_new1078z00_1335;
					return ((obj_t) BgL_auxz00_5394);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1559 */
	BgL_ev_prog2z00_bglt BGl_z62lambda1559z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3840)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 70 */
			{	/* Eval/evaluate_types.scm 70 */
				BgL_ev_prog2z00_bglt BgL_new1077z00_4278;

				BgL_new1077z00_4278 =
					((BgL_ev_prog2z00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_prog2z00_bgl))));
				{	/* Eval/evaluate_types.scm 70 */
					long BgL_arg1561z00_4279;

					{	/* Eval/evaluate_types.scm 70 */
						long BgL_res2348z00_4280;

						BgL_res2348z00_4280 =
							BGL_CLASS_INDEX(BGl_ev_prog2z00zz__evaluate_typesz00);
						BgL_arg1561z00_4279 = BgL_res2348z00_4280;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1077z00_4278), BgL_arg1561z00_4279);
				}
				return BgL_new1077z00_4278;
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1556 */
	BgL_ev_prog2z00_bglt BGl_z62lambda1556z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3841, obj_t BgL_e11075z00_3842, obj_t BgL_e21076z00_3843)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 70 */
			{	/* Eval/evaluate_types.scm 70 */
				BgL_ev_prog2z00_bglt BgL_new1209z00_4283;

				{	/* Eval/evaluate_types.scm 70 */
					BgL_ev_prog2z00_bglt BgL_new1208z00_4284;

					BgL_new1208z00_4284 =
						((BgL_ev_prog2z00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_prog2z00_bgl))));
					{	/* Eval/evaluate_types.scm 70 */
						long BgL_arg1558z00_4285;

						{	/* Eval/evaluate_types.scm 70 */
							long BgL_res2347z00_4286;

							BgL_res2347z00_4286 =
								BGL_CLASS_INDEX(BGl_ev_prog2z00zz__evaluate_typesz00);
							BgL_arg1558z00_4285 = BgL_res2347z00_4286;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1208z00_4284), BgL_arg1558z00_4285);
					}
					BgL_new1209z00_4283 = BgL_new1208z00_4284;
				}
				((((BgL_ev_prog2z00_bglt) COBJECT(BgL_new1209z00_4283))->BgL_e1z00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_e11075z00_3842)),
					BUNSPEC);
				((((BgL_ev_prog2z00_bglt) COBJECT(BgL_new1209z00_4283))->BgL_e2z00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_e21076z00_3843)),
					BUNSPEC);
				return BgL_new1209z00_4283;
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1576 */
	obj_t BGl_z62lambda1576z62zz__evaluate_typesz00(obj_t BgL_envz00_3844,
		obj_t BgL_oz00_3845, obj_t BgL_vz00_3846)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 70 */
			return
				((((BgL_ev_prog2z00_bglt) COBJECT(
							((BgL_ev_prog2z00_bglt) BgL_oz00_3845)))->BgL_e2z00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3846)), BUNSPEC);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1575 */
	BgL_ev_exprz00_bglt BGl_z62lambda1575z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3847, obj_t BgL_oz00_3848)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 70 */
			return
				(((BgL_ev_prog2z00_bglt) COBJECT(
						((BgL_ev_prog2z00_bglt) BgL_oz00_3848)))->BgL_e2z00);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1569 */
	obj_t BGl_z62lambda1569z62zz__evaluate_typesz00(obj_t BgL_envz00_3849,
		obj_t BgL_oz00_3850, obj_t BgL_vz00_3851)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 70 */
			return
				((((BgL_ev_prog2z00_bglt) COBJECT(
							((BgL_ev_prog2z00_bglt) BgL_oz00_3850)))->BgL_e1z00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3851)), BUNSPEC);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1568 */
	BgL_ev_exprz00_bglt BGl_z62lambda1568z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3852, obj_t BgL_oz00_3853)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 70 */
			return
				(((BgL_ev_prog2z00_bglt) COBJECT(
						((BgL_ev_prog2z00_bglt) BgL_oz00_3853)))->BgL_e1z00);
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:1550> */
	obj_t BGl_z62zc3anonymousza31550ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3854, obj_t BgL_new1073z00_3855)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 69 */
			{
				BgL_ev_andz00_bglt BgL_new1073z00_1314;

				{
					BgL_ev_andz00_bglt BgL_auxz00_5435;

					BgL_new1073z00_1314 = ((BgL_ev_andz00_bglt) BgL_new1073z00_3855);
					((((BgL_ev_listz00_bglt) COBJECT(
									((BgL_ev_listz00_bglt) BgL_new1073z00_1314)))->BgL_argsz00) =
						((obj_t) BUNSPEC), BUNSPEC);
					BgL_auxz00_5435 = BgL_new1073z00_1314;
					return ((obj_t) BgL_auxz00_5435);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1548 */
	BgL_ev_andz00_bglt BGl_z62lambda1548z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3856)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 69 */
			{	/* Eval/evaluate_types.scm 69 */
				BgL_ev_andz00_bglt BgL_new1072z00_4294;

				BgL_new1072z00_4294 =
					((BgL_ev_andz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_andz00_bgl))));
				{	/* Eval/evaluate_types.scm 69 */
					long BgL_arg1549z00_4295;

					{	/* Eval/evaluate_types.scm 69 */
						long BgL_res2346z00_4296;

						BgL_res2346z00_4296 =
							BGL_CLASS_INDEX(BGl_ev_andz00zz__evaluate_typesz00);
						BgL_arg1549z00_4295 = BgL_res2346z00_4296;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1072z00_4294), BgL_arg1549z00_4295);
				}
				return BgL_new1072z00_4294;
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1545 */
	BgL_ev_andz00_bglt BGl_z62lambda1545z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3857, obj_t BgL_args1071z00_3858)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 69 */
			{	/* Eval/evaluate_types.scm 69 */
				BgL_ev_andz00_bglt BgL_new1207z00_4297;

				{	/* Eval/evaluate_types.scm 69 */
					BgL_ev_andz00_bglt BgL_new1206z00_4298;

					BgL_new1206z00_4298 =
						((BgL_ev_andz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_andz00_bgl))));
					{	/* Eval/evaluate_types.scm 69 */
						long BgL_arg1547z00_4299;

						{	/* Eval/evaluate_types.scm 69 */
							long BgL_res2345z00_4300;

							BgL_res2345z00_4300 =
								BGL_CLASS_INDEX(BGl_ev_andz00zz__evaluate_typesz00);
							BgL_arg1547z00_4299 = BgL_res2345z00_4300;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1206z00_4298), BgL_arg1547z00_4299);
					}
					BgL_new1207z00_4297 = BgL_new1206z00_4298;
				}
				((((BgL_ev_listz00_bglt) COBJECT(
								((BgL_ev_listz00_bglt) BgL_new1207z00_4297)))->BgL_argsz00) =
					((obj_t) BgL_args1071z00_3858), BUNSPEC);
				return BgL_new1207z00_4297;
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:1535> */
	obj_t BGl_z62zc3anonymousza31535ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3859, obj_t BgL_new1069z00_3860)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 68 */
			{
				BgL_ev_orz00_bglt BgL_new1069z00_1294;

				{
					BgL_ev_orz00_bglt BgL_auxz00_5450;

					BgL_new1069z00_1294 = ((BgL_ev_orz00_bglt) BgL_new1069z00_3860);
					((((BgL_ev_listz00_bglt) COBJECT(
									((BgL_ev_listz00_bglt) BgL_new1069z00_1294)))->BgL_argsz00) =
						((obj_t) BUNSPEC), BUNSPEC);
					BgL_auxz00_5450 = BgL_new1069z00_1294;
					return ((obj_t) BgL_auxz00_5450);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1533 */
	BgL_ev_orz00_bglt BGl_z62lambda1533z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3861)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 68 */
			{	/* Eval/evaluate_types.scm 68 */
				BgL_ev_orz00_bglt BgL_new1068z00_4302;

				BgL_new1068z00_4302 =
					((BgL_ev_orz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_orz00_bgl))));
				{	/* Eval/evaluate_types.scm 68 */
					long BgL_arg1534z00_4303;

					{	/* Eval/evaluate_types.scm 68 */
						long BgL_res2344z00_4304;

						BgL_res2344z00_4304 =
							BGL_CLASS_INDEX(BGl_ev_orz00zz__evaluate_typesz00);
						BgL_arg1534z00_4303 = BgL_res2344z00_4304;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1068z00_4302), BgL_arg1534z00_4303);
				}
				return BgL_new1068z00_4302;
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1530 */
	BgL_ev_orz00_bglt BGl_z62lambda1530z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3862, obj_t BgL_args1067z00_3863)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 68 */
			{	/* Eval/evaluate_types.scm 68 */
				BgL_ev_orz00_bglt BgL_new1205z00_4305;

				{	/* Eval/evaluate_types.scm 68 */
					BgL_ev_orz00_bglt BgL_new1204z00_4306;

					BgL_new1204z00_4306 =
						((BgL_ev_orz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_orz00_bgl))));
					{	/* Eval/evaluate_types.scm 68 */
						long BgL_arg1532z00_4307;

						{	/* Eval/evaluate_types.scm 68 */
							long BgL_res2343z00_4308;

							BgL_res2343z00_4308 =
								BGL_CLASS_INDEX(BGl_ev_orz00zz__evaluate_typesz00);
							BgL_arg1532z00_4307 = BgL_res2343z00_4308;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1204z00_4306), BgL_arg1532z00_4307);
					}
					BgL_new1205z00_4305 = BgL_new1204z00_4306;
				}
				((((BgL_ev_listz00_bglt) COBJECT(
								((BgL_ev_listz00_bglt) BgL_new1205z00_4305)))->BgL_argsz00) =
					((obj_t) BgL_args1067z00_3863), BUNSPEC);
				return BgL_new1205z00_4305;
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:1514> */
	obj_t BGl_z62zc3anonymousza31514ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3864, obj_t BgL_new1065z00_3865)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 66 */
			{
				BgL_ev_listz00_bglt BgL_new1065z00_1264;

				{
					BgL_ev_listz00_bglt BgL_auxz00_5465;

					BgL_new1065z00_1264 = ((BgL_ev_listz00_bglt) BgL_new1065z00_3865);
					((((BgL_ev_listz00_bglt) COBJECT(BgL_new1065z00_1264))->BgL_argsz00) =
						((obj_t) BUNSPEC), BUNSPEC);
					BgL_auxz00_5465 = BgL_new1065z00_1264;
					return ((obj_t) BgL_auxz00_5465);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1512 */
	BgL_ev_listz00_bglt BGl_z62lambda1512z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3866)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 66 */
			{	/* Eval/evaluate_types.scm 66 */
				BgL_ev_listz00_bglt BgL_new1064z00_4310;

				BgL_new1064z00_4310 =
					((BgL_ev_listz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_listz00_bgl))));
				{	/* Eval/evaluate_types.scm 66 */
					long BgL_arg1513z00_4311;

					{	/* Eval/evaluate_types.scm 66 */
						long BgL_res2342z00_4312;

						BgL_res2342z00_4312 =
							BGL_CLASS_INDEX(BGl_ev_listz00zz__evaluate_typesz00);
						BgL_arg1513z00_4311 = BgL_res2342z00_4312;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1064z00_4310), BgL_arg1513z00_4311);
				}
				return BgL_new1064z00_4310;
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1510 */
	BgL_ev_listz00_bglt BGl_z62lambda1510z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3867, obj_t BgL_args1063z00_3868)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 66 */
			{	/* Eval/evaluate_types.scm 66 */
				BgL_ev_listz00_bglt BgL_new1203z00_4313;

				{	/* Eval/evaluate_types.scm 66 */
					BgL_ev_listz00_bglt BgL_new1202z00_4314;

					BgL_new1202z00_4314 =
						((BgL_ev_listz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_listz00_bgl))));
					{	/* Eval/evaluate_types.scm 66 */
						long BgL_arg1511z00_4315;

						{	/* Eval/evaluate_types.scm 66 */
							long BgL_res2341z00_4316;

							BgL_res2341z00_4316 =
								BGL_CLASS_INDEX(BGl_ev_listz00zz__evaluate_typesz00);
							BgL_arg1511z00_4315 = BgL_res2341z00_4316;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1202z00_4314), BgL_arg1511z00_4315);
					}
					BgL_new1203z00_4313 = BgL_new1202z00_4314;
				}
				((((BgL_ev_listz00_bglt) COBJECT(BgL_new1203z00_4313))->BgL_argsz00) =
					((obj_t) BgL_args1063z00_3868), BUNSPEC);
				return BgL_new1203z00_4313;
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1522 */
	obj_t BGl_z62lambda1522z62zz__evaluate_typesz00(obj_t BgL_envz00_3869,
		obj_t BgL_oz00_3870, obj_t BgL_vz00_3871)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 66 */
			return
				((((BgL_ev_listz00_bglt) COBJECT(
							((BgL_ev_listz00_bglt) BgL_oz00_3870)))->BgL_argsz00) =
				((obj_t) BgL_vz00_3871), BUNSPEC);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1521 */
	obj_t BGl_z62lambda1521z62zz__evaluate_typesz00(obj_t BgL_envz00_3872,
		obj_t BgL_oz00_3873)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 66 */
			return
				(((BgL_ev_listz00_bglt) COBJECT(
						((BgL_ev_listz00_bglt) BgL_oz00_3873)))->BgL_argsz00);
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:1485> */
	obj_t BGl_z62zc3anonymousza31485ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3874, obj_t BgL_new1061z00_3875)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 62 */
			{
				BgL_ev_ifz00_bglt BgL_new1061z00_1214;

				{
					BgL_ev_ifz00_bglt BgL_auxz00_5482;

					BgL_new1061z00_1214 = ((BgL_ev_ifz00_bglt) BgL_new1061z00_3875);
					{
						BgL_ev_exprz00_bglt BgL_auxz00_5483;

						{	/* Eval/evaluate_types.scm 62 */
							obj_t BgL_classz00_2667;

							BgL_classz00_2667 = BGl_ev_exprz00zz__evaluate_typesz00;
							{	/* Eval/evaluate_types.scm 62 */
								obj_t BgL__ortest_1281z00_2668;

								BgL__ortest_1281z00_2668 = BGL_CLASS_NIL(BgL_classz00_2667);
								if (CBOOL(BgL__ortest_1281z00_2668))
									{	/* Eval/evaluate_types.scm 62 */
										BgL_auxz00_5483 =
											((BgL_ev_exprz00_bglt) BgL__ortest_1281z00_2668);
									}
								else
									{	/* Eval/evaluate_types.scm 62 */
										BgL_auxz00_5483 =
											((BgL_ev_exprz00_bglt)
											BGl_classzd2nilzd2initz12z12zz__objectz00
											(BgL_classz00_2667));
									}
							}
						}
						((((BgL_ev_ifz00_bglt) COBJECT(BgL_new1061z00_1214))->BgL_pz00) =
							((BgL_ev_exprz00_bglt) BgL_auxz00_5483), BUNSPEC);
					}
					{
						BgL_ev_exprz00_bglt BgL_auxz00_5491;

						{	/* Eval/evaluate_types.scm 62 */
							obj_t BgL_classz00_2669;

							BgL_classz00_2669 = BGl_ev_exprz00zz__evaluate_typesz00;
							{	/* Eval/evaluate_types.scm 62 */
								obj_t BgL__ortest_1281z00_2670;

								BgL__ortest_1281z00_2670 = BGL_CLASS_NIL(BgL_classz00_2669);
								if (CBOOL(BgL__ortest_1281z00_2670))
									{	/* Eval/evaluate_types.scm 62 */
										BgL_auxz00_5491 =
											((BgL_ev_exprz00_bglt) BgL__ortest_1281z00_2670);
									}
								else
									{	/* Eval/evaluate_types.scm 62 */
										BgL_auxz00_5491 =
											((BgL_ev_exprz00_bglt)
											BGl_classzd2nilzd2initz12z12zz__objectz00
											(BgL_classz00_2669));
									}
							}
						}
						((((BgL_ev_ifz00_bglt) COBJECT(BgL_new1061z00_1214))->BgL_tz00) =
							((BgL_ev_exprz00_bglt) BgL_auxz00_5491), BUNSPEC);
					}
					{
						BgL_ev_exprz00_bglt BgL_auxz00_5499;

						{	/* Eval/evaluate_types.scm 62 */
							obj_t BgL_classz00_2671;

							BgL_classz00_2671 = BGl_ev_exprz00zz__evaluate_typesz00;
							{	/* Eval/evaluate_types.scm 62 */
								obj_t BgL__ortest_1281z00_2672;

								BgL__ortest_1281z00_2672 = BGL_CLASS_NIL(BgL_classz00_2671);
								if (CBOOL(BgL__ortest_1281z00_2672))
									{	/* Eval/evaluate_types.scm 62 */
										BgL_auxz00_5499 =
											((BgL_ev_exprz00_bglt) BgL__ortest_1281z00_2672);
									}
								else
									{	/* Eval/evaluate_types.scm 62 */
										BgL_auxz00_5499 =
											((BgL_ev_exprz00_bglt)
											BGl_classzd2nilzd2initz12z12zz__objectz00
											(BgL_classz00_2671));
									}
							}
						}
						((((BgL_ev_ifz00_bglt) COBJECT(BgL_new1061z00_1214))->BgL_ez00) =
							((BgL_ev_exprz00_bglt) BgL_auxz00_5499), BUNSPEC);
					}
					BgL_auxz00_5482 = BgL_new1061z00_1214;
					return ((obj_t) BgL_auxz00_5482);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1482 */
	BgL_ev_ifz00_bglt BGl_z62lambda1482z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3876)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 62 */
			{	/* Eval/evaluate_types.scm 62 */
				BgL_ev_ifz00_bglt BgL_new1060z00_4326;

				BgL_new1060z00_4326 =
					((BgL_ev_ifz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_ifz00_bgl))));
				{	/* Eval/evaluate_types.scm 62 */
					long BgL_arg1484z00_4327;

					{	/* Eval/evaluate_types.scm 62 */
						long BgL_res2340z00_4328;

						BgL_res2340z00_4328 =
							BGL_CLASS_INDEX(BGl_ev_ifz00zz__evaluate_typesz00);
						BgL_arg1484z00_4327 = BgL_res2340z00_4328;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1060z00_4326), BgL_arg1484z00_4327);
				}
				return BgL_new1060z00_4326;
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1480 */
	BgL_ev_ifz00_bglt BGl_z62lambda1480z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3877, obj_t BgL_p1057z00_3878, obj_t BgL_t1058z00_3879,
		obj_t BgL_e1059z00_3880)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 62 */
			{	/* Eval/evaluate_types.scm 62 */
				BgL_ev_ifz00_bglt BgL_new1201z00_4332;

				{	/* Eval/evaluate_types.scm 62 */
					BgL_ev_ifz00_bglt BgL_new1200z00_4333;

					BgL_new1200z00_4333 =
						((BgL_ev_ifz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_ifz00_bgl))));
					{	/* Eval/evaluate_types.scm 62 */
						long BgL_arg1481z00_4334;

						{	/* Eval/evaluate_types.scm 62 */
							long BgL_res2339z00_4335;

							BgL_res2339z00_4335 =
								BGL_CLASS_INDEX(BGl_ev_ifz00zz__evaluate_typesz00);
							BgL_arg1481z00_4334 = BgL_res2339z00_4335;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1200z00_4333), BgL_arg1481z00_4334);
					}
					BgL_new1201z00_4332 = BgL_new1200z00_4333;
				}
				((((BgL_ev_ifz00_bglt) COBJECT(BgL_new1201z00_4332))->BgL_pz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_p1057z00_3878)),
					BUNSPEC);
				((((BgL_ev_ifz00_bglt) COBJECT(BgL_new1201z00_4332))->BgL_tz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_t1058z00_3879)),
					BUNSPEC);
				((((BgL_ev_ifz00_bglt) COBJECT(BgL_new1201z00_4332))->BgL_ez00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_e1059z00_3880)),
					BUNSPEC);
				return BgL_new1201z00_4332;
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1501 */
	obj_t BGl_z62lambda1501z62zz__evaluate_typesz00(obj_t BgL_envz00_3881,
		obj_t BgL_oz00_3882, obj_t BgL_vz00_3883)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 62 */
			return
				((((BgL_ev_ifz00_bglt) COBJECT(
							((BgL_ev_ifz00_bglt) BgL_oz00_3882)))->BgL_ez00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3883)), BUNSPEC);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1500 */
	BgL_ev_exprz00_bglt BGl_z62lambda1500z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3884, obj_t BgL_oz00_3885)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 62 */
			return
				(((BgL_ev_ifz00_bglt) COBJECT(
						((BgL_ev_ifz00_bglt) BgL_oz00_3885)))->BgL_ez00);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1496 */
	obj_t BGl_z62lambda1496z62zz__evaluate_typesz00(obj_t BgL_envz00_3886,
		obj_t BgL_oz00_3887, obj_t BgL_vz00_3888)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 62 */
			return
				((((BgL_ev_ifz00_bglt) COBJECT(
							((BgL_ev_ifz00_bglt) BgL_oz00_3887)))->BgL_tz00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3888)), BUNSPEC);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1495 */
	BgL_ev_exprz00_bglt BGl_z62lambda1495z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3889, obj_t BgL_oz00_3890)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 62 */
			return
				(((BgL_ev_ifz00_bglt) COBJECT(
						((BgL_ev_ifz00_bglt) BgL_oz00_3890)))->BgL_tz00);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1490 */
	obj_t BGl_z62lambda1490z62zz__evaluate_typesz00(obj_t BgL_envz00_3891,
		obj_t BgL_oz00_3892, obj_t BgL_vz00_3893)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 62 */
			return
				((((BgL_ev_ifz00_bglt) COBJECT(
							((BgL_ev_ifz00_bglt) BgL_oz00_3892)))->BgL_pz00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3893)), BUNSPEC);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1489 */
	BgL_ev_exprz00_bglt BGl_z62lambda1489z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3894, obj_t BgL_oz00_3895)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 62 */
			return
				(((BgL_ev_ifz00_bglt) COBJECT(
						((BgL_ev_ifz00_bglt) BgL_oz00_3895)))->BgL_pz00);
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:1468> */
	obj_t BGl_z62zc3anonymousza31468ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3896, obj_t BgL_new1055z00_3897)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 60 */
			{
				BgL_ev_littz00_bglt BgL_new1055z00_1182;

				{
					BgL_ev_littz00_bglt BgL_auxz00_5538;

					BgL_new1055z00_1182 = ((BgL_ev_littz00_bglt) BgL_new1055z00_3897);
					((((BgL_ev_littz00_bglt) COBJECT(BgL_new1055z00_1182))->
							BgL_valuez00) = ((obj_t) BUNSPEC), BUNSPEC);
					BgL_auxz00_5538 = BgL_new1055z00_1182;
					return ((obj_t) BgL_auxz00_5538);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1465 */
	BgL_ev_littz00_bglt BGl_z62lambda1465z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3898)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 60 */
			{	/* Eval/evaluate_types.scm 60 */
				BgL_ev_littz00_bglt BgL_new1054z00_4346;

				BgL_new1054z00_4346 =
					((BgL_ev_littz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_littz00_bgl))));
				{	/* Eval/evaluate_types.scm 60 */
					long BgL_arg1467z00_4347;

					{	/* Eval/evaluate_types.scm 60 */
						long BgL_res2338z00_4348;

						BgL_res2338z00_4348 =
							BGL_CLASS_INDEX(BGl_ev_littz00zz__evaluate_typesz00);
						BgL_arg1467z00_4347 = BgL_res2338z00_4348;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1054z00_4346), BgL_arg1467z00_4347);
				}
				return BgL_new1054z00_4346;
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1463 */
	BgL_ev_littz00_bglt BGl_z62lambda1463z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3899, obj_t BgL_value1053z00_3900)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 60 */
			{	/* Eval/evaluate_types.scm 60 */
				BgL_ev_littz00_bglt BgL_new1199z00_4349;

				{	/* Eval/evaluate_types.scm 60 */
					BgL_ev_littz00_bglt BgL_new1198z00_4350;

					BgL_new1198z00_4350 =
						((BgL_ev_littz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_littz00_bgl))));
					{	/* Eval/evaluate_types.scm 60 */
						long BgL_arg1464z00_4351;

						{	/* Eval/evaluate_types.scm 60 */
							long BgL_res2337z00_4352;

							BgL_res2337z00_4352 =
								BGL_CLASS_INDEX(BGl_ev_littz00zz__evaluate_typesz00);
							BgL_arg1464z00_4351 = BgL_res2337z00_4352;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1198z00_4350), BgL_arg1464z00_4351);
					}
					BgL_new1199z00_4349 = BgL_new1198z00_4350;
				}
				((((BgL_ev_littz00_bglt) COBJECT(BgL_new1199z00_4349))->BgL_valuez00) =
					((obj_t) BgL_value1053z00_3900), BUNSPEC);
				return BgL_new1199z00_4349;
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1473 */
	obj_t BGl_z62lambda1473z62zz__evaluate_typesz00(obj_t BgL_envz00_3901,
		obj_t BgL_oz00_3902, obj_t BgL_vz00_3903)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 60 */
			return
				((((BgL_ev_littz00_bglt) COBJECT(
							((BgL_ev_littz00_bglt) BgL_oz00_3902)))->BgL_valuez00) =
				((obj_t) BgL_vz00_3903), BUNSPEC);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1472 */
	obj_t BGl_z62lambda1472z62zz__evaluate_typesz00(obj_t BgL_envz00_3904,
		obj_t BgL_oz00_3905)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 60 */
			return
				(((BgL_ev_littz00_bglt) COBJECT(
						((BgL_ev_littz00_bglt) BgL_oz00_3905)))->BgL_valuez00);
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:1441> */
	obj_t BGl_z62zc3anonymousza31441ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3906, obj_t BgL_new1051z00_3907)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 55 */
			{
				BgL_ev_globalz00_bglt BgL_new1051z00_1132;

				{
					BgL_ev_globalz00_bglt BgL_auxz00_5555;

					BgL_new1051z00_1132 = ((BgL_ev_globalz00_bglt) BgL_new1051z00_3907);
					((((BgL_ev_globalz00_bglt) COBJECT(BgL_new1051z00_1132))->
							BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
					((((BgL_ev_globalz00_bglt) COBJECT(BgL_new1051z00_1132))->
							BgL_namez00) =
						((obj_t) BGl_symbol2760z00zz__evaluate_typesz00), BUNSPEC);
					((((BgL_ev_globalz00_bglt) COBJECT(BgL_new1051z00_1132))->
							BgL_modz00) = ((obj_t) BUNSPEC), BUNSPEC);
					BgL_auxz00_5555 = BgL_new1051z00_1132;
					return ((obj_t) BgL_auxz00_5555);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1439 */
	BgL_ev_globalz00_bglt BGl_z62lambda1439z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3908)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 55 */
			{	/* Eval/evaluate_types.scm 55 */
				BgL_ev_globalz00_bglt BgL_new1050z00_4356;

				BgL_new1050z00_4356 =
					((BgL_ev_globalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_globalz00_bgl))));
				{	/* Eval/evaluate_types.scm 55 */
					long BgL_arg1440z00_4357;

					{	/* Eval/evaluate_types.scm 55 */
						long BgL_res2336z00_4358;

						BgL_res2336z00_4358 =
							BGL_CLASS_INDEX(BGl_ev_globalz00zz__evaluate_typesz00);
						BgL_arg1440z00_4357 = BgL_res2336z00_4358;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1050z00_4356), BgL_arg1440z00_4357);
				}
				return BgL_new1050z00_4356;
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1437 */
	BgL_ev_globalz00_bglt BGl_z62lambda1437z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3909, obj_t BgL_loc1047z00_3910, obj_t BgL_name1048z00_3911,
		obj_t BgL_mod1049z00_3912)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 55 */
			{	/* Eval/evaluate_types.scm 55 */
				BgL_ev_globalz00_bglt BgL_new1197z00_4360;

				{	/* Eval/evaluate_types.scm 55 */
					BgL_ev_globalz00_bglt BgL_new1196z00_4361;

					BgL_new1196z00_4361 =
						((BgL_ev_globalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_globalz00_bgl))));
					{	/* Eval/evaluate_types.scm 55 */
						long BgL_arg1438z00_4362;

						{	/* Eval/evaluate_types.scm 55 */
							long BgL_res2335z00_4363;

							BgL_res2335z00_4363 =
								BGL_CLASS_INDEX(BGl_ev_globalz00zz__evaluate_typesz00);
							BgL_arg1438z00_4362 = BgL_res2335z00_4363;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1196z00_4361), BgL_arg1438z00_4362);
					}
					BgL_new1197z00_4360 = BgL_new1196z00_4361;
				}
				((((BgL_ev_globalz00_bglt) COBJECT(BgL_new1197z00_4360))->BgL_locz00) =
					((obj_t) BgL_loc1047z00_3910), BUNSPEC);
				((((BgL_ev_globalz00_bglt) COBJECT(BgL_new1197z00_4360))->BgL_namez00) =
					((obj_t) ((obj_t) BgL_name1048z00_3911)), BUNSPEC);
				((((BgL_ev_globalz00_bglt) COBJECT(BgL_new1197z00_4360))->BgL_modz00) =
					((obj_t) BgL_mod1049z00_3912), BUNSPEC);
				return BgL_new1197z00_4360;
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1457 */
	obj_t BGl_z62lambda1457z62zz__evaluate_typesz00(obj_t BgL_envz00_3913,
		obj_t BgL_oz00_3914, obj_t BgL_vz00_3915)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 55 */
			return
				((((BgL_ev_globalz00_bglt) COBJECT(
							((BgL_ev_globalz00_bglt) BgL_oz00_3914)))->BgL_modz00) =
				((obj_t) BgL_vz00_3915), BUNSPEC);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1456 */
	obj_t BGl_z62lambda1456z62zz__evaluate_typesz00(obj_t BgL_envz00_3916,
		obj_t BgL_oz00_3917)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 55 */
			return
				(((BgL_ev_globalz00_bglt) COBJECT(
						((BgL_ev_globalz00_bglt) BgL_oz00_3917)))->BgL_modz00);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1452 */
	obj_t BGl_z62lambda1452z62zz__evaluate_typesz00(obj_t BgL_envz00_3918,
		obj_t BgL_oz00_3919, obj_t BgL_vz00_3920)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 55 */
			return
				((((BgL_ev_globalz00_bglt) COBJECT(
							((BgL_ev_globalz00_bglt) BgL_oz00_3919)))->BgL_namez00) = ((obj_t)
					((obj_t) BgL_vz00_3920)), BUNSPEC);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1451 */
	obj_t BGl_z62lambda1451z62zz__evaluate_typesz00(obj_t BgL_envz00_3921,
		obj_t BgL_oz00_3922)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 55 */
			return
				(((BgL_ev_globalz00_bglt) COBJECT(
						((BgL_ev_globalz00_bglt) BgL_oz00_3922)))->BgL_namez00);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1446 */
	obj_t BGl_z62lambda1446z62zz__evaluate_typesz00(obj_t BgL_envz00_3923,
		obj_t BgL_oz00_3924, obj_t BgL_vz00_3925)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 55 */
			return
				((((BgL_ev_globalz00_bglt) COBJECT(
							((BgL_ev_globalz00_bglt) BgL_oz00_3924)))->BgL_locz00) =
				((obj_t) BgL_vz00_3925), BUNSPEC);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1445 */
	obj_t BGl_z62lambda1445z62zz__evaluate_typesz00(obj_t BgL_envz00_3926,
		obj_t BgL_oz00_3927)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 55 */
			return
				(((BgL_ev_globalz00_bglt) COBJECT(
						((BgL_ev_globalz00_bglt) BgL_oz00_3927)))->BgL_locz00);
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:1410> */
	obj_t BGl_z62zc3anonymousza31410ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3928, obj_t BgL_new1045z00_3929)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 51 */
			{
				BgL_ev_varz00_bglt BgL_new1045z00_1077;

				{
					BgL_ev_varz00_bglt BgL_auxz00_5586;

					BgL_new1045z00_1077 = ((BgL_ev_varz00_bglt) BgL_new1045z00_3929);
					((((BgL_ev_varz00_bglt) COBJECT(BgL_new1045z00_1077))->BgL_namez00) =
						((obj_t) BGl_symbol2760z00zz__evaluate_typesz00), BUNSPEC);
					((((BgL_ev_varz00_bglt) COBJECT(BgL_new1045z00_1077))->BgL_effz00) =
						((obj_t) BUNSPEC), BUNSPEC);
					((((BgL_ev_varz00_bglt) COBJECT(BgL_new1045z00_1077))->BgL_typez00) =
						((obj_t) BUNSPEC), BUNSPEC);
					BgL_auxz00_5586 = BgL_new1045z00_1077;
					return ((obj_t) BgL_auxz00_5586);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1408 */
	BgL_ev_varz00_bglt BGl_z62lambda1408z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3930)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 51 */
			{	/* Eval/evaluate_types.scm 51 */
				BgL_ev_varz00_bglt BgL_new1044z00_4372;

				BgL_new1044z00_4372 =
					((BgL_ev_varz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_varz00_bgl))));
				{	/* Eval/evaluate_types.scm 51 */
					long BgL_arg1409z00_4373;

					{	/* Eval/evaluate_types.scm 51 */
						long BgL_res2334z00_4374;

						BgL_res2334z00_4374 =
							BGL_CLASS_INDEX(BGl_ev_varz00zz__evaluate_typesz00);
						BgL_arg1409z00_4373 = BgL_res2334z00_4374;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1044z00_4372), BgL_arg1409z00_4373);
				}
				return BgL_new1044z00_4372;
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1406 */
	BgL_ev_varz00_bglt BGl_z62lambda1406z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3931, obj_t BgL_name1041z00_3932, obj_t BgL_eff1042z00_3933,
		obj_t BgL_type1043z00_3934)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 51 */
			{	/* Eval/evaluate_types.scm 51 */
				BgL_ev_varz00_bglt BgL_new1195z00_4376;

				{	/* Eval/evaluate_types.scm 51 */
					BgL_ev_varz00_bglt BgL_new1194z00_4377;

					BgL_new1194z00_4377 =
						((BgL_ev_varz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_varz00_bgl))));
					{	/* Eval/evaluate_types.scm 51 */
						long BgL_arg1407z00_4378;

						{	/* Eval/evaluate_types.scm 51 */
							long BgL_res2333z00_4379;

							BgL_res2333z00_4379 =
								BGL_CLASS_INDEX(BGl_ev_varz00zz__evaluate_typesz00);
							BgL_arg1407z00_4378 = BgL_res2333z00_4379;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1194z00_4377), BgL_arg1407z00_4378);
					}
					BgL_new1195z00_4376 = BgL_new1194z00_4377;
				}
				((((BgL_ev_varz00_bglt) COBJECT(BgL_new1195z00_4376))->BgL_namez00) =
					((obj_t) ((obj_t) BgL_name1041z00_3932)), BUNSPEC);
				((((BgL_ev_varz00_bglt) COBJECT(BgL_new1195z00_4376))->BgL_effz00) =
					((obj_t) BgL_eff1042z00_3933), BUNSPEC);
				((((BgL_ev_varz00_bglt) COBJECT(BgL_new1195z00_4376))->BgL_typez00) =
					((obj_t) BgL_type1043z00_3934), BUNSPEC);
				return BgL_new1195z00_4376;
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1429 */
	obj_t BGl_z62lambda1429z62zz__evaluate_typesz00(obj_t BgL_envz00_3935,
		obj_t BgL_oz00_3936, obj_t BgL_vz00_3937)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 51 */
			return
				((((BgL_ev_varz00_bglt) COBJECT(
							((BgL_ev_varz00_bglt) BgL_oz00_3936)))->BgL_typez00) =
				((obj_t) BgL_vz00_3937), BUNSPEC);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1428 */
	obj_t BGl_z62lambda1428z62zz__evaluate_typesz00(obj_t BgL_envz00_3938,
		obj_t BgL_oz00_3939)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 51 */
			return
				(((BgL_ev_varz00_bglt) COBJECT(
						((BgL_ev_varz00_bglt) BgL_oz00_3939)))->BgL_typez00);
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:1422> */
	obj_t BGl_z62zc3anonymousza31422ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3940)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 51 */
			return BBOOL(((bool_t) 0));
		}
		BGL_FUNCTION_END;
	}



/* &lambda1421 */
	obj_t BGl_z62lambda1421z62zz__evaluate_typesz00(obj_t BgL_envz00_3941,
		obj_t BgL_oz00_3942, obj_t BgL_vz00_3943)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 51 */
			return
				((((BgL_ev_varz00_bglt) COBJECT(
							((BgL_ev_varz00_bglt) BgL_oz00_3942)))->BgL_effz00) =
				((obj_t) BgL_vz00_3943), BUNSPEC);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1420 */
	obj_t BGl_z62lambda1420z62zz__evaluate_typesz00(obj_t BgL_envz00_3944,
		obj_t BgL_oz00_3945)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 51 */
			return
				(((BgL_ev_varz00_bglt) COBJECT(
						((BgL_ev_varz00_bglt) BgL_oz00_3945)))->BgL_effz00);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1415 */
	obj_t BGl_z62lambda1415z62zz__evaluate_typesz00(obj_t BgL_envz00_3946,
		obj_t BgL_oz00_3947, obj_t BgL_vz00_3948)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 51 */
			return
				((((BgL_ev_varz00_bglt) COBJECT(
							((BgL_ev_varz00_bglt) BgL_oz00_3947)))->BgL_namez00) = ((obj_t)
					((obj_t) BgL_vz00_3948)), BUNSPEC);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1414 */
	obj_t BGl_z62lambda1414z62zz__evaluate_typesz00(obj_t BgL_envz00_3949,
		obj_t BgL_oz00_3950)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 51 */
			return
				(((BgL_ev_varz00_bglt) COBJECT(
						((BgL_ev_varz00_bglt) BgL_oz00_3950)))->BgL_namez00);
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:1398> */
	obj_t BGl_z62zc3anonymousza31398ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3951, obj_t BgL_new1039z00_3952)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 49 */
			{
				BgL_ev_exprz00_bglt BgL_new1039z00_1055;

				{
					BgL_ev_exprz00_bglt BgL_auxz00_5618;

					BgL_new1039z00_1055 = ((BgL_ev_exprz00_bglt) BgL_new1039z00_3952);
					BgL_auxz00_5618 = BgL_new1039z00_1055;
					return ((obj_t) BgL_auxz00_5618);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1396 */
	BgL_ev_exprz00_bglt BGl_z62lambda1396z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3953)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 49 */
			{	/* Eval/evaluate_types.scm 49 */
				BgL_ev_exprz00_bglt BgL_new1038z00_4388;

				BgL_new1038z00_4388 =
					((BgL_ev_exprz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_exprz00_bgl))));
				{	/* Eval/evaluate_types.scm 49 */
					long BgL_arg1397z00_4389;

					{	/* Eval/evaluate_types.scm 49 */
						long BgL_res2332z00_4390;

						BgL_res2332z00_4390 =
							BGL_CLASS_INDEX(BGl_ev_exprz00zz__evaluate_typesz00);
						BgL_arg1397z00_4389 = BgL_res2332z00_4390;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1038z00_4388), BgL_arg1397z00_4389);
				}
				return BgL_new1038z00_4388;
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1394 */
	BgL_ev_exprz00_bglt BGl_z62lambda1394z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3954)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 49 */
			{	/* Eval/evaluate_types.scm 49 */
				BgL_ev_exprz00_bglt BgL_new1193z00_4391;

				{	/* Eval/evaluate_types.scm 49 */
					BgL_ev_exprz00_bglt BgL_new1192z00_4392;

					BgL_new1192z00_4392 =
						((BgL_ev_exprz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_exprz00_bgl))));
					{	/* Eval/evaluate_types.scm 49 */
						long BgL_arg1395z00_4393;

						{	/* Eval/evaluate_types.scm 49 */
							long BgL_res2331z00_4394;

							BgL_res2331z00_4394 =
								BGL_CLASS_INDEX(BGl_ev_exprz00zz__evaluate_typesz00);
							BgL_arg1395z00_4393 = BgL_res2331z00_4394;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1192z00_4392), BgL_arg1395z00_4393);
					}
					BgL_new1193z00_4391 = BgL_new1192z00_4392;
				}
				return BgL_new1193z00_4391;
			}
		}
		BGL_FUNCTION_END;
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__evaluate_typesz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 15 */
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__evaluate_typesz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 15 */
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_typesz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 15 */
			BGl_modulezd2initializa7ationz75zz__typez00(((long) 121046086),
				BSTRING_TO_STRING(BGl_string2437z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 430898742),
				BSTRING_TO_STRING(BGl_string2437z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 321192832),
				BSTRING_TO_STRING(BGl_string2437z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__tvectorz00(((long) 135276775),
				BSTRING_TO_STRING(BGl_string2437z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 128218210),
				BSTRING_TO_STRING(BGl_string2437z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 340267792),
				BSTRING_TO_STRING(BGl_string2437z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__bignumz00(((long) 6519932),
				BSTRING_TO_STRING(BGl_string2437z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 298117150),
				BSTRING_TO_STRING(BGl_string2437z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__dssslz00(((long) 443936801),
				BSTRING_TO_STRING(BGl_string2437z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 439353001),
				BSTRING_TO_STRING(BGl_string2437z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__paramz00(((long) 453939141),
				BSTRING_TO_STRING(BGl_string2437z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 1047446),
				BSTRING_TO_STRING(BGl_string2437z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__threadz00(((long) 316564232),
				BSTRING_TO_STRING(BGl_string2437z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 454272164),
				BSTRING_TO_STRING(BGl_string2437z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)
					357154522),
				BSTRING_TO_STRING(BGl_string2437z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long)
					434692624),
				BSTRING_TO_STRING(BGl_string2437z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(((long)
					268155843),
				BSTRING_TO_STRING(BGl_string2437z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)
					198620800),
				BSTRING_TO_STRING(BGl_string2437z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)
					473309430),
				BSTRING_TO_STRING(BGl_string2437z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long) 459519430),
				BSTRING_TO_STRING(BGl_string2437z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 460262918),
				BSTRING_TO_STRING(BGl_string2437z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) -400105135),
				BSTRING_TO_STRING(BGl_string2437z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)
					9614678), BSTRING_TO_STRING(BGl_string2437z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)
					376927882),
				BSTRING_TO_STRING(BGl_string2437z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)
					228151370),
				BSTRING_TO_STRING(BGl_string2437z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 525089668),
				BSTRING_TO_STRING(BGl_string2437z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 80758636),
				BSTRING_TO_STRING(BGl_string2437z00zz__evaluate_typesz00));
			return BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)
					86988580), BSTRING_TO_STRING(BGl_string2437z00zz__evaluate_typesz00));
		}
		BGL_FUNCTION_END;
	}

#ifdef __cplusplus
}
#endif
